commit mutt for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package mutt for openSUSE:Factory checked in 
at 2016-09-21 18:50:03

Comparing /work/SRC/openSUSE:Factory/mutt (Old)
 and  /work/SRC/openSUSE:Factory/.mutt.new (New)


Package is "mutt"

Changes:

--- /work/SRC/openSUSE:Factory/mutt/mutt.changes2016-07-28 
23:47:30.0 +0200
+++ /work/SRC/openSUSE:Factory/.mutt.new/mutt.changes   2016-09-21 
18:50:05.0 +0200
@@ -1,0 +2,21 @@
+Tue Sep 13 10:05:16 UTC 2016 - wer...@suse.de
+
+- Update to neomutt 20160826 
+  Build:
+Disable fmemopen until bug is fixed
+  Contrib:
+Keybase portability improvements Joshua Jordi (@JakkinStewart)
+Keybase Integration - Joshua Jordi (@JakkinStewart)
+  Bug Fixes:
+Fix notmuch crash toggling virtual folders
+Fix display of pager index when sidebar toggled
+Sidebar's inbox occasionally shows zero/wrong value
+Fix crash opening a second compressed mailbox
+  Config:
+Look for /etc/NeoMuttrc and ~/.neomuttrc
+  Docs:
+Fix broken links, typos
+Update project link
+Fix version string in the manual
+
+---

Old:

  neomutt-distro-20160723.tar.gz

New:

  neomutt-distro-20160826.tar.gz



Other differences:
--
++ mutt.spec ++
--- /var/tmp/diff_new_pack.o0s44q/_old  2016-09-21 18:50:07.0 +0200
+++ /var/tmp/diff_new_pack.o0s44q/_new  2016-09-21 18:50:07.0 +0200
@@ -71,7 +71,7 @@
 # NOTE: We don't want this dependency and desktop-data-SuSE is in all
 # desktop selections.
 #Requires:  desktop-data-SuSE
-%globalneo 20160723
+%globalneo 20160826
 Version:1.6.2
 Release:0
 Summary:Mail Program
@@ -121,19 +121,19 @@
 %setup -q -n mutt-%version -a 10
 for p in neomutt-distro-%neo/bugs-common/*.patch
 do
-patch -p1 --fuzz=%_default_patch_fuzz < $p
+patch -s -p1 --fuzz=%_default_patch_fuzz < $p
 done
 for p in neomutt-distro-%neo/features-common/*.patch
 do
-patch -p1 --fuzz=%_default_patch_fuzz < $p
+patch -s -p1 --fuzz=%_default_patch_fuzz < $p
 done
 for p in neomutt-distro-%neo/features-extra/*.patch
 do
-patch -p1 --fuzz=%_default_patch_fuzz < $p
+patch -s -p1 --fuzz=%_default_patch_fuzz < $p
 done
 for p in neomutt-distro-%neo/bugs-neomutt/*.patch
 do
-patch -p1 --fuzz=%_default_patch_fuzz < $p
+patch -s -p1 --fuzz=%_default_patch_fuzz < $p
 done
 %patch -p0 -b .p0
 %patch2 -p0 -b .pgpewrap

++ COLS-workaround.dif ++
--- /var/tmp/diff_new_pack.o0s44q/_old  2016-09-21 18:50:07.0 +0200
+++ /var/tmp/diff_new_pack.o0s44q/_new  2016-09-21 18:50:07.0 +0200
@@ -5,8 +5,8 @@
  1 file changed, 8 insertions(+), 1 deletion(-)
 
 --- sidebar.c
-+++ sidebar.c  2016-07-26 12:32:38.170166748 +
-@@ -547,6 +547,7 @@ static int draw_divider (int first_row,
 sidebar.c  2016-09-13 10:03:50.282864137 +
+@@ -579,6 +579,7 @@ static int draw_divider (int first_row,
  {
/* Calculate the width of the delimiter in screen cells */
int delim_len = mutt_strwidth (SidebarDividerChar);
@@ -14,7 +14,7 @@
  
if (delim_len < 1)
  return delim_len;
-@@ -557,13 +558,19 @@ static int draw_divider (int first_row,
+@@ -589,13 +590,19 @@ static int draw_divider (int first_row,
if (delim_len > SidebarWidth)
  return -1;
  

++ aw.listreply.diff ++
--- /var/tmp/diff_new_pack.o0s44q/_old  2016-09-21 18:50:08.0 +0200
+++ /var/tmp/diff_new_pack.o0s44q/_new  2016-09-21 18:50:08.0 +0200
@@ -8,14 +8,14 @@
  4 files changed, 27 insertions(+)
 
 --- PATCHES
-+++ PATCHES2016-07-26 12:00:27.319169243 +
 PATCHES2016-09-13 10:01:22.837626357 +
 @@ -1,3 +1,4 @@
 +patch-1.5.9.aw.listreply.1
- patch-new-mail-neo-git
- patch-lmdb-neo-git
- patch-nntp-neo-git
+ patch-compress-neo-git
+ patch-cond-date-neo-git
+ patch-fmemopen-neo-git
 --- init.h
-+++ init.h 2016-07-26 11:59:58.319724690 +
 init.h 2016-09-13 10:00:49.794245364 +
 @@ -1501,6 +1501,13 @@ struct option_t MuttVars[] = {
** The locale used by \fCstrftime(3)\fP to format dates. Legal values are
** the strings your system accepts for the locale environment variable 
\fC$$$LC_TIME\fP.
@@ -31,8 +31,8 @@
/*
** .pp
 --- mutt.h
-+++ mutt.h 2016-07-26 11:59:58.323724614 +
-@@ -314,6 +314,7 @@ enum
 mutt.h 2016-09-13 10:00:49.794245364 +
+@@ -315,6 +315,7 @@ enum
  #endif
OPT_SUBJECT,
OPT_VERIFYSIG,  /* verify PGP signatures */
@@ -41,7 +41,7 @@
OPT_TOMODERATED,
OPT_CATCHUP,
 --- send.c
-+++ send.c 2016-07-26 11:59:58.323724614 +
 send.c 2016-09-13 10:00:49.794245364 +
 @@ -516,6 +516,7 @@ static int include_reply 

commit bam for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package bam for openSUSE:Factory checked in 
at 2016-09-21 18:50:22

Comparing /work/SRC/openSUSE:Factory/bam (Old)
 and  /work/SRC/openSUSE:Factory/.bam.new (New)


Package is "bam"

Changes:

--- /work/SRC/openSUSE:Factory/bam/bam.changes  2016-09-13 22:23:21.0 
+0200
+++ /work/SRC/openSUSE:Factory/.bam.new/bam.changes 2016-09-21 
18:50:26.0 +0200
@@ -1,0 +2,5 @@
+Sat Jul 30 12:27:20 UTC 2016 - jeng...@inai.de
+
+- Update description
+
+---



Other differences:
--
++ bam.spec ++
--- /var/tmp/diff_new_pack.D5UiEG/_old  2016-09-21 18:50:28.0 +0200
+++ /var/tmp/diff_new_pack.D5UiEG/_new  2016-09-21 18:50:28.0 +0200
@@ -19,7 +19,7 @@
 Name:   bam
 Version:0.5.0
 Release:0
-Summary:Fast and flexible Lua based build system
+Summary:Lua-based build system
 License:Zlib
 Group:  Development/Tools/Building
 Url:http://matricks.github.com/bam/
@@ -31,16 +31,15 @@
 BuildRequires:  pkgconfig(lua)
 
 %description
-Bam is a build system with the focus on being having fast build times and
-flexiable build scripts. Instead of having a custom language it uses Lua to
-describe the build steps.
+Bam is a build system focusing on arbitrary build scripts. Instead of
+having a custom language, it uses Lua to describe the build steps.
 
 %prep
 %setup -q
 
 %build
 export CFLAGS="%{optflags}"
-make
+make -j1
 
 %install
 %make_install




commit qt5ct for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package qt5ct for openSUSE:Factory checked 
in at 2016-09-21 18:50:33

Comparing /work/SRC/openSUSE:Factory/qt5ct (Old)
 and  /work/SRC/openSUSE:Factory/.qt5ct.new (New)


Package is "qt5ct"

Changes:

--- /work/SRC/openSUSE:Factory/qt5ct/qt5ct.changes  2016-09-07 
11:47:42.0 +0200
+++ /work/SRC/openSUSE:Factory/.qt5ct.new/qt5ct.changes 2016-09-21 
18:50:35.0 +0200
@@ -1,0 +2,8 @@
+Tue Sep 20 20:50:25 UTC 2016 - sor.ale...@meowr.ru
+
+- Update to version 0.27:
+  * Add D-Bus tray support.
+  * Add a possibility to disable debug output.
+  * Update documentation.
+
+---

Old:

  qt5ct-0.26.tar.bz2

New:

  qt5ct-0.27.tar.bz2



Other differences:
--
++ qt5ct.spec ++
--- /var/tmp/diff_new_pack.fB7is8/_old  2016-09-21 18:50:36.0 +0200
+++ /var/tmp/diff_new_pack.fB7is8/_new  2016-09-21 18:50:36.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   qt5ct
-Version:0.26
+Version:0.27
 Release:0
 Summary:Qt5 Configuration Tool
 License:BSD-2-Clause
@@ -26,6 +26,7 @@
 Source: http://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
 BuildRequires:  gcc-c++
 BuildRequires:  libQt5Gui-private-headers-devel >= 5.4.0
+BuildRequires:  libQt5PlatformSupport-private-headers-devel >= 5.4.0
 BuildRequires:  libqt5-linguist >= 5.4.0
 BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(Qt5Core) >= 5.4.0

++ qt5ct-0.26.tar.bz2 -> qt5ct-0.27.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qt5ct-0.26/ChangeLog new/qt5ct-0.27/ChangeLog
--- old/qt5ct-0.26/ChangeLog2016-09-05 08:37:49.0 +0200
+++ new/qt5ct-0.27/ChangeLog2016-09-20 08:18:36.0 +0200
@@ -165,3 +165,8 @@
 * fixed stellarium compatibility
 * updated French translation (Geiger David)
 * updated Greek translation (Dimitrios Glentadakis)
+
+Version 0.27
+* added D-Bus tray support
+* added feature to disable debug output
+* updated documentation
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qt5ct-0.26/ChangeLog.svn new/qt5ct-0.27/ChangeLog.svn
--- old/qt5ct-0.26/ChangeLog.svn2016-09-05 08:37:49.0 +0200
+++ new/qt5ct-0.27/ChangeLog.svn2016-09-20 08:18:36.0 +0200
@@ -1,4 +1,36 @@
 
+r334 | trialuser02 | 2016-09-12 13:58:35 +0300 (Пн., 12 сент. 2016) | 1 line
+
+updated changelog
+
+r333 | trialuser02 | 2016-09-12 13:50:49 +0300 (Пн., 12 сент. 2016) | 2 lines
+
+updated documentation
+
+
+r332 | trialuser02 | 2016-09-12 13:00:49 +0300 (Пн., 12 сент. 2016) | 1 line
+
+fixed previous commit
+
+r331 | trialuser02 | 2016-09-12 12:08:18 +0300 (Пн., 12 сент. 2016) | 2 lines
+
+using QLoggingCategory class for logging
+
+
+r329 | trialuser02 | 2016-09-12 09:39:34 +0300 (Пн., 12 сент. 2016) | 2 lines
+
+fixed build without D-Bus support
+
+
+r328 | trialuser02 | 2016-09-12 09:38:08 +0300 (Пн., 12 сент. 2016) | 2 lines
+
+added D-Bus tray support
+
+
+r327 | trialuser02 | 2016-09-05 09:45:09 +0300 (Пн., 05 сент. 2016) | 1 line
+
+version bump
+
 r325 | trialuser02 | 2016-09-01 15:14:35 +0300 (Чт., 01 сент. 2016) | 1 line
 
 updated changelog
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qt5ct-0.26/README new/qt5ct-0.27/README
--- old/qt5ct-0.26/README   2016-09-05 08:37:49.0 +0200
+++ new/qt5ct-0.27/README   2016-09-20 08:18:36.0 +0200
@@ -31,8 +31,17 @@
 qmake DISABLE_WIDGETS=1 - compiles platform plugin without QtWidgets (useful 
for QML applications only)
 qmake PLUGINDIR= - changes the install path of the platform 
plugin (libqt5ct.so)
 
+Debug Messages:
 
-Files and directories:
+By default, platform plugin prints debug information to stderr. To disable 
this behaviour, you should
+export the following environment variable:
+
+export QT_LOGGIN_RULES="qt5ct.debug=false"
+
+Another way is to change qtlogging.ini file. See Qt documentation for details:
+http://doc.qt.io/qt-5/qloggingcategory.html (paragraph "Configuring 

commit octave-forge-io for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package octave-forge-io for openSUSE:Factory 
checked in at 2016-09-21 18:48:23

Comparing /work/SRC/openSUSE:Factory/octave-forge-io (Old)
 and  /work/SRC/openSUSE:Factory/.octave-forge-io.new (New)


Package is "octave-forge-io"

Changes:

--- /work/SRC/openSUSE:Factory/octave-forge-io/octave-forge-io.changes  
2016-07-09 09:25:28.0 +0200
+++ /work/SRC/openSUSE:Factory/.octave-forge-io.new/octave-forge-io.changes 
2016-09-21 18:48:26.0 +0200
@@ -1,0 +2,9 @@
+Sat Sep 17 18:01:59 UTC 2016 - dmitr...@opensuse.org
+
+- Update to version 2.4.3
+  * io_xls_testscript.m, io_ods_testscript.m: return results rather
+than bail out when hitting errors
+  * cell2csv: increase precision hen writing double values
+  * Bug fixes
+
+---

Old:

  io-2.4.2.tar.gz

New:

  io-2.4.3.tar.gz



Other differences:
--
++ octave-forge-io.spec ++
--- /var/tmp/diff_new_pack.ebFiy5/_old  2016-09-21 18:48:28.0 +0200
+++ /var/tmp/diff_new_pack.ebFiy5/_new  2016-09-21 18:48:28.0 +0200
@@ -18,7 +18,7 @@
 
 %define octpkg  io
 Name:   octave-forge-%{octpkg}
-Version:2.4.2
+Version:2.4.3
 Release:0
 Summary:Input/Output in external formats from Octave
 License:GPL-3.0+ and BSD-2-Clause

++ io-2.4.2.tar.gz -> io-2.4.3.tar.gz ++
 1778 lines of diff (skipped)




commit opera for openSUSE:Factory:NonFree

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package opera for openSUSE:Factory:NonFree 
checked in at 2016-09-21 18:50:53

Comparing /work/SRC/openSUSE:Factory:NonFree/opera (Old)
 and  /work/SRC/openSUSE:Factory:NonFree/.opera.new (New)


Package is "opera"

Changes:

--- /work/SRC/openSUSE:Factory:NonFree/opera/opera.changes  2016-09-16 
11:03:35.0 +0200
+++ /work/SRC/openSUSE:Factory:NonFree/.opera.new/opera.changes 2016-09-21 
18:50:57.0 +0200
@@ -1,0 +2,6 @@
+Tue Sep 20 17:35:18 UTC 2016 - sor.ale...@meowr.ru
+
+- Update to 40.0.2308.54:
+  * No changelog available.
+
+---

Old:

  opera-stable_39.0.2256.71_amd64.deb
  opera-stable_39.0.2256.71_i386.deb

New:

  opera-stable_40.0.2308.54_amd64.deb
  opera-stable_40.0.2308.54_i386.deb



Other differences:
--
++ opera.spec ++
--- /var/tmp/diff_new_pack.MQzgSf/_old  2016-09-21 18:51:04.0 +0200
+++ /var/tmp/diff_new_pack.MQzgSf/_new  2016-09-21 18:51:04.0 +0200
@@ -27,7 +27,7 @@
 %define alt_deb_arch amd64
 %endif
 Name:   opera
-Version:39.0.2256.71
+Version:40.0.2308.54
 Release:0
 Summary:Proprietary web browser
 License:SUSE-NonFree
@@ -83,13 +83,13 @@
 %install
 mkdir -p %{buildroot}%{_libdir}/
 cp -a .%{_libexecdir}/*-linux-gnu/%{name} %{buildroot}%{_libdir}/%{name}
-install -Dm 0755 %{name}.sh %{buildroot}%{_bindir}/%{name}
+install -Dpm 0755 %{name}.sh %{buildroot}%{_bindir}/%{name}
 
-install -Dm 0644 .%{_datadir}/applications/%{name}.desktop 
%{buildroot}%{_datadir}/applications/%{name}.desktop
+install -Dpm 0644 .%{_datadir}/applications/%{name}.desktop 
%{buildroot}%{_datadir}/applications/%{name}.desktop
 cp -a .%{_datadir}/icons/ %{buildroot}%{_datadir}/
 
-install -Dm 0755 %{name}.sh %{buildroot}%{_bindir}/%{name}
-install -Dm 0644 %{name}.conf %{buildroot}%{_sysconfdir}/default/%{name}
+install -Dpm 0755 %{name}.sh %{buildroot}%{_bindir}/%{name}
+install -Dpm 0644 %{name}.conf %{buildroot}%{_sysconfdir}/default/%{name}
 
 # Fix rpmlint warning - ab_tests.json is not suposed to be executable.
 chmod -x %{buildroot}%{_libdir}/%{name}/resources/ab_tests.json




commit sdcc for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package sdcc for openSUSE:Factory checked in 
at 2016-09-21 18:50:43

Comparing /work/SRC/openSUSE:Factory/sdcc (Old)
 and  /work/SRC/openSUSE:Factory/.sdcc.new (New)


Package is "sdcc"

Changes:

--- /work/SRC/openSUSE:Factory/sdcc/sdcc.changes2016-09-16 
11:00:40.0 +0200
+++ /work/SRC/openSUSE:Factory/.sdcc.new/sdcc.changes   2016-09-21 
18:50:46.0 +0200
@@ -1,0 +2,9 @@
+Tue Sep 20 19:24:27 UTC 2016 - stefan.bru...@rwth-aachen.de
+
+- Spec file cleanup:
+  * disable non-free build, instead of deleting build files
+  * do not install bfd info, which conflicts with binutils package,
+and is useless, as sdcc links libbfd statically
+  * cleanup %doc
+
+---



Other differences:
--
++ sdcc.spec ++
--- /var/tmp/diff_new_pack.X1cAv9/_old  2016-09-21 18:50:48.0 +0200
+++ /var/tmp/diff_new_pack.X1cAv9/_new  2016-09-21 18:50:48.0 +0200
@@ -101,6 +101,7 @@
 CFLAGS="%{optflags} -fno-strict-aliasing" \
 %configure \
 --docdir=%{_docdir}/sdcc \
+--disable-non-free \
 %if 0%{?suse_version} >= 1320
 --enable-doc
 %endif
@@ -113,8 +114,6 @@
 # install documentation
 mkdir -p %{buildroot}%{_docdir}/%{name}/sdas
 cp sdas/doc/* %{buildroot}%{_docdir}/%{name}/sdas
-cp ChangeLog %{buildroot}%{_docdir}/%{name}
-cp COPYING %{buildroot}%{_docdir}/%{name}
 
 mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp
 mv %{buildroot}%{_bindir}/*.el %{buildroot}%{_datadir}/emacs/site-lisp
@@ -122,9 +121,6 @@
 #remove useless file
 rm %{buildroot}%{_docdir}/%{name}/INSTALL.txt
 
-cp ChangeLog %{buildroot}%{_docdir}/%{name}
-cp COPYING %{buildroot}%{_docdir}/%{name}
-
 #remove strange suff (installed by mistake?)
 rm -rf %{buildroot}%{_includedir}
 rm -rf %{buildroot}%{_libdir}
@@ -132,6 +128,9 @@
 # remove non-free libraries, see doc/README.txt: Licenses
 rm -rf %{buildroot}%{_datadir}/%{name}/non-free/
 
+# remove documentation of bundled libbfd, conflicts with binutils
+rm %{buildroot}%{_infodir}/bfd.info*
+
 # duplicates
 %fdupes -s %{buildroot}%{_datadir}/%{name}/lib/src
 
@@ -143,19 +142,12 @@
 rm -rf %{buildroot}%{_datadir}/%{name}/non-free/lib/src/pic16/libdev/.deps
 %endif
 
-%post
-%install_info --info-dir=%{_infodir} %{_infodir}/bfd.info.gz
-
-%preun
-%install_info_delete --info-dir=%{_infodir} %{_infodir}/bfd.info.gz
-
-
 %files
 %defattr(-,root,root)
-%dir %{_docdir}/%{name}
-%{_docdir}/%{name}/ChangeLog
-%{_docdir}/%{name}/COPYING
-%{_docdir}/%{name}/README.txt
+%doc ChangeLog COPYING doc/README.txt
+%exclude %{_docdir}/%{name}/ucsim/
+%exclude %{_docdir}/%{name}/sdas/
+%exclude %{_docdir}/%{name}/*.pdf
 %{_bindir}/*
 %dir %{_datadir}/%{name}
 %{_datadir}/%{name}/include
@@ -163,7 +155,6 @@
 %exclude %{_datadir}/%{name}/lib/src
 %dir %{_datadir}/emacs/site-lisp
 %{_datadir}/emacs/site-lisp/*.el
-%{_infodir}/bfd.info.gz
 
 %files libc-sources
 %defattr(-,root,root)




commit python3-html2text for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package python3-html2text for 
openSUSE:Factory checked in at 2016-09-21 18:50:40

Comparing /work/SRC/openSUSE:Factory/python3-html2text (Old)
 and  /work/SRC/openSUSE:Factory/.python3-html2text.new (New)


Package is "python3-html2text"

Changes:

--- /work/SRC/openSUSE:Factory/python3-html2text/python3-html2text.changes  
2016-07-05 09:53:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.python3-html2text.new/python3-html2text.changes 
2016-09-21 18:50:43.0 +0200
@@ -1,0 +2,11 @@
+Wed Sep 21 02:04:41 UTC 2016 - a...@gmx.de
+
+- update to version 2016.9.19:
+  * Default image alt text option created and set to a default of
+empty string "" to maintain backward compatibility
+  * Fix #136: --default-image-alt now takes a string as argument
+  * Fix #113: Stop changing quiet levels on /script tags.
+  * Merge #126: Fix deprecation warning on py3 due to html.escape
+  * Fix #145: Running test suite on Travis CI for Python 2.6.
+
+---

Old:

  html2text-2016.5.29.tar.gz

New:

  html2text-2016.9.19.tar.gz



Other differences:
--
++ python3-html2text.spec ++
--- /var/tmp/diff_new_pack.ZWXXPT/_old  2016-09-21 18:50:44.0 +0200
+++ /var/tmp/diff_new_pack.ZWXXPT/_new  2016-09-21 18:50:44.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   python3-html2text
-Version:2016.5.29
+Version:2016.9.19
 Release:0
 Url:https://github.com/Alir3z4/html2text/
 Summary:Turn HTML into equivalent Markdown-structured text

++ html2text-2016.5.29.tar.gz -> html2text-2016.9.19.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/html2text-2016.5.29/ChangeLog.rst 
new/html2text-2016.9.19/ChangeLog.rst
--- old/html2text-2016.5.29/ChangeLog.rst   2016-05-29 18:12:58.0 
+0200
+++ new/html2text-2016.9.19/ChangeLog.rst   2016-09-19 00:03:35.0 
+0200
@@ -1,3 +1,14 @@
+2016.9.19
+=
+
+
+* Default image alt text option created and set to a default of empty string 
"" to maintain backward compatibility
+* Fix #136: --default-image-alt now takes a string as argument
+* Fix #113: Stop changing quiet levels on \/script tags.
+* Merge #126: Fix deprecation warning on py3 due to html.escape
+* Fix #145: Running test suite on Travis CI for Python 2.6.
+
+
 2016.5.29
 =
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/html2text-2016.5.29/PKG-INFO 
new/html2text-2016.9.19/PKG-INFO
--- old/html2text-2016.5.29/PKG-INFO2016-05-29 18:16:19.0 +0200
+++ new/html2text-2016.9.19/PKG-INFO2016-09-19 00:08:46.0 +0200
@@ -1,98 +1,128 @@
 Metadata-Version: 1.1
 Name: html2text
-Version: 2016.5.29
+Version: 2016.9.19
 Summary: Turn HTML into equivalent Markdown-structured text.
 Home-page: https://github.com/Alir3z4/html2text/
 Author: Alireza Savand
 Author-email: alireza.sav...@gmail.com
 License: GNU GPL 3
-Description: # html2text
+Description: html2text
+=
 
-[![Build 
Status](https://secure.travis-ci.org/Alir3z4/html2text.png)](http://travis-ci.org/Alir3z4/html2text)
-[![Coverage 
Status](https://coveralls.io/repos/Alir3z4/html2text/badge.png)](https://coveralls.io/r/Alir3z4/html2text)
-
[![Downloads](http://badge.kloud51.com/pypi/d/html2text.png)](https://pypi.python.org/pypi/html2text/)
-
[![Version](http://badge.kloud51.com/pypi/v/html2text.png)](https://pypi.python.org/pypi/html2text/)
-
[![Wheel?](http://badge.kloud51.com/pypi/wheel/html2text.png)](https://pypi.python.org/pypi/html2text/)
-
[![Format](http://badge.kloud51.com/pypi/format/html2text.png)](https://pypi.python.org/pypi/html2text/)
-
[![License](http://badge.kloud51.com/pypi/license/html2text.png)](https://pypi.python.org/pypi/html2text/)
-
-
-html2text is a Python script that converts a page of HTML into clean, 
easy-to-read plain ASCII text. Better yet, that ASCII also happens to be valid 
Markdown (a text-to-HTML format).
-
-
-Usage: `html2text [(filename|url) [encoding]]`
-
-| Option | Description
-
||---
-| `--version`| Show 
program's version number and exit
-| `-h`, `--help` | Show this 
help message and exit
-| `--ignore-links`

commit charybdis for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package charybdis for openSUSE:Factory 
checked in at 2016-09-21 18:50:49

Comparing /work/SRC/openSUSE:Factory/charybdis (Old)
 and  /work/SRC/openSUSE:Factory/.charybdis.new (New)


Package is "charybdis"

Changes:

--- /work/SRC/openSUSE:Factory/charybdis/charybdis.changes  2016-06-20 
11:07:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.charybdis.new/charybdis.changes 2016-09-21 
18:50:50.0 +0200
@@ -1,0 +2,7 @@
+Wed Sep 21 07:38:22 UTC 2016 - jeng...@inai.de
+
+- Update to new upstream release 3.5.3
+* Bug fix for CVE-2016-7143. This bug allows users to spoof CertFP
+  authentication using the SASL EXTERNAL mechanism.
+
+---

Old:

  charybdis-3.5.2.tar.gz

New:

  charybdis-3.5.3.tar.gz



Other differences:
--
++ charybdis.spec ++
--- /var/tmp/diff_new_pack.ez2pAa/_old  2016-09-21 18:50:52.0 +0200
+++ /var/tmp/diff_new_pack.ez2pAa/_new  2016-09-21 18:50:52.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   charybdis
-Version:3.5.2
+Version:3.5.3
 Release:0
 Summary:Highly scalable IRCv3 compliant irc daemon
 License:GPL-2.0+

++ charybdis-3.5.2.tar.gz -> charybdis-3.5.3.tar.gz ++
 2295 lines of diff (skipped)




commit mate-themes for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package mate-themes for openSUSE:Factory 
checked in at 2016-09-21 18:50:36

Comparing /work/SRC/openSUSE:Factory/mate-themes (Old)
 and  /work/SRC/openSUSE:Factory/.mate-themes.new (New)


Package is "mate-themes"

Changes:

--- /work/SRC/openSUSE:Factory/mate-themes/mate-themes.changes  2016-07-24 
19:53:54.0 +0200
+++ /work/SRC/openSUSE:Factory/.mate-themes.new/mate-themes.changes 
2016-09-21 18:50:39.0 +0200
@@ -1,0 +2,15 @@
+Tue Sep 20 20:50:25 UTC 2016 - sor.ale...@meowr.ru
+
+- Update to version 3.20.11:
+  * GTK+-3.20 all themes: Add background-image to the ruberband
+style class.
+  * GTK+-3 Submarine themes: Fix jumping pathbar toggle button.
+  * GTK+-3.20 TOK themes: Improvements for GtkNotebook.
+  * GTK+-3.20 GreenLaguna: Improvements for GtkNotebook.
+  * GTK+-3.20 Menta themes: GtkNotebook improvements.
+  * GTK+-3.20 Submarine themes: GtkNotebook improvements and more.
+  * GTK+-3.20 TOK themes: Fix tabs in mate-terminal.
+  * GTK+-3.20 Menta themes: Fix tabs in mate-terminal.
+  * Update translations.
+
+---

Old:

  mate-themes-3.20.10.tar.xz

New:

  mate-themes-3.20.11.tar.xz



Other differences:
--
++ mate-themes.spec ++
--- /var/tmp/diff_new_pack.vyWuOL/_old  2016-09-21 18:50:40.0 +0200
+++ /var/tmp/diff_new_pack.vyWuOL/_new  2016-09-21 18:50:40.0 +0200
@@ -21,7 +21,7 @@
 # Let's use the Gtk 3.20 version for openSUSE Tumbleweed.
 %define _version 3.20
 Name:   mate-themes
-Version:3.20.10
+Version:3.20.11
 Release:0
 Summary:Themes for the MATE desktop
 License:LGPL-2.1+
@@ -31,7 +31,7 @@
 BuildRequires:  fdupes
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  mate-common
-BuildRequires:  pkg-config
+BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
 BuildRequires:  pkgconfig(gtk+-2.0)
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20

++ mate-themes-3.20.10.tar.xz -> mate-themes-3.20.11.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mate-themes-3.20.10/ChangeLog 
new/mate-themes-3.20.11/ChangeLog
--- old/mate-themes-3.20.10/ChangeLog   2016-07-22 16:56:04.0 +0200
+++ new/mate-themes-3.20.11/ChangeLog   2016-09-03 18:33:18.0 +0200
@@ -1,3 +1,130 @@
+commit b36bd7571169b9773653908581ad675aae02f93a
+Author: raveit65 
+Date:   Sat Sep 3 18:32:08 2016 +0200
+
+release 3.20.11
+
+ NEWS | 12 
+ configure.ac |  2 +-
+ 2 files changed, 13 insertions(+), 1 deletion(-)
+
+commit 6e387735e70632baf2bf7243f4def43e5dcee22c
+Author: raveit65 
+Date:   Sat Sep 3 18:25:54 2016 +0200
+
+sync with transiflex
+
+ po/ca.po | 11 ++-
+ po/es.po |  4 ++--
+ po/hr.po |  6 +++---
+ 3 files changed, 11 insertions(+), 10 deletions(-)
+
+commit 1c7b247efaec4be0e5142df10a4fa764b8a637e6
+Author: raveit65 
+Date:   Sat Sep 3 18:04:07 2016 +0200
+
+GTK+-3.20 all themes: add background-image to the ruberband style class
+
+- needed for latest changes in mate-screenshot
+
+ desktop-themes/BlackMATE/gtk-3.0/gtk-widgets.css| 14 --
+ desktop-themes/BlueMenta/gtk-3.0/gtk-widgets.css| 13 -
+ desktop-themes/GreenLaguna/gtk-3.0/gtk-widgets.css  |  3 +++
+ desktop-themes/Menta/gtk-3.0/gtk-widgets.css| 13 -
+ desktop-themes/TraditionalGreen/gtk-3.0/gtk-widgets.css |  3 +++
+ desktop-themes/TraditionalOk/gtk-3.0/gtk-widgets.css|  3 +++
+ 6 files changed, 33 insertions(+), 16 deletions(-)
+
+commit 5e770fcd86ea134364883a5f20307110faaa8a7d
+Author: raveit65 
+Date:   Sat Sep 3 17:38:59 2016 +0200
+
+GTK+-3 Submarine themes: fix jumping pathbar toggle button
+
+ desktop-themes/Blue-Submarine/gtk-3.0/mate-applications.css  | 4 ++--
+ desktop-themes/Green-Submarine/gtk-3.0/mate-applications.css | 4 ++--
+ 2 files changed, 4 insertions(+), 4 deletions(-)
+
+commit 7929e91db7647c58dea8f28ba41af0ef5f801041
+Author: raveit65 
+Date:   Sat Aug 13 18:37:57 2016 +0200
+
+GTK+-3.20 TOK themes: improvements for GtkNotebook
+
+ desktop-themes/TraditionalGreen/gtk-3.0/gtk-widgets.css   | 11 +--
+ .../TraditionalGreen/gtk-3.0/other-applications.css   |  1 -
+ desktop-themes/TraditionalOk/gtk-3.0/gtk-widgets.css  | 11 +--
+ desktop-themes/TraditionalOk/gtk-3.0/other-applications.css   |  1 -
+ 4 files changed, 10 insertions(+), 14 deletions(-)
+
+commit 39515cf542423fcf04ee860a52e14abc863dead7
+Author: raveit65 

commit python-ceph-cfg for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package python-ceph-cfg for openSUSE:Factory 
checked in at 2016-09-21 18:50:27

Comparing /work/SRC/openSUSE:Factory/python-ceph-cfg (Old)
 and  /work/SRC/openSUSE:Factory/.python-ceph-cfg.new (New)


Package is "python-ceph-cfg"

Changes:

--- /work/SRC/openSUSE:Factory/python-ceph-cfg/python-ceph-cfg.changes  
2016-09-13 22:22:49.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-ceph-cfg.new/python-ceph-cfg.changes 
2016-09-21 18:50:29.0 +0200
@@ -1,0 +2,54 @@
+Fri Sep  9 13:44:30 CEST 2016 UTC 2016 - osy...@suse.com
+
+- Updated to version 0.2.0.
+  * Bugfix with mon_status.
+  * Generate junit test results when running tox by default.
+
+---
+Thu Sep  8 11:44:02 CEST 2016 UTC 2016 - osy...@suse.com
+
+- Updated to version 0.2.0.
+  * bnc#994637
+  * Add new mon methods to allow life cycling mon roles.
++ mon_destroy
++ mon_list
+  * API change for mon methods require mon_name argument.
++ mon_is
++ mon_status
++ mon_quorum
++ mon_active
++ mon_create
+
+---
+Mon Sep  5 14:34:36 11:10:39 UTC 2016 - osy...@suse.com
+
+- Updated to version 0.1.9.
+  * OSD reweight method.
++ Useful for remote rebalancing of the cluster.
++ Useful for gracefully decomisoning an OSD when set to 0 weight.
+  * Added cephfs methods
++ cephfs_ls
++ cephfs_add
+  - bnc#983971
++ cephfs_del
+  - bnc#994602
+  * Dont run unit tests on SLE12 builds of the rpm 
++ Due to packages not being available.
+
+---
+Wed Aug 17 10:28:11 UTC 2016 - osy...@suse.com
+
+- Updated to version 0.1.8.
+  * python 3.4 tox support for unit tests.
++ Now runs unit tests in python 2.7 and 3.4
+  * When called by salt fix exception in utils_which.
++ should provide useful diagnostic message.
++ bnc#994056
+  * Avoid side effect of not being mon node.
+  * Merge improvements to mon_members_refresh.
++ Remove side effect of not being a mon node.
++ Added tests for ceph_cfg.mdl_updater.mon_members_refresh.
++ Fix error message "section error" which was misleading.
++ bnc#993468
+
+---
@@ -2,0 +57 @@
+
@@ -34 +89 @@
-- Fixed handling of floppy disks on taget clusters
+- Fixed handling of floppy disks on target clusters
@@ -85 +140 @@
-- Fixed licence in the rpm to match the code.
+- Fixed license in the rpm to match the code.
@@ -103 +158 @@
-- Inital version
+- Initial version

Old:

  python-ceph-cfg-0.1.7+git.1468408973.22daca0.tar.xz

New:

  python-ceph-cfg-0.2.1+git.1473421401.a6a2208.tar.xz



Other differences:
--
++ python-ceph-cfg.spec ++
--- /var/tmp/diff_new_pack.2VHmwg/_old  2016-09-21 18:50:30.0 +0200
+++ /var/tmp/diff_new_pack.2VHmwg/_new  2016-09-21 18:50:30.0 +0200
@@ -27,9 +27,9 @@
   #SLE12 or openSUSE LEAP
   %if 0%{?sle_version} == 120200
 # openSUSE LEAP 42.2
-%bcond_without unit_tests
+%bcond_with unit_tests
   %else
-#SLE12
+#SLE12 does not have deps
 %bcond_with unit_tests
   %endif
 %else
@@ -45,7 +45,7 @@
 %endif
 
 Name:   python-ceph-cfg
-Version:0.1.7+git.1468408973.22daca0
+Version:0.2.1+git.1473421401.a6a2208
 Release:0
 Summary:Python library to Admin and deploy Ceph
 License:Apache-2.0

++ _service ++
--- /var/tmp/diff_new_pack.2VHmwg/_old  2016-09-21 18:50:30.0 +0200
+++ /var/tmp/diff_new_pack.2VHmwg/_new  2016-09-21 18:50:30.0 +0200
@@ -1,8 +1,8 @@
 
   
-0.1.7+git.%ct.%h
+0.2.1+git.%ct.%h
 https://github.com/oms4suse/python-ceph-cfg.git
-wip_fix_key_perms
+python-ceph-cfg_0.2.1
 python-ceph-cfg
 git
   

++ python-ceph-cfg-0.1.7+git.1468408973.22daca0.tar.xz -> 
python-ceph-cfg-0.2.1+git.1473421401.a6a2208.tar.xz ++
 3191 lines of diff (skipped)




commit yast2-ftp-server for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package yast2-ftp-server for 
openSUSE:Factory checked in at 2016-09-21 18:49:59

Comparing /work/SRC/openSUSE:Factory/yast2-ftp-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ftp-server.new (New)


Package is "yast2-ftp-server"

Changes:

--- /work/SRC/openSUSE:Factory/yast2-ftp-server/yast2-ftp-server.changes
2016-06-07 23:50:37.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-ftp-server.new/yast2-ftp-server.changes   
2016-09-21 18:50:01.0 +0200
@@ -1,0 +2,6 @@
+Tue Sep 20 10:40:22 UTC 2016 - jreidin...@suse.com
+
+- reduce rpm build time (bsc#999203)
+- 3.1.10
+
+---

Old:

  yast2-ftp-server-3.1.9.tar.bz2

New:

  yast2-ftp-server-3.1.10.tar.bz2



Other differences:
--
++ yast2-ftp-server.spec ++
--- /var/tmp/diff_new_pack.Mrj5UC/_old  2016-09-21 18:50:03.0 +0200
+++ /var/tmp/diff_new_pack.Mrj5UC/_new  2016-09-21 18:50:03.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ftp-server
-Version:3.1.9
+Version:3.1.10
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -26,12 +26,11 @@
 # Wizard::SetDesktopTitleAndIcon
 Requires:   yast2 >= 2.21.22
 Requires:   yast2-inetd
-BuildRequires:  perl-XML-Writer
 BuildRequires:  update-desktop-files
 BuildRequires:  yast2
 BuildRequires:  yast2-devtools >= 3.1.10
-BuildRequires:  yast2-inetd
-BuildRequires:  yast2-testsuite
+BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
+BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)
 
 BuildArch:  noarch
 
@@ -48,11 +47,13 @@
 %prep
 %setup -n %{name}-%{version}
 
+%check
+rake test:unit
+
 %build
-%yast_build
 
 %install
-%yast_install
+rake install DESTDIR="%{buildroot}"
 
 %files
 %defattr(-,root,root)

++ yast2-ftp-server-3.1.9.tar.bz2 -> yast2-ftp-server-3.1.10.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ftp-server-3.1.9/.travis.yml 
new/yast2-ftp-server-3.1.10/.travis.yml
--- old/yast2-ftp-server-3.1.9/.travis.yml  2016-06-07 14:11:46.0 
+0200
+++ new/yast2-ftp-server-3.1.10/.travis.yml 2016-09-20 13:06:29.0 
+0200
@@ -5,12 +5,10 @@
 # disable rvm, use system Ruby
 - rvm reset
 - wget 
https://raw.githubusercontent.com/yast/yast-devtools/master/travis-tools/travis_setup.sh
-- sh ./travis_setup.sh -p "rake yast2-devtools yast2-testsuite yast2 
yast2-inetd ruby-rspec" -g "yast-rake gettext"
+- sh ./travis_setup.sh -p "rake yast2-devtools yast2 ruby-rspec" -g 
"yast-rake gettext"
 script:
 - rake check:syntax
 - rake check:pot
-- make -f Makefile.cvs
-- make
-- sudo make install
-- make check
+- rake test:unit
+- sudo rake install
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ftp-server-3.1.9/CONTRIBUTING.md 
new/yast2-ftp-server-3.1.10/CONTRIBUTING.md
--- old/yast2-ftp-server-3.1.9/CONTRIBUTING.md  2016-06-07 14:11:46.0 
+0200
+++ new/yast2-ftp-server-3.1.10/CONTRIBUTING.md 2016-09-20 13:06:29.0 
+0200
@@ -3,7 +3,7 @@
 
 YaST is an open source project and as such it welcomes all kinds of
 contributions. If you decide to contribute, please follow these guidelines to
-ensure the process is effective and pleasant both for you and YaST maintainers.
+ensure the process is effective and pleasant both for you and the YaST 
maintainers.
 
 There are two main forms of contribution: reporting bugs and performing code
 changes.
@@ -17,13 +17,11 @@
 
registration](https://secure-www.novell.com/selfreg/jsp/createSimpleAccount.jsp)
 if you don't have an account yet.)
 
-If you find a problem, please report it either using
-[Bugzilla](https://bugzilla.suse.com/) or GitHub issues. We can't guarantee
-that every bug will be fixed, but we'll try.
-
 When creating a bug report, please follow our [bug reporting
 guidelines](http://en.opensuse.org/openSUSE:Report_a_YaST_bug).
 
+We can't guarantee that every bug will be fixed, but we'll try.
+
 Code Changes
 
 
@@ -44,15 +42,22 @@
  to the [Ruby style
  guide](https://github.com/SUSE/style-guides/blob/master/Ruby.md).
 
-  4. Make sure your change didn't break anything by building the RPM package
+  4. Update the package version (in `packages/*.spec`, usually by
+ `rake version:bump`) and add a new entry to the `package/*.changes` file
+ (by `osc vc package`).  
+ For bigger changes or changes which need longer discussion it is advised 
to
+ add this as a separate last commit so it can be easily updated when 
another
+ change is merged in the meantime.
+

commit python3-scipy for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package python3-scipy for openSUSE:Factory 
checked in at 2016-09-21 18:49:55

Comparing /work/SRC/openSUSE:Factory/python3-scipy (Old)
 and  /work/SRC/openSUSE:Factory/.python3-scipy.new (New)


Package is "python3-scipy"

Changes:

--- /work/SRC/openSUSE:Factory/python3-scipy/python3-scipy.changes  
2016-07-27 16:13:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.python3-scipy.new/python3-scipy.changes 
2016-09-21 18:49:57.0 +0200
@@ -1,0 +2,26 @@
+Tue Sep 20 06:18:43 UTC 2016 - a...@gmx.de
+
+- update to version 0.18.1:
+  * #6357: scipy 0.17.1 piecewise cubic hermite interpolation does not
+ return...
+  * #6420: circmean() changed behaviour from 0.17 to 0.18
+  * #6421: scipy.linalg.solve_banded overwrites input 'b' when the
+ inversion...
+  * #6425: cKDTree INF bug
+  * #6435: scipy.stats.ks_2samp returns different values on different
+ computers
+  * #6458: Error in scipy.integrate.dblquad when using variable
+ integration...
+  * #6405: BUG: sparse: fix elementwise divide for CSR/CSC
+  * #6431: BUG: result for insufficient neighbours from cKDTree is
+ wrong.
+  * #6432: BUG Issue #6421: scipy.linalg.solve_banded overwrites input
+ 'b'...
+  * #6455: DOC: add links to release notes
+  * #6462: BUG: interpolate: fix .roots method of PchipInterpolator
+  * #6492: BUG: Fix regression in dblquad: #6458
+  * #6543: fix the regression in circmean
+  * #6545: Revert gh-5938, restore ks_2samp
+  * #6557: Backports for 0.18.1
+
+---

Old:

  scipy-0.18.0.tar.gz

New:

  scipy-0.18.1.tar.gz



Other differences:
--
++ python3-scipy.spec ++
--- /var/tmp/diff_new_pack.HI5tW4/_old  2016-09-21 18:49:59.0 +0200
+++ /var/tmp/diff_new_pack.HI5tW4/_new  2016-09-21 18:49:59.0 +0200
@@ -19,7 +19,7 @@
 %define with_atlas 0
 
 Name:   python3-scipy
-Version:0.18.0
+Version:0.18.1
 Release:0
 Summary:Scientific Tools for Python
 License:BSD-3-Clause and LGPL-2.0+

++ scipy-0.18.0.tar.gz -> scipy-0.18.1.tar.gz ++
/work/SRC/openSUSE:Factory/python3-scipy/scipy-0.18.0.tar.gz 
/work/SRC/openSUSE:Factory/.python3-scipy.new/scipy-0.18.1.tar.gz differ: char 
5, line 1




commit julia for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package julia for openSUSE:Factory checked 
in at 2016-09-21 18:50:13

Comparing /work/SRC/openSUSE:Factory/julia (Old)
 and  /work/SRC/openSUSE:Factory/.julia.new (New)


Package is "julia"

Changes:

--- /work/SRC/openSUSE:Factory/julia/julia-compat.changes   2016-09-16 
11:01:10.0 +0200
+++ /work/SRC/openSUSE:Factory/.julia.new/julia-compat.changes  2016-09-21 
18:50:14.0 +0200
@@ -1,0 +2,5 @@
+Tue Sep 20 15:48:03 UTC 2016 - roni...@gmail.com
+
+- Version bump to 0.5.0, see NEWS.md for details.
+
+---
julia.changes: same change

Old:

  julia-0.5.0-rc4.tar.gz

New:

  julia-0.5.0.tar.gz



Other differences:
--
++ julia-compat.spec ++
--- /var/tmp/diff_new_pack.PSv2Zc/_old  2016-09-21 18:50:20.0 +0200
+++ /var/tmp/diff_new_pack.PSv2Zc/_new  2016-09-21 18:50:20.0 +0200
@@ -23,7 +23,7 @@
 %undefine _build_create_debug
 %define __arch_install_post export NO_BRP_STRIP_DEBUG=true
 
-%define julia_ver0.5.0-rc4
+%define julia_ver0.5.0
 %define libjulia_sover_major 0.5
 %define libjulia_sover_minor 0
 
@@ -34,7 +34,7 @@
 %define compat_mode  1
 %define src_name julia-tarball
 
-Version:0.5.0~rc4
+Version:0.5.0
 Release:0
 Url:http://julialang.org/
 Source0:
https://github.com/JuliaLang/julia/releases/download/v%{julia_ver}/julia-%{julia_ver}.tar.gz

++ julia.spec ++
--- /var/tmp/diff_new_pack.PSv2Zc/_old  2016-09-21 18:50:20.0 +0200
+++ /var/tmp/diff_new_pack.PSv2Zc/_new  2016-09-21 18:50:20.0 +0200
@@ -23,7 +23,7 @@
 %undefine _build_create_debug
 %define __arch_install_post export NO_BRP_STRIP_DEBUG=true
 
-%define julia_ver0.5.0-rc4
+%define julia_ver0.5.0
 %define libjulia_sover_major 0.5
 %define libjulia_sover_minor 0
 
@@ -34,7 +34,7 @@
 %define compat_mode  0
 %define src_name julia-tarball
 
-Version:0.5.0~rc4
+Version:0.5.0
 Release:0
 Url:http://julialang.org/
 Source0:
https://github.com/JuliaLang/julia/releases/download/v%{julia_ver}/julia-%{julia_ver}.tar.gz


++ julia-0.5.0-rc4.tar.gz -> julia-0.5.0.tar.gz ++
/work/SRC/openSUSE:Factory/julia/julia-0.5.0-rc4.tar.gz 
/work/SRC/openSUSE:Factory/.julia.new/julia-0.5.0.tar.gz differ: char 5, line 1




commit growpart for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package growpart for openSUSE:Factory 
checked in at 2016-09-21 18:50:17

Comparing /work/SRC/openSUSE:Factory/growpart (Old)
 and  /work/SRC/openSUSE:Factory/.growpart.new (New)


Package is "growpart"

Changes:

--- /work/SRC/openSUSE:Factory/growpart/growpart.changes2014-04-08 
11:44:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.growpart.new/growpart.changes   2016-09-21 
18:50:21.0 +0200
@@ -1,0 +2,15 @@
+Tue Sep 13 20:53:26 UTC 2016 - rjsch...@suse.com
+
+- Update to version 0.29 (bsc#998378)
+  + fix use of partx for newer util-linux versions (LP: #1587971)
+[Lars Kellogg-Stedman]
+  + fix some issues in error path reporting
+  + capture output of 'partx --help' as older versions
+do not support that flag, and send output to stderr.
+  + fix bug when growing partitions on disks > 2TB. (LP: #1259703)
+  + run partx only on block devices (not files)
+  + better --dry-run output for gpt disks, providing sgdisk command
+line that would be used.
+  + support sfdisk >= 2.26, and support gpt partitions with sfdisk
+
+---

Old:

  cloud-utils-0.27.tar.gz

New:

  cloud-utils-0.29.tar.gz



Other differences:
--
++ growpart.spec ++
--- /var/tmp/diff_new_pack.Cab8hH/_old  2016-09-21 18:50:24.0 +0200
+++ /var/tmp/diff_new_pack.Cab8hH/_new  2016-09-21 18:50:24.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package growpart, ec2metadata
+# spec file for package growpart
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,20 +15,21 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   growpart
-Version:0.27
+Version:0.29
 Release:0
-License:GPL-3.0
 Summary:Grow a partition
-URL:http://launchpad.net/cloud-util
+License:GPL-3.0
 Group:  System/Management
+Url:http://launchpad.net/cloud-utils
 Source0:cloud-utils-%{version}.tar.gz
 Patch:  licenseGPLv3.patch
 Requires:   util-linux
 %if 0%{?suse_version} && 0%{?suse_version} >= 1220
 Requires:   gptfdisk
 %endif
-BuildRoot:  %{_tmppath}/cloud-utils-%{version}-%{release}-root
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 
 %description
@@ -51,7 +52,6 @@
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-
 %files
 %defattr(-,root,root,-)
 %doc LICENSE-GPLv3

++ cloud-utils-0.27.tar.gz -> cloud-utils-0.29.tar.gz ++
 4024 lines of diff (skipped)




commit php-composer for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package php-composer for openSUSE:Factory 
checked in at 2016-09-21 18:50:08

Comparing /work/SRC/openSUSE:Factory/php-composer (Old)
 and  /work/SRC/openSUSE:Factory/.php-composer.new (New)


Package is "php-composer"

Changes:

--- /work/SRC/openSUSE:Factory/php-composer/php-composer.changes
2016-09-20 13:26:18.0 +0200
+++ /work/SRC/openSUSE:Factory/.php-composer.new/php-composer.changes   
2016-09-21 18:50:09.0 +0200
@@ -1,0 +2,7 @@
+Tue Sep 20 12:26:25 UTC 2016 - jweberho...@weberhofer.at
+
+- version 1.2.1
+  * Fixed edge case issues with the static autoloader
+  * Minor fixes
+
+---



Other differences:
--
++ php-composer.spec ++
--- /var/tmp/diff_new_pack.CpI45L/_old  2016-09-21 18:50:11.0 +0200
+++ /var/tmp/diff_new_pack.CpI45L/_new  2016-09-21 18:50:11.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   php-composer
-Version:1.2.0
+Version:1.2.1
 Release:0
 Summary:Dependency Management for PHP
 License:MIT

++ composer.phar ++
Files /var/tmp/diff_new_pack.CpI45L/_old and /var/tmp/diff_new_pack.CpI45L/_new 
differ




commit lxc for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package lxc for openSUSE:Factory checked in 
at 2016-09-21 18:49:41

Comparing /work/SRC/openSUSE:Factory/lxc (Old)
 and  /work/SRC/openSUSE:Factory/.lxc.new (New)


Package is "lxc"

Changes:

--- /work/SRC/openSUSE:Factory/lxc/lxc.changes  2016-08-03 11:44:29.0 
+0200
+++ /work/SRC/openSUSE:Factory/.lxc.new/lxc.changes 2016-09-21 
18:49:46.0 +0200
@@ -1,0 +2,37 @@
+Mon Sep 19 15:09:41 UTC 2016 - sch...@suse.de
+
+- setcap has been moved to /usr/sbin (boo#998326).
+
+---
+Wed Aug 31 11:16:59 UTC 2016 - cbrau...@suse.de
+
+- update lxc to 2.0.4
+- add 0001-bdev-use-correct-overlay-module-name.patch
+- add 0002-cleanup-tools-remove-name-from-lxc-top-usage-message.patch
+- add 0003-cleanup-whitespaces-in-option-alignment-for-lxc-exec.patch
+- add 0004-Use-full-GPG-fingerprint-instead-of-long-IDs.patch
+- add 0005-tools-move-rcfile-to-the-common-options-list.patch
+- add 0006-tools-set-configfile-after-load_config.patch
+- add 0007-doc-add-rcfile-to-common-opts.patch
+- add 0008-doc-Update-Korean-lxc-attach-1.patch
+- add 0009-doc-Add-rcfile-to-Korean-common-opts.patch
+- add 0010-doc-Add-rcfile-to-Japanese-common-opts.patch
+- add 0011-tools-use-exit-EXIT_-everywhere.patch
+- add 0012-tools-unify-exit-calls-outside-of-main.patch
+- add 0013-utils-Add-mips-signalfd-syscall-numbers.patch
+- add 0014-seccomp-Implement-MIPS-seccomp-handling.patch
+- add 0015-seccomp-Add-mips-and-mips64-entries-to-lxc_config_pa.patch
+- add 0016-seccomp-fix-strerror.patch
+- add 0017-confile-add-more-archs-to-lxc_config_parse_arch.patch
+- add 0018-seccomp-add-support-for-s390x.patch
+- add 0019-seccomp-remove-double-include-and-order-includes.patch
+- add 0020-seccomp-non-functional-changes.patch
+- add 0021-templates-use-fd-9-instead-of-200.patch
+- add 0022-templates-fedora-requires-openssl-binary.patch
+- add 0023-tools-use-boolean-for-ret-in-lxc_device.c.patch
+- add 0024-c-r-use-proc-self-tid-children-instead-of-pidfile.patch
+- add 0025-c-r-Fix-pid_t-on-some-arches.patch
+- add 0026-templates-Add-mips-hostarch-detection-to-debian.patch
+- add 0027-cleanup-replace-tabs-wth-spaces-in-usage-strings.patch
+
+---

Old:

  lxc-2.0.3.tar.gz

New:

  0001-bdev-use-correct-overlay-module-name.patch
  0002-cleanup-tools-remove-name-from-lxc-top-usage-message.patch
  0003-cleanup-whitespaces-in-option-alignment-for-lxc-exec.patch
  0004-Use-full-GPG-fingerprint-instead-of-long-IDs.patch
  0005-tools-move-rcfile-to-the-common-options-list.patch
  0006-tools-set-configfile-after-load_config.patch
  0007-doc-add-rcfile-to-common-opts.patch
  0008-doc-Update-Korean-lxc-attach-1.patch
  0009-doc-Add-rcfile-to-Korean-common-opts.patch
  0010-doc-Add-rcfile-to-Japanese-common-opts.patch
  0011-tools-use-exit-EXIT_-everywhere.patch
  0012-tools-unify-exit-calls-outside-of-main.patch
  0013-utils-Add-mips-signalfd-syscall-numbers.patch
  0014-seccomp-Implement-MIPS-seccomp-handling.patch
  0015-seccomp-Add-mips-and-mips64-entries-to-lxc_config_pa.patch
  0016-seccomp-fix-strerror.patch
  0017-confile-add-more-archs-to-lxc_config_parse_arch.patch
  0018-seccomp-add-support-for-s390x.patch
  0019-seccomp-remove-double-include-and-order-includes.patch
  0020-seccomp-non-functional-changes.patch
  0021-templates-use-fd-9-instead-of-200.patch
  0022-templates-fedora-requires-openssl-binary.patch
  0023-tools-use-boolean-for-ret-in-lxc_device.c.patch
  0024-c-r-use-proc-self-tid-children-instead-of-pidfile.patch
  0025-c-r-Fix-pid_t-on-some-arches.patch
  0026-templates-Add-mips-hostarch-detection-to-debian.patch
  0027-cleanup-replace-tabs-wth-spaces-in-usage-strings.patch
  lxc-2.0.4.tar.gz



Other differences:
--
++ lxc.spec ++
--- /var/tmp/diff_new_pack.PSsFot/_old  2016-09-21 18:49:48.0 +0200
+++ /var/tmp/diff_new_pack.PSsFot/_new  2016-09-21 18:49:48.0 +0200
@@ -18,7 +18,7 @@
 
 %defineshlib_version 1
 Name:   lxc
-Version:2.0.3
+Version:2.0.4
 Release:0
 Url:http://linuxcontainers.org/
 Summary:Userspace tools for Linux kernel containers
@@ -27,13 +27,40 @@
 Source: http://linuxcontainers.org/downloads/%{name}-%{version}.tar.gz
 Source1:README.SUSE
 Source2:lxc-createconfig.in
-Patch1: lxc-aa_allow_incomplete-default.patch
-
+Patch0001: 0001-bdev-use-correct-overlay-module-name.patch
+Patch0002: 0002-cleanup-tools-remove-name-from-lxc-top-usage-message.patch
+Patch0003: 0003-cleanup-whitespaces-in-option-alignment-for-lxc-exec.patch
+Patch0004: 

commit docker for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package docker for openSUSE:Factory checked 
in at 2016-09-21 18:49:51

Comparing /work/SRC/openSUSE:Factory/docker (Old)
 and  /work/SRC/openSUSE:Factory/.docker.new (New)


Package is "docker"

Changes:

--- /work/SRC/openSUSE:Factory/docker/docker.changes2016-08-17 
12:06:02.0 +0200
+++ /work/SRC/openSUSE:Factory/.docker.new/docker.changes   2016-09-21 
18:49:53.0 +0200
@@ -1,0 +2,125 @@
+Mon Sep 19 11:56:15 UTC 2016 - jmassaguer...@suse.com
+
+- fix go_arches definition: use global instead of define, otherwise
+  it fails to build 
+
+---
+Wed Sep 14 09:41:57 UTC 2016 - asa...@suse.com
+
+- Add dockerd(8) man page.
+
+---
+Fri Sep  9 12:42:24 UTC 2016 - th...@suse.de
+
+- add missing patch to changelog
+
+---
+Wed Sep  7 16:33:59 UTC 2016 - th...@suse.de
+
+- fix integration test case
+- add integration-cli-fix-TestInfoEnsureSucceeds.patch
+
+---
+Tue Sep  6 13:28:38 UTC 2016 - th...@suse.de
+
+- update rpmlintrc
+
+---
+Fri Sep  2 12:02:23 UTC 2016 - th...@suse.de
+
+- make test timeout configurable
+
+---
+Fri Sep  2 10:25:27 UTC 2016 - asa...@suse.com
+
+- Remove noarch from docker-test, which was causing lots of fun issues when
+  trying to run them.
+
+---
+Tue Aug 30 09:07:19 UTC 2016 - jmassaguer...@suse.com
+
+- Fix build for ppc64le: use static libgo for dockerd and docker-proxy
+  as in docker build.
+
+---
+Mon Aug 29 12:11:21 UTC 2016 - jmassaguer...@suse.com
+
+- Update docker to 1.12.1 (bsc#996015)
+
+  see changelog in https://github.com/docker/docker/releases/tag/v1.12.1
+
+---
+Fri Aug 26 12:02:35 UTC 2016 - cbrau...@suse.de
+
+- Add asau...@suse.com's test.sh test script.
+- Add integration test binary in docker.spec file. This is work done by
+  asau...@suse.com.
+
+---
+Fri Aug 26 10:43:38 UTC 2016 - asa...@suse.com
+
+- Package docker-proxy (which was split out of the docker binary in 1.12).
+  boo#995620
+
+---
+Fri Aug 26 10:00:36 UTC 2016 - jmassaguer...@suse.com
+
+- fix bsc#995102 - Docker "migrator" prevents installing "docker",
+  if docker 1.9 was installed before but there were no images
+
+---
+Fri Aug 26 08:49:15 UTC 2016 - asa...@suse.com
+
+- Update docker.service file with several changes.
+  * Reapply fix for bsc#983015 (Limit*=infinity).
+  * Specify an "OCI" runtime for our runc package explicitly. bsc#978260
+
+---
+Thu Aug 25 14:02:04 UTC 2016 - jmassaguer...@suse.com
+
+- remove disable-pprof-trace.patch: We can remove this patch because
+  we use go 1.6, either gcc6-go or gc-go. This patch was for gcc5-go
+
+---
+Wed Aug 24 12:31:23 UTC 2016 - jmassaguer...@suse.com
+
+- add go_arches in project configuration: this way, we can use the
+  same spec file but decide in the project configuration if to
+  use gc-go or gcc-go for some archs.
+
+---
+Tue Aug 23 11:35:09 UTC 2016 - jmassaguer...@suse.com
+
+- use gcc6-go instead of gcc5-go (bsc#988408)
+- build ppc64le with gc-go because this version builds with gc-go 1.6
+- remove bnc964673-boltdb-metadata-recovery.patch because it has already
+  been merged
+
+---
+Tue Aug 23 11:34:09 UTC 2016 - cbrau...@suse.com
+
+- update to v1.12.0 (bsc#995058)
+  see detailed changelog at
+https://github.com/docker/docker/releases/tag/v1.12.0
+- disable test that fail in obs build context
+- only run unit tests on architectures that provide the go list and go test
+  tools
+- disable dockerd, parser, integration test, and devicemapper related tests
+  on versions below SLE12 and openSUSE_13.2
+- bump test timeout to 10m (for aarch64)
+- run unit tests during the build
+- Adapt docker.service file.
+- adapt install sections for gccgo builds: gccgo build are not built in 
separate
+  folders for client and daemon. They both reside in dyngccgo.
+- gcc-go-patch: link against systemd when 

commit librecad for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package librecad for openSUSE:Factory 
checked in at 2016-09-21 18:49:46

Comparing /work/SRC/openSUSE:Factory/librecad (Old)
 and  /work/SRC/openSUSE:Factory/.librecad.new (New)


Package is "librecad"

Changes:

--- /work/SRC/openSUSE:Factory/librecad/librecad.changes2016-07-14 
09:44:23.0 +0200
+++ /work/SRC/openSUSE:Factory/.librecad.new/librecad.changes   2016-09-21 
18:49:51.0 +0200
@@ -1,0 +2,14 @@
+Mon Sep 19 12:47:21 UTC 2016 - jsl...@suse.com
+
+- Update to new upstream release 2.1.2
+  * wouldn't build with gcc 5.4 and 6
+  * mouse cursor was missing for 'Arc Tangential'
+  * right-click with plugins could cause a crash
+  * construction lines were not drawn when the line segment was out of view
+  * DXF files with comments were not properly loaded
+  * drawings were not marked as modified after an 'undo'
+  * the command line didn't accept numpad input
+  * the command widget didn't activate properly when floating
+- librecad-gcc6.patch: Remove (unneeded now)
+
+---

Old:

  2.1.1.tar.gz
  librecad-gcc6.patch

New:

  2.1.2.tar.gz



Other differences:
--
++ librecad.spec ++
--- /var/tmp/diff_new_pack.9PIUqg/_old  2016-09-21 18:49:53.0 +0200
+++ /var/tmp/diff_new_pack.9PIUqg/_new  2016-09-21 18:49:53.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   librecad
-Version:2.1.1
+Version:2.1.2
 Release:0
 Summary:Computer-aided design (CAD) software package for 2D design and 
drafting
 License:GPL-2.0 and (Apache-2.0 or SUSE-GPL-3.0+-with-font-exception)
@@ -34,7 +34,6 @@
 Source4:http://wiki.librecad.org/images/9/9d/Electrical1-LCAD.zip
 Source10:   ttf2lff.1
 Source20:   %name-rpmlintrc
-Patch1: librecad-gcc6.patch
 Patch2: librecad-no-date.diff
 Patch3: librecad-use-system-libdxfrw.patch
 Patch4: librecad-install.diff
@@ -88,7 +87,7 @@
 
 %prep
 %setup -qn LibreCAD-%version -a 2 -a 3 -a 4
-%patch -P 1 -P 2 -P 3 -P 4 -P 5 -p1
+%patch -P 2 -P 3 -P 4 -P 5 -p1
 %if 0%{?suse_version} >= 1321
 %patch -P 6 -p1
 %endif

++ 2.1.1.tar.gz -> 2.1.2.tar.gz ++
/work/SRC/openSUSE:Factory/librecad/2.1.1.tar.gz 
/work/SRC/openSUSE:Factory/.librecad.new/2.1.2.tar.gz differ: char 30, line 1







commit perl-Web-MREST-CLI for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package perl-Web-MREST-CLI for 
openSUSE:Factory checked in at 2016-09-21 18:49:38

Comparing /work/SRC/openSUSE:Factory/perl-Web-MREST-CLI (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Web-MREST-CLI.new (New)


Package is "perl-Web-MREST-CLI"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Web-MREST-CLI/perl-Web-MREST-CLI.changes
2016-09-17 14:39:34.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Web-MREST-CLI.new/perl-Web-MREST-CLI.changes   
2016-09-21 18:49:40.0 +0200
@@ -1,0 +2,27 @@
+Mon Sep  5 07:07:09 UTC 2016 - ncut...@suse.com
+
+- fix %doc in spec file 
+
+---
+Sun Sep  4 17:59:56 UTC 2016 - ncut...@suse.com
+
+- fix _service file 
+
+---
+Sun Sep  4 17:58:31 UTC 2016 - ncut...@suse.com
+
+- updated to 0.283
+   see /usr/share/doc/packages/perl-Web-MREST-CLI/Changes
+
+---
+Sun Sep  4 17:57:04 UTC 2016 - ncut...@suse.com
+
+- updated to 0.282
+   see /usr/share/doc/packages/perl-Web-MREST-CLI/Changes
+
+---
+Sun Sep  4 17:56:32 UTC 2016 - ncut...@suse.com
+
+- add _service file to automate version update in spec file
+
+---

Old:

  Web-MREST-CLI-0.280.tar.gz

New:

  Web-MREST-CLI-0.283.tar.gz
  _service



Other differences:
--
++ perl-Web-MREST-CLI.spec ++
--- /var/tmp/diff_new_pack.rQvhQh/_old  2016-09-21 18:49:41.0 +0200
+++ /var/tmp/diff_new_pack.rQvhQh/_new  2016-09-21 18:49:41.0 +0200
@@ -17,14 +17,14 @@
 
 
 Name:   perl-Web-MREST-CLI
-Version:0.280
+Version:0.283
 Release:0
 %define cpan_name Web-MREST-CLI
 Summary:CLI components for Web::MEST-based applications
 License:BSD-3-Clause
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Web-MREST-CLI/
-Source0:Web-MREST-CLI-0.280.tar.gz
+Source0:Web-MREST-CLI-0.283.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
@@ -77,6 +77,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes config LICENSE README README.md
+%doc Changes config LICENSE README.rst
 
 %changelog

++ Web-MREST-CLI-0.280.tar.gz -> Web-MREST-CLI-0.283.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Web-MREST-CLI-0.280/Changes 
new/Web-MREST-CLI-0.283/Changes
--- old/Web-MREST-CLI-0.280/Changes 2016-01-14 16:07:09.0 +0100
+++ new/Web-MREST-CLI-0.283/Changes 2016-09-04 19:58:27.0 +0200
@@ -29,3 +29,13 @@
 0.280 2016-01-14 16:05 CET
 - CLI.pm->send_req: do not UTF-8 decode the response
 
+0.281 2016-09-04 19:54 CEST
+- init_cli_client: optionally take arrayref of sitedirs
+- Travis CI
+
+0.282 2016-09-04 19:56 CEST
+- MANIFEST: now we have README.rst only
+
+0.283 2016-09-04 19:58 CEST
+- MANIFEST: add t/001-noop.t
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Web-MREST-CLI-0.280/MANIFEST 
new/Web-MREST-CLI-0.283/MANIFEST
--- old/Web-MREST-CLI-0.280/MANIFEST2016-01-14 16:07:09.0 +0100
+++ new/Web-MREST-CLI-0.283/MANIFEST2016-09-04 19:58:27.0 +0200
@@ -11,5 +11,5 @@
 MANIFEST.SKIP
 META.json
 META.yml
-README
-README.md
+README.rst
+t/001-noop.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Web-MREST-CLI-0.280/MANIFEST.SKIP 
new/Web-MREST-CLI-0.283/MANIFEST.SKIP
--- old/Web-MREST-CLI-0.280/MANIFEST.SKIP   2016-01-14 16:07:09.0 
+0100
+++ new/Web-MREST-CLI-0.283/MANIFEST.SKIP   2016-09-04 19:58:27.0 
+0200
@@ -1,4 +1,3 @@
-
 #!start included /usr/lib/perl5/5.18.1/ExtUtils/MANIFEST.SKIP
 # Avoid version control files.
 \bRCS\b
@@ -67,10 +66,16 @@
 \bBuild.COM$
 \bBUILD.COM$
 \bbuild.com$
-\bMANIFEST\.SKIP$
+^MANIFEST\.SKIP
 
 # Avoid archives of this distribution
 \bApp-Dochazka-Common-[\d\.\_]+
+
+# Avoid release script helper files
 \bCPAN_NAME$
-release.sh$
-\bMakefile\.PL$
+\bOBS_PROJECT$
+\bVERSION_MODULE$
+
+# Avoid perlcritic, travis config files
+\B\.perlcriticrc\b
+\B\.travis.yml\b
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Web-MREST-CLI-0.280/META.json 
new/Web-MREST-CLI-0.283/META.json
--- old/Web-MREST-CLI-0.280/META.json   2016-01-14 16:07:09.0 +0100
+++ new/Web-MREST-CLI-0.283/META.json   2016-09-04 19:58:27.0 +0200
@@ -4,7 +4,7 @@
   

commit perl-App-CELL for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package perl-App-CELL for openSUSE:Factory 
checked in at 2016-09-21 18:49:34

Comparing /work/SRC/openSUSE:Factory/perl-App-CELL (Old)
 and  /work/SRC/openSUSE:Factory/.perl-App-CELL.new (New)


Package is "perl-App-CELL"

Changes:

--- /work/SRC/openSUSE:Factory/perl-App-CELL/perl-App-CELL.changes  
2016-09-17 14:39:25.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-App-CELL.new/perl-App-CELL.changes 
2016-09-21 18:49:36.0 +0200
@@ -1,0 +2,12 @@
+Wed Sep 14 05:33:48 UTC 2016 - ncut...@suse.com
+
+- updated to 0.222
+   see /usr/share/doc/packages/perl-App-CELL/Changes
+
+---
+Sat Sep 10 22:00:02 UTC 2016 - ncut...@suse.com
+
+- updated to 0.221
+   see /usr/share/doc/packages/perl-App-CELL/Changes
+
+---

Old:

  App-CELL-0.220.tar.gz

New:

  App-CELL-0.222.tar.gz



Other differences:
--
++ perl-App-CELL.spec ++
--- /var/tmp/diff_new_pack.33L6F1/_old  2016-09-21 18:49:37.0 +0200
+++ /var/tmp/diff_new_pack.33L6F1/_new  2016-09-21 18:49:37.0 +0200
@@ -17,14 +17,14 @@
 
 
 Name:   perl-App-CELL
-Version:0.220
+Version:0.222
 Release:0
 %define cpan_name App-CELL
 Summary:Configuration, Error-handling, Localization, and Logging
 License:BSD-3-Clause
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/App-CELL/
-Source0:App-CELL-0.220.tar.gz
+Source0:App-CELL-0.222.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
@@ -32,7 +32,8 @@
 BuildRequires:  perl(Date::Format)
 BuildRequires:  perl(File::HomeDir)
 BuildRequires:  perl(File::Next)
-BuildRequires:  perl(File::ShareDir)
+BuildRequires:  perl(File::ShareDir) >= 1
+BuildRequires:  perl(File::ShareDir::Install) >= 0.11
 BuildRequires:  perl(Log::Any)
 BuildRequires:  perl(Log::Any::Adapter) >= 0.1
 BuildRequires:  perl(Log::Any::Test)
@@ -44,7 +45,7 @@
 Requires:   perl(Date::Format)
 Requires:   perl(File::HomeDir)
 Requires:   perl(File::Next)
-Requires:   perl(File::ShareDir)
+Requires:   perl(File::ShareDir) >= 1
 Requires:   perl(Log::Any)
 Requires:   perl(Log::Any::Adapter) >= 0.1
 Requires:   perl(Params::Validate)
@@ -56,8 +57,8 @@
 Error-handling, Localization, and Logging framework for applications (or
 scripts) written in Perl.
 
-For details, read the POD in the the App::CELL manpage distro. For an
-introduction, read the App::CELL::Guide manpage.
+For details, read the POD in the App::CELL distro. For an introduction,
+read App::CELL::Guide.
 
 %prep
 %setup -q -n %{cpan_name}-%{version}

++ App-CELL-0.220.tar.gz -> App-CELL-0.222.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/App-CELL-0.220/Build.PL new/App-CELL-0.222/Build.PL
--- old/App-CELL-0.220/Build.PL 2016-09-04 10:09:12.0 +0200
+++ new/App-CELL-0.222/Build.PL 2016-09-14 07:33:39.0 +0200
@@ -20,6 +20,7 @@
 },
 build_requires => { 
 'Log::Any::Test' => 0,
+'File::ShareDir::Install' => 0.11,
 'File::Spec' => 0,
 'File::Temp' => 0,
 'Params::Validate'   => 0,
@@ -28,10 +29,9 @@
 },
 requires   => {
 'perl'  => 5.012,
-#'Data::Structure::Util' => 0,
 'Date::Format'  => 0,
 'File::HomeDir' => 0,
-'File::ShareDir'=> 0,
+'File::ShareDir'=> 1.0,
 'File::Next'=> 0,
 'Log::Any'  => 0,
 'Log::Any::Adapter' => 0.10,
@@ -45,6 +45,7 @@
 }
 },
 add_to_cleanup => [ 'App-CELL-*' ],
+# create_makefile_pl => 'traditional',
 );
 
 $build->create_build_script;
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/App-CELL-0.220/Changes new/App-CELL-0.222/Changes
--- old/App-CELL-0.220/Changes  2016-09-04 10:09:12.0 +0200
+++ new/App-CELL-0.222/Changes  2016-09-14 07:33:39.0 +0200
@@ -862,3 +862,10 @@
 - MANIFEST.SKIP: avoid Perl Critic and Travis config files
 - test: try using TRAVIS_PERL_VERSION to detect Travis
 
+0.221 2016-09-10 23:56 CEST
+- README.rst: drop Release management section
+- build/ops: regenerate Makefile.PL (CPANtesters)
+
+0.222 2016-09-14 07:32 CEST
+- build/ops: use File::ShareDir::Install in Makefile.PL
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/App-CELL-0.220/META.json 

commit runc for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package runc for openSUSE:Factory checked in 
at 2016-09-21 18:49:18

Comparing /work/SRC/openSUSE:Factory/runc (Old)
 and  /work/SRC/openSUSE:Factory/.runc.new (New)


Package is "runc"

Changes:

--- /work/SRC/openSUSE:Factory/runc/runc.changes2016-08-18 
09:18:09.0 +0200
+++ /work/SRC/openSUSE:Factory/.runc.new/runc.changes   2016-09-21 
18:49:19.0 +0200
@@ -1,0 +2,49 @@
+Mon Sep 19 11:57:45 UTC 2016 - jmassaguer...@suse.com
+
+- fix go_arches definition: use global instead of define, otherwise
+  it fails to build 
+
+---
+Fri Aug 26 08:59:54 UTC 2016 - asa...@suse.com
+
+- Remove docker-runc symlink because it's been fixed within the Docker
+  package. bsc#978260
+
+---
+Thu Aug 25 17:02:33 UTC 2016 - jmassaguer...@suse.com
+
+- Create a symlink /usr/sbin/docker-runc -> /usr/sbin/docker
+  Docker expects this symlink to exist bsc#978260
+
+---
+Thu Aug 25 15:56:00 UTC 2016 - jmassaguer...@suse.com
+
+- Remove GOPATH at the end of the GOPATH assignment
+  cause GOPATH is empty and if we do that, we get the path ""
+  appended, which causes gcc6-go to complain
+
+---
+Wed Aug 24 12:27:57 UTC 2016 - jmassaguer...@suse.com
+
+- add go_arches in project configuration: this way, we can use the
+  same spec file but decide in the project configuration if to
+  use gc-go or gcc-go for some archs.
+
+---
+Thu Aug 18 10:35:29 UTC 2016 - jmassaguer...@suse.com
+
+- use gcc6-go instead of gcc5-go (bsc#988408)
+- build ppc64le with gc-go because this version builds with gc-go 1.6
+
+---
+Thu Aug 18 10:34:29 UTC 2016 - cbrau...@suse.de
+
+- bump git commit id to the one required by docker v1.12.0 (bsc#995058)
+- run unit tests during package build
+- remove seccomp-use-pkg-config.patch
+  The patch is now upstream.
+- remove GO_BUILD_FLAGS macro and substitute with BUILDFLAGS env variable to
+  allow for easier string appending.
+- only run unit test on architectures that provide the go list and go test 
tools
+
+---

Old:

  runc-0.1.1.tar.xz
  seccomp-use-pkg-config.patch

New:

  runc-git.cc29e3d.tar.xz



Other differences:
--
++ runc.spec ++
--- /var/tmp/diff_new_pack.qSUnuG/_old  2016-09-21 18:49:21.0 +0200
+++ /var/tmp/diff_new_pack.qSUnuG/_new  2016-09-21 18:49:21.0 +0200
@@ -16,31 +16,42 @@
 #
 
 
-%define go_arches %ix86 x86_64 aarch64
+# Check if go_arches is defined in the project configuration
+# Otherwise, define it here
+# In order to define it in the project configuration, see
+#
+# https://en.opensuse.org/openSUSE:Build%20Service%20prjconf#Macros
+#
+# The Macros tag is the one that defines the go_arches variable to be used
+# in the spec file.
+# The "define" one is to help the specfile parser of the buildservice
+# to see what packages are being built. You also want to define it here
+# for keeping things consistent.
+
+%{!?go_arches: %global go_arches %ix86 x86_64 aarch64 ppc64le}
+
 %ifarch %go_arches
 %define go_tool go
-%define GO_BUILD_FLAGS %{nil}
 %else
-%define go_tool go-5
-%define GO_BUILD_FLAGS "-gccgoflags=-Wl,--add-needed -Wl,--no-as-needed 
-static-libgo -ldl -lseccomp -lselinux -lapparmor"
+%define go_tool go-6
 %endif
 
-%define version_unconverted 0.1.1
+%define git_version cc29e3d
+%define version_unconverted %{git_version}
 
 Name:   runc
-Version:0.1.1
+Version:0.1.1+git%{git_version}
 Release:0
 Summary:Tool for spawning and running OCI containers
 License:Apache-2.0
 Group:  System/Management
 Url:https://github.com/opencontainers/runc
-Source: %{name}-%{version}.tar.xz
-Patch0: seccomp-use-pkg-config.patch
+Source: %{name}-git.%{git_version}.tar.xz
 %ifarch %go_arches
 BuildRequires:  go >= 1.5
 BuildRequires:  go-go-md2man
 %else
-BuildRequires:  gcc5-go >= 5.0
+BuildRequires:  gcc6-go >= 6.1
 %endif
 BuildRequires:  libapparmor-devel
 # Seccomp isn't supported on aarch64.
@@ -64,7 +75,7 @@
 Requires:   go >= 1.5
 Requires:   go-go-md2man
 %else
-Requires:   gcc5-go >= 5.0
+Requires:   gcc6-go >= 6.1
 %endif
 Requires:   libapparmor-devel
 # Seccomp isn't supported on aarch64.
@@ -79,35 +90,50 @@
 Test package for runc. It contains the source code and the tests.
 
 %prep

commit python-diff_match_patch for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package python-diff_match_patch for 
openSUSE:Factory checked in at 2016-09-21 18:49:29

Comparing /work/SRC/openSUSE:Factory/python-diff_match_patch (Old)
 and  /work/SRC/openSUSE:Factory/.python-diff_match_patch.new (New)


Package is "python-diff_match_patch"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-diff_match_patch.new/python-diff_match_patch.changes
 2016-09-21 18:49:30.0 +0200
@@ -0,0 +1,34 @@
+---
+Wed May 11 15:13:44 UTC 2016 - jmate...@suse.com
+
+- added setup.py from the unofficial package on PyPI, in order to
+  generate egg-info for packages that require it
+
+---
+Mon Feb 25 20:08:51 UTC 2013 - elchev...@opensuse.org
+
+- updated to version 20121119
+   *Removing long/shorttext scoping or dereferencing in all languages
+   *Modifying Lua's module structure to work consistently
+   *Update Dart port to latest Dart language verison
+   *Fix typos in demo_patch.html
+
+---
+Thu Jan  3 17:07:45 UTC 2013 - toddrme2...@gmail.com
+
+- Fix building on SLES 11
+
+---
+Sat May  5 00:13:29 UTC 2012 - elchev...@opensuse.org
+
+- fix python2.4 hardcoded - use '/usr/bin/env python2' instead
+
+---
+Tue Mar 20 22:28:33 UTC 2012 - elchev...@opensuse.org
+
+- update to version 20120106 and spec cleanning
+
+---
+Wed Aug 12 00:00:00 UTC 2009 - n...@opensuse.org
+
+- first build 

New:

  diff_match_patch_20121119.zip
  python-diff_match_patch.changes
  python-diff_match_patch.spec
  setup.py



Other differences:
--
++ python-diff_match_patch.spec ++
#
# spec file for package python-diff_match_patch
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   python-diff_match_patch
Version:20121119
Release:0
Summary:Python Diff, Match and Patch library for Plain Text
License:Apache-2.0
Group:  Development/Libraries/Python
Url:http://code.google.com/p/google-diff-match-patch/
Source: diff_match_patch_%{version}.zip
Source1:setup.py
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{py_requires}
%else
BuildArch:  noarch
%endif

%description
Google's Diff Match and Patch libraries offer robust algorithms to perform the 
operations required for synchronizing plain text.

   1. Diff:
  * Compare two blocks of plain text and efficiently return a list of 
differences.
   2. Match:
  * Given a search string, find its best fuzzy match in a block of 
plain text. Weighted for both accuracy and location.
   3. Patch:
  * Apply a list of patches onto plain text. Use best-effort to apply 
patch even when the underlying text doesn't match.

%prep
%setup -n diff_match_patch_%{version}
cp %{S:1} .
#fix python2.4 hardcoded - use /usr/bin/env python2
sed -i 's/\/usr\/bin\/python2.4/\/usr\/bin\/env python2/' 
python2/diff_match_patch.py

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README.txt COPYING
%{python_sitelib}/diff_match_patch
%{python_sitelib}/diff_match_patch-%{version}-py%{py_ver}.egg-info

%changelog
++ setup.py ++
#!/usr/bin/env python
from setuptools import setup, find_packages
import os
import sys


def read(*rnames):
return open(os.path.join(os.path.dirname(__file__), *rnames)).read()


if sys.version_info >= (3,):
subdir = 'python3'
else:
subdir = 

commit mkvtoolnix for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package mkvtoolnix for openSUSE:Factory 
checked in at 2016-09-21 18:49:08

Comparing /work/SRC/openSUSE:Factory/mkvtoolnix (Old)
 and  /work/SRC/openSUSE:Factory/.mkvtoolnix.new (New)


Package is "mkvtoolnix"

Changes:

--- /work/SRC/openSUSE:Factory/mkvtoolnix/mkvtoolnix.changes2016-09-07 
11:46:22.0 +0200
+++ /work/SRC/openSUSE:Factory/.mkvtoolnix.new/mkvtoolnix.changes   
2016-09-21 18:49:10.0 +0200
@@ -1,0 +2,19 @@
+Fri Sep 16 15:36:19 UTC 2016 - r...@fthiessen.de
+
+- Update to new release 9.4.2:
+  * mkvmerge: bug fix: using very large --sync values with certain
+ container formats was causing mkvmerge to abort muxing.
+bug fix: fixed an invalid memory access (use after free)
+ during global destruction phase.
+bug fix: HEVC parser: fixed three invalid memory accesses.
+bug fix: MP4 reader: fixed an invalid memory access
+bug fix: AAC reader: fixed mkvmerge throwing an uncaught
+ exception due to the sample rate being 0.
+bug fix: MP4 reader: an error message will be printed
+ instead of an uncaught exception when an invalid atom chunk
+ size is encountered during resync.
+bug fix: AVC & HEVC readers: the readers will now refuse to
+ handle files where the detected pixel width or height is
+ equal to or less than 0.
+
+---

Old:

  mkvtoolnix-9.4.0.tar.xz

New:

  mkvtoolnix-9.4.2.tar.xz



Other differences:
--
++ mkvtoolnix.spec ++
--- /var/tmp/diff_new_pack.pLcuXy/_old  2016-09-21 18:49:13.0 +0200
+++ /var/tmp/diff_new_pack.pLcuXy/_new  2016-09-21 18:49:13.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   mkvtoolnix
-Version:9.4.0
+Version:9.4.2
 Release:0
 Summary:Tools to Create, Alter, and Inspect Matroska Files
 License:GPL-2.0+

++ mkvtoolnix-9.4.0.tar.xz -> mkvtoolnix-9.4.2.tar.xz ++
 10092 lines of diff (skipped)




commit containerd for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package containerd for openSUSE:Factory 
checked in at 2016-09-21 18:49:24

Comparing /work/SRC/openSUSE:Factory/containerd (Old)
 and  /work/SRC/openSUSE:Factory/.containerd.new (New)


Package is "containerd"

Changes:

--- /work/SRC/openSUSE:Factory/containerd/containerd.changes2016-08-20 
12:27:23.0 +0200
+++ /work/SRC/openSUSE:Factory/.containerd.new/containerd.changes   
2016-09-21 18:49:25.0 +0200
@@ -1,0 +2,43 @@
+Mon Sep 19 11:58:44 UTC 2016 - jmassaguer...@suse.com
+
+- fix go_arches definition: use global instead of define, otherwise
+  it fails to build 
+
+---
+Thu Aug 25 15:54:38 UTC 2016 - jmassaguer...@suse.com
+
+- Remove GOPATH at the end of the GOPATH assignment
+  cause GOPATH is empty and if we do that, we get the path ""
+  appended, which causes gcc6-go to complain 
+
+---
+Wed Aug 24 12:25:46 UTC 2016 - jmassaguer...@suse.com
+
+- add go_arches in project configuration: this way, we can use the
+  same spec file but decide in the project configuration if to
+  use gc-go or gcc-go for some archs. 
+
+---
+Mon Aug 22 18:14:40 UTC 2016 - jmassaguer...@suse.com
+
+- update to v2.3.0 (bsc#995058)
+- Remove patches which were already merged upstream:
+  * socket-activation-01-vendor.patch
+  * socket-activation-02-daemon.patch
+  * socket-activation-03-ctr.patch
+
+---
+Thu Aug 18 10:34:29 UTC 2016 - jmassaguer...@suse.com
+
+- use gcc6-go instead of gcc5-go (bsc#988408) 
+- build ppc64le with gc-go because this version builds with gc-go 1.6
+
+---
+Thu Aug 18 10:33:29 UTC 2016 - cbrau...@suse.com
+
+- bump git commit id to the one required by docker v1.12.0
+- run test during build
+- only run tests on architectures that provide the go list and got test tools
+- add aarch64 to go arches
+
+---
@@ -88,0 +132,12 @@
+Thu Mar 31 03:42:39 UTC 2016 - asa...@suse.de
+
+* Update to containerd 0.1.0. This required quite a few fixes.
+* Use socket activation with the containerd daemon. This requires a
+  not-yet-upstream patchset (https://github.com/docker/containerd/pull/178):
+  + socket-activation-01-vendor.patch
+  + socket-activation-02-daemon.patch
+  + socket-activation-03-ctr.patch
+* Remove MountFlags=slave since it's not relevant to containerd and might cause
+  issues in the future.
+
+---
@@ -95,0 +151,6 @@
+---
+Sun Mar 27 10:19:02 UTC 2016 - asa...@suse.de
+
+* Add initial packaging of containerd 0.0.5.
+* Install to /usr/sbin.
+* Separately package the client from the server.

Old:

  containerd-0.2.2.tar.xz
  socket-activation-01-vendor.patch
  socket-activation-02-daemon.patch
  socket-activation-03-ctr.patch

New:

  containerd-0.2.3.tar.xz



Other differences:
--
++ containerd.spec ++
--- /var/tmp/diff_new_pack.KTw9p0/_old  2016-09-21 18:49:27.0 +0200
+++ /var/tmp/diff_new_pack.KTw9p0/_new  2016-09-21 18:49:27.0 +0200
@@ -16,20 +16,33 @@
 #
 
 
-%define go_arches %ix86 x86_64 aarch64
+# Check if go_arches is defined in the project configuration
+# Otherwise, define it here
+# In order to define it in the project configuration, see
+#
+# https://en.opensuse.org/openSUSE:Build%20Service%20prjconf#Macros
+#
+# The Macros tag is the one that defines the go_arches variable to be used
+# in the spec file.
+# The "define" one is to help the specfile parser of the buildservice
+# to see what packages are being built. You also want to define it here
+# for keeping things consistent.
+
+%{!?go_arches: %global go_arches %ix86 x86_64 aarch64 ppc64le}
 
 %ifarch %go_arches
 %define go_tool go
 %define GO_BUILD_FLAGS %{nil}
 %else
-%define go_tool go-5
+%define go_tool go-6
 %define GO_BUILD_FLAGS "-gccgoflags=-Wl,--add-needed -Wl,--no-as-needed 
-static-libgo -ldl"
 %endif
 
-%define version_unconverted 0.2.2
+%define git_version 973f21f
+%define version_unconverted 0.2.3
 
 Name:   containerd
-Version:0.2.2
+Version:0.2.3
 Release:0
 Summary:Standalone OCI Container Daemon
 License:Apache-2.0
@@ -39,15 +52,10 @@
 Source1:%{name}.service
 Source2:%{name}.socket
 Source3:sysconfig.%{name}
-# Patches to implement systemd socket activation.
-# 

commit solfege for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package solfege for openSUSE:Factory checked 
in at 2016-09-21 18:49:13

Comparing /work/SRC/openSUSE:Factory/solfege (Old)
 and  /work/SRC/openSUSE:Factory/.solfege.new (New)


Package is "solfege"

Changes:

--- /work/SRC/openSUSE:Factory/solfege/solfege.changes  2014-11-10 
17:29:08.0 +0100
+++ /work/SRC/openSUSE:Factory/.solfege.new/solfege.changes 2016-09-21 
18:49:16.0 +0200
@@ -1,0 +2,9 @@
+Mon Sep 19 07:45:54 UTC 2016 - davejpla...@gmail.com
+
+- Update to version 3.22.2
+- Bugfix version
+- Changelog not up to date backport from unstable GTK3 3.23.x
+- Use automatic dependencies and txt2man for > 1320
+- Rebased solfege-python-fixcompile.patch
+
+---

Old:

  solfege-3.22.1.tar.gz

New:

  solfege-3.22.2.tar.xz
  solfege-3.22.2.tar.xz.sig



Other differences:
--
++ solfege.spec ++
--- /var/tmp/diff_new_pack.b06G6C/_old  2016-09-21 18:49:19.0 +0200
+++ /var/tmp/diff_new_pack.b06G6C/_new  2016-09-21 18:49:19.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package solfege
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,15 +17,19 @@
 
 
 #
+%if 0%{?suse_version} > 1320 || 0%{?is_opensuse} == 1
+%define usemyprovides 0
+%else
 %define usemyprovides 1
+%endif
 
 Name:   solfege
 Summary:An ear training program
 License:GPL-3.0+
 Group:  Productivity/Multimedia/Sound/Utilities
-Version:3.22.1
+Version:3.22.2
 Release:0
-Url:http://www.solfege.org/
+Url:https://www.gnu.org/software/solfege/
 BuildRequires:  automake
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  fdupes
@@ -36,14 +40,18 @@
 BuildRequires:  swig
 BuildRequires:  texinfo
 BuildRequires:  update-desktop-files
+%if 0%{?suse_version} > 1320 || 0%{?is_opensuse} == 1
+BuildRequires:  txt2man
+%endif
 
 %if 0%{?usemyprovides} == 1
 %define _use_internal_dependency_generator 0
 %define my_provides /tmp/my-provides
 %endif
 
-Source0:%{name}-%{version}.tar.gz
+Source0:http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
 Source1:lessonfile_editor.1
+Source2:http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz.sig
 Patch0: solfege-configure-fix.dif
 Patch1: solfege-python-fixcompile.patch
 Requires:   python-gtk
@@ -63,9 +71,12 @@
 %setup -q
 %patch0
 %patch1
-# hack to avoid txt2man (which is missing in SUSE distro)
+# hack to avoid txt2man (which is missing in prior SUSE distro)
+%if 0%{?suse_version} > 1320 || 0%{?is_opensuse} == 1
+%else
 touch *.1
 cp %{SOURCE1} .
+%endif
 
 %build
 autoreconf -fi

++ solfege-python-fixcompile.patch ++
--- /var/tmp/diff_new_pack.b06G6C/_old  2016-09-21 18:49:19.0 +0200
+++ /var/tmp/diff_new_pack.b06G6C/_new  2016-09-21 18:49:19.0 +0200
@@ -1,8 +1,8 @@
 Index: Makefile.in
 ===
 Makefile.in.orig   2011-09-26 10:41:59.554190539 +0200
-+++ Makefile.in2011-09-26 10:42:24.477860639 +0200
-@@ -147,7 +147,7 @@ install-program-files: mkinstalldirs
+--- Makefile.in.orig
 Makefile.in
+@@ -149,7 +149,7 @@ install-program-files: mkinstalldirs
  
  compileall:
  ifneq "$(nopycompile)" "YES"




commit xorriso for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package xorriso for openSUSE:Factory checked 
in at 2016-09-21 18:49:03

Comparing /work/SRC/openSUSE:Factory/xorriso (Old)
 and  /work/SRC/openSUSE:Factory/.xorriso.new (New)


Package is "xorriso"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.xorriso.new/xorriso.changes 2016-09-21 
18:49:04.0 +0200
@@ -0,0 +1,582 @@
+---
+Sun Sep 18 18:06:49 UTC 2016 - astie...@suse.com
+
+- xorriso 1.4.6:
+  * Bug fix: The default setting of -compliance did not apply
+rec_mtime to Joliet and ISO:1999. mkisofs emulation was not
+affected by this bug.
+  * Bug fix: -file_size_limit did not increase ISO level if
+necessary. 
+  * New API calls isoburn_igopt_set_gpt_guid(),
+isoburn_igopt_get_gpt_guid()
+  * New command -use_immed_bit, new -as cdrecord option
+use_immed_bit=
+  * New -volume_date mode "all_file_dates"
+  * New -as mkisofs option --set_all_file_dates
+  * New bootspec "gpt_disk_guid=", new -as mkisofs option
+--gpt_disk_guid
+  * New -report_system_area modes "gpt_disk_guid", "make_guid"
+  * New environment variable SOURCE_DATE_EPOCH
+  * New -find action "set_to_mtime"
+
+---
+Mon Jul  4 06:55:59 UTC 2016 - astie...@suse.com
+
+- xorriso 1.4.4:
+  * -as mkisofs did not unescape "\=" in the source part of
+pathspecs
+  * -boot_image "any" "system_area=/dev/zero" did not zeroize
+loaded data
+  * -pathspecs "on" did not properly handle "\\="
+  * HFS+ production could cause MBR partition of type 0xEE without
+GPT
+  * HFS+ directories could announce more children than they
+actually have
+  * The HFS+ filesystem was not marked by in GPT of GRUB2 hybrid
+layout
+  * When reading an ISO filesystem, the presence of
+--protective-msdos-label was not recognized if a partition is
+appended
+  * Bug fix: xorrisofs option --protective-msdos-label did not work
+if no system area data were given by option -G or alike
+  * -modesty_on_drive properties timeout_sec, min_usec, max_usec
+read wrong numbers from the parameter text
+  * Letting -as mkisofs --norock revoke the special effect of -r
+  * Letting -blank on overwritable media invalidate UDF extended
+descriptors
+  * New -pathspecs mode "as_mkisofs"
+  * New -boot_image setting mbr_force_bootable=, -as mkisofs
+--mbr-force-bootable
+  * New -boot_image bootspecs appended_part_as=apm,
+part_like_isohybrid=on
+  * New -as mkisofs options -appended_part_as_apm,
+-part_like_isohybrid
+  * New command -scsi_dev_family, new -as cdrecord option
+drive_scsi_dev_family=
+
+---
+Mon Nov 30 09:14:28 UTC 2015 - astie...@suse.com
+
+- Update to 1.4.2:
+  * Bug fix: -backslash_codes "on" did not work outside quotes
+and with showing "\r"
+  * New API calls isoburn_ropt_set_truncate_mode()
+isoburn_ropt_get_truncate_mode()
+  * New options with isoburn_ropt_set_extensions():
+isoburn_ropt_map_*
+  * New command -modesty_on_drive,
+new -as cdrecord -immed, minbuf=, modesty_on_drive=
+  * New command -ecma119_map
+  * New command -read_fs
+  * New -boot_image action "replay"
+  * New command -file_name_limit, -as mkisofs -file_name_limit
+  * New -find test -name_limit_blocker.
+  * Result of a Coverity audit: 50+ code changes, but no easy-to-trigger bugs
+- includes changes from 1.4.0:
+  * Bug fix: -dev or -indev of medium with non-ISO data caused
+SIGSEGV by NULL
+  * New API calls isoburn_igopt_set_appended_as_gpt(),
+isoburn_igopt_get_appended_as_gpt()
+  * New API call isoburn_igopt_set_part_flag() and libisofs interval
+reader flags
+  * New -find action "show_stream_id"
+  * Optional libisofs interval reader with -append_partition and
+System Area
+  * New -boot_image bootspec "appended_part_as=",
+new -as mkisofs option -appended_part_as_gpt
+  * New -report_system_area formats "cmd" and "as_mkisofs"
+* verify source signature
+
+---
+Sun Jan 11 02:48:46 UTC 2015 - ter...@gmail.com
+
+- Update to 1.3.8
+  Bug fixes towards previous stable version xorriso-1.6.pl01:
+  * -boot_image grub2_mbr= prevented -boot_image partition_table=on 
+  * A final fsync(2) was performed with stdio drives, even if
+   -stdio_sync was set to "off". 
+  * -boot_image grub grub2_mbr= did not work (but -as mkisofs
+   --grub2-mbr did work) 
+  * Wrong stack usage caused SIGBUS on sparc when compiled by gcc -O2
+  * -blank force:all on DVD+RW had no effect
+  Enhancements towards previous stable version xorriso-1.3.6.pl01:
+  * New bootspecs 

commit python3-gnupg for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package python3-gnupg for openSUSE:Factory 
checked in at 2016-09-21 18:48:58

Comparing /work/SRC/openSUSE:Factory/python3-gnupg (Old)
 and  /work/SRC/openSUSE:Factory/.python3-gnupg.new (New)


Package is "python3-gnupg"

Changes:

--- /work/SRC/openSUSE:Factory/python3-gnupg/python3-gnupg.changes  
2016-05-25 21:24:18.0 +0200
+++ /work/SRC/openSUSE:Factory/.python3-gnupg.new/python3-gnupg.changes 
2016-09-21 18:49:00.0 +0200
@@ -1,0 +2,19 @@
+Sun Sep 18 15:52:25 UTC 2016 - a...@gmx.de
+
+- update to version 0.3.9:
+  * Fixed #38: You can now request information about signatures
+against keys. Thanks to SunDwarf for the suggestion and patch,
+which was used as a basis for this change.
+  * Fixed #49: When exporting keys, no attempt is made to decode the
+output when armor=False is specified.
+  * Fixed #53: A FAILURE message caused by passing an incorrect
+passphrase is handled.
+  * Handled EXPORTED and EXPORT_RES messages while exporting
+keys. Thanks to Marcel Pörner for the patch.
+  * Fixed #54: Improved error message shown when gpg is not available.
+  * Fixed #55: Added support for KEY_CONSIDERED while verifying.
+  * Avoided encoding problems with filenames under Windows. Thanks to
+Kévin Bernard-Allies for the patch.
+  * Fixed #57: Used a better mechanism for comparing keys.
+
+---
@@ -6 +24,0 @@
-

Old:

  python-gnupg-0.3.8.tar.gz

New:

  python-gnupg-0.3.9.tar.gz



Other differences:
--
++ python3-gnupg.spec ++
--- /var/tmp/diff_new_pack.hS2SdC/_old  2016-09-21 18:49:02.0 +0200
+++ /var/tmp/diff_new_pack.hS2SdC/_new  2016-09-21 18:49:02.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   python3-gnupg
-Version:0.3.8
+Version:0.3.9
 Release:0
 Url:https://bitbucket.org/vinay.sajip/python-gnupg
 Summary:A wrapper for the Gnu Privacy Guard (GPG or GnuPG)

++ python-gnupg-0.3.8.tar.gz -> python-gnupg-0.3.9.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-gnupg-0.3.8/PKG-INFO 
new/python-gnupg-0.3.9/PKG-INFO
--- old/python-gnupg-0.3.8/PKG-INFO 2015-09-24 23:03:50.0 +0200
+++ new/python-gnupg-0.3.9/PKG-INFO 2016-09-10 09:41:21.0 +0200
@@ -1,12 +1,12 @@
-Metadata-Version: 1.0
+Metadata-Version: 1.1
 Name: python-gnupg
-Version: 0.3.8
+Version: 0.3.9
 Summary: A wrapper for the Gnu Privacy Guard (GPG or GnuPG)
 Home-page: http://packages.python.org/python-gnupg/index.html
 Author: Vinay Sajip
 Author-email: vinay_sa...@red-dove.com
-License: Copyright (C) 2008-2014 by Vinay Sajip. All Rights Reserved. See 
LICENSE.txt for license.
-Download-URL: 
https://pypi.python.org/packages/source/p/python-gnupg/python-gnupg-0.3.8.tar.gz
+License: Copyright (C) 2008-2016 by Vinay Sajip. All Rights Reserved. See 
LICENSE.txt for license.
+Download-URL: 
https://pypi.python.org/packages/source/p/python-gnupg/python-gnupg-0.3.9.tar.gz
 Description: This module allows easy access to GnuPG's key management, 
encryption and signature functionality from Python programs. It is intended for 
use with Python 2.4 or greater.
 Platform: No particular restrictions
 Classifier: Development Status :: 5 - Production/Stable
@@ -23,6 +23,5 @@
 Classifier: Programming Language :: Python :: 3.3
 Classifier: Programming Language :: Python :: 3.4
 Classifier: Programming Language :: Python :: 3.5
-Classifier: Programming Language :: Python :: 3.6
 Classifier: Operating System :: OS Independent
 Classifier: Topic :: Software Development :: Libraries :: Python Modules
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-gnupg-0.3.8/README.rst 
new/python-gnupg-0.3.9/README.rst
--- old/python-gnupg-0.3.8/README.rst   2015-09-24 19:07:37.0 +0200
+++ new/python-gnupg-0.3.9/README.rst   2016-09-10 09:37:53.0 +0200
@@ -54,11 +54,39 @@
 
 N.B: GCnn refers to an issue nn on Google Code.
 
-0.3.9 (future)
+0.4.0 (future)
 --
 
 Released: Not yet
 
+0.3.9
+-
+
+Released: 2016-09-10
+
+* Fixed #38: You can now request information about signatures against
+  keys. Thanks to SunDwarf for the suggestion and patch, which was used
+  as a basis for this change.
+
+* Fixed #49: When exporting keys, no attempt is made to decode the output when
+  armor=False is specified.
+
+* Fixed #53: A ``FAILURE`` message caused by passing an incorrect passphrase
+  is handled.
+
+* Handled ``EXPORTED`` and ``EXPORT_RES`` messages while exporting keys. Thanks
+  to Marcel Pörner for the patch.
+
+* Fixed #54: Improved error 

commit libgaminggear for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package libgaminggear for openSUSE:Factory 
checked in at 2016-09-21 18:48:52

Comparing /work/SRC/openSUSE:Factory/libgaminggear (Old)
 and  /work/SRC/openSUSE:Factory/.libgaminggear.new (New)


Package is "libgaminggear"

Changes:

--- /work/SRC/openSUSE:Factory/libgaminggear/libgaminggear.changes  
2016-03-08 10:18:02.0 +0100
+++ /work/SRC/openSUSE:Factory/.libgaminggear.new/libgaminggear.changes 
2016-09-21 18:48:53.0 +0200
@@ -1,0 +2,10 @@
+Sun Sep 18 07:11:53 UTC 2016 - mailaen...@opensuse.org
+
+- Update to version 0.15.0 (see Changelog)
+
+---
+Sat Jul 30 03:58:55 UTC 2016 - r...@fthiessen.de
+
+- Update to new upstream release 0.13.0
+
+---

Old:

  libgaminggear-0.11.2.tar.bz2

New:

  libgaminggear-0.15.0.tar.bz2



Other differences:
--
++ libgaminggear.spec ++
--- /var/tmp/diff_new_pack.MaRwfq/_old  2016-09-21 18:48:54.0 +0200
+++ /var/tmp/diff_new_pack.MaRwfq/_new  2016-09-21 18:48:54.0 +0200
@@ -17,8 +17,11 @@
 
 
 %define majorversion 0
+%define libgaminggear   libgaminggear0
+%define libgaminggearfx libgaminggearfx0
+%define libgaminggearwidget libgaminggearwidget0
 Name:   libgaminggear
-Version:0.11.2
+Version:0.15.0
 Release:0
 Summary:Library for gaming input devices
 License:GPL-2.0 and CC-BY-3.0
@@ -28,7 +31,7 @@
 BuildRequires:  cmake >= 2.6.4
 BuildRequires:  doxygen
 BuildRequires:  fdupes
-BuildRequires:  pkg-config
+BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(gtk+-2.0) >= 2.20
 BuildRequires:  pkgconfig(gudev-1.0)
 BuildRequires:  pkgconfig(libcanberra)
@@ -36,10 +39,6 @@
 BuildRequires:  pkgconfig(sqlite3) >= 3.7
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
-%define libgaminggear   libgaminggear0
-%define libgaminggearfx libgaminggearfx0
-%define libgaminggearwidget libgaminggearwidget0
-
 %description
 A shared library initiated by the Roccat Linux driver project.
 
@@ -92,17 +91,14 @@
 make %{?_smp_mflags}
 
 %install
-cd build
-make DESTDIR=%{buildroot} install
+%cmake_install
 %fdupes %{buildroot}%{_datadir}
 %find_lang %{name}
 
 %post   -n %{libgaminggear} -p /sbin/ldconfig
 %postun -n %{libgaminggear} -p /sbin/ldconfig
-
 %post   -n %{libgaminggearfx} -p /sbin/ldconfig
 %postun -n %{libgaminggearfx} -p /sbin/ldconfig
-
 %post   -n %{libgaminggearwidget} -p /sbin/ldconfig
 %postun -n %{libgaminggearwidget} -p /sbin/ldconfig
 
@@ -135,7 +131,7 @@
 %{_datadir}/pkgconfig/gaminggear-%{majorversion}.pc
 %{_datadir}/cmake/Modules/FindGAMINGGEAR%{majorversion}.cmake
 
-%files lang -f build/%{name}.lang
+%files lang -f %{name}.lang
 %defattr(-, root, root)
 
 %changelog

++ libgaminggear-0.11.2.tar.bz2 -> libgaminggear-0.15.0.tar.bz2 ++
 3882 lines of diff (skipped)




commit python3-requests-mock for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package python3-requests-mock for 
openSUSE:Factory checked in at 2016-09-21 18:48:55

Comparing /work/SRC/openSUSE:Factory/python3-requests-mock (Old)
 and  /work/SRC/openSUSE:Factory/.python3-requests-mock.new (New)


Package is "python3-requests-mock"

Changes:

--- 
/work/SRC/openSUSE:Factory/python3-requests-mock/python3-requests-mock.changes  
2016-09-13 22:23:26.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.python3-requests-mock.new/python3-requests-mock.changes
 2016-09-21 18:48:57.0 +0200
@@ -1,0 +2,11 @@
+Sun Sep 18 15:44:27 UTC 2016 - a...@gmx.de
+
+- update to version 1.1.0:
+  * Add a called_once property to adapter
+  * Enable case sensitive matching
+  * Provide fixture extras for pip
+  * Allow doing real_http per mock via the mocker
+  * Return b'' when reading closed response
+  * Fixture documentation error
+
+---

Old:

  requests-mock-1.0.0.tar.gz

New:

  requests-mock-1.1.0.tar.gz



Other differences:
--
++ python3-requests-mock.spec ++
--- /var/tmp/diff_new_pack.e0Vy06/_old  2016-09-21 18:48:58.0 +0200
+++ /var/tmp/diff_new_pack.e0Vy06/_new  2016-09-21 18:48:58.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   python3-requests-mock
-Version:1.0.0
+Version:1.1.0
 Release:0
 Summary:Mock out responses from the requests package
 License:Apache-2.0
@@ -25,8 +25,8 @@
 Url:https://requests-mock.readthedocs.org/
 Source: 
https://files.pythonhosted.org/packages/source/r/requests-mock/requests-mock-%{version}.tar.gz
 BuildRequires:  python3-devel
-BuildRequires:  python3-setuptools
 BuildRequires:  python3-pbr
+BuildRequires:  python3-setuptools
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 

++ requests-mock-1.0.0.tar.gz -> requests-mock-1.1.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/requests-mock-1.0.0/AUTHORS 
new/requests-mock-1.1.0/AUTHORS
--- old/requests-mock-1.0.0/AUTHORS 2016-05-09 07:14:35.0 +0200
+++ new/requests-mock-1.1.0/AUTHORS 2016-09-14 09:07:03.0 +0200
@@ -4,5 +4,7 @@
 Janonymous 
 Jeremy Stanley 
 Louis Taylor 
+Manuel Kaufmann 
 Monty Taylor 
 Sebastian Kalinowski 
+reedip 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/requests-mock-1.0.0/ChangeLog 
new/requests-mock-1.1.0/ChangeLog
--- old/requests-mock-1.0.0/ChangeLog   2016-05-09 07:14:35.0 +0200
+++ new/requests-mock-1.1.0/ChangeLog   2016-09-14 09:07:03.0 +0200
@@ -1,6 +1,16 @@
 CHANGES
 ===
 
+1.1.0
+-
+
+* Add a called_once property to adapter
+* Enable case sensitive matching
+* Provide fixture extras for pip
+* Allow doing real_http per mock via the mocker
+* Return b'' when reading closed response
+* Fixture documentation error
+
 1.0.0
 -
 
@@ -9,6 +19,7 @@
 * Doc fixups
 * Expose cert and proxies as attributes of the last request
 * Add timeout and allow_retries to RequestProxy
+* Add trove support for py34 and remove py33
 * Fix py34 DB issue and remove py33/py26
 * Remove pypip.in badge from readme
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/requests-mock-1.0.0/PKG-INFO 
new/requests-mock-1.1.0/PKG-INFO
--- old/requests-mock-1.0.0/PKG-INFO2016-05-09 07:14:35.0 +0200
+++ new/requests-mock-1.1.0/PKG-INFO2016-09-14 09:07:03.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: requests-mock
-Version: 1.0.0
+Version: 1.1.0
 Summary: Mock out responses from the requests package
 Home-page: https://requests-mock.readthedocs.org/
 Author: Jamie Lennox
@@ -105,5 +105,5 @@
 Classifier: Programming Language :: Python :: 2.7
 Classifier: Programming Language :: Python :: 2.6
 Classifier: Programming Language :: Python :: 3
-Classifier: Programming Language :: Python :: 3.3
+Classifier: Programming Language :: Python :: 3.4
 Classifier: Topic :: Software Development :: Testing
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/requests-mock-1.0.0/docs/fixture.rst 
new/requests-mock-1.1.0/docs/fixture.rst
--- old/requests-mock-1.0.0/docs/fixture.rst2016-05-09 07:12:34.0 
+0200
+++ new/requests-mock-1.1.0/docs/fixture.rst2016-09-14 09:05:03.0 
+0200
@@ -4,8 +4,12 @@
 
 `Fixtures`_ provide a way to create reusable state and helper methods in test 
cases.

commit python3-astroid for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package python3-astroid for openSUSE:Factory 
checked in at 2016-09-21 18:48:48

Comparing /work/SRC/openSUSE:Factory/python3-astroid (Old)
 and  /work/SRC/openSUSE:Factory/.python3-astroid.new (New)


Package is "python3-astroid"

Changes:

--- /work/SRC/openSUSE:Factory/python3-astroid/python3-astroid.changes  
2016-07-15 12:46:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.python3-astroid.new/python3-astroid.changes 
2016-09-21 18:48:49.0 +0200
@@ -1,0 +2,7 @@
+Sun Sep 18 08:23:45 UTC 2016 - a...@gmx.de
+
+- specfile:
+  * added changelog entry for Request #428411: added python3-wrapt
+requirement 
+
+---



Other differences:
--
++ python3-astroid.spec ++
--- /var/tmp/diff_new_pack.GBWo65/_old  2016-09-21 18:48:50.0 +0200
+++ /var/tmp/diff_new_pack.GBWo65/_new  2016-09-21 18:48:50.0 +0200
@@ -35,6 +35,7 @@
 BuildRequires:  python3-wrapt
 Requires:   python3-lazy_object_proxy
 Requires:   python3-six
+Requires:   python3-wrapt
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 




commit shutter for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package shutter for openSUSE:Factory checked 
in at 2016-09-21 18:48:44

Comparing /work/SRC/openSUSE:Factory/shutter (Old)
 and  /work/SRC/openSUSE:Factory/.shutter.new (New)


Package is "shutter"

Changes:

--- /work/SRC/openSUSE:Factory/shutter/shutter.changes  2016-09-07 
11:46:56.0 +0200
+++ /work/SRC/openSUSE:Factory/.shutter.new/shutter.changes 2016-09-21 
18:48:45.0 +0200
@@ -1,0 +2,5 @@
+Sun Sep 18 05:46:21 UTC 2016 - mailaen...@opensuse.org
+
+- add an appdata.xml file for https://software.opensuse.org/appstore 
+
+---

New:

  shutter.appdata.xml



Other differences:
--
++ shutter.spec ++
--- /var/tmp/diff_new_pack.znQMIL/_old  2016-09-21 18:48:48.0 +0200
+++ /var/tmp/diff_new_pack.znQMIL/_new  2016-09-21 18:48:48.0 +0200
@@ -26,7 +26,9 @@
 License:GPL-3.0+
 Group:  Productivity/Graphics/Other
 Url:http://shutter-project.org/
-Source: 
http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.gz
+Source0:
http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.gz
+# PATCH-FEATURE-UPSTREAM https://bugs.launchpad.net/shutter/+bug/1624795
+Source1:shutter.appdata.xml
 # PATCH-FIX-OPENSUSE Remove Unity only actions
 Patch0: desktop-shortcut-fix.diff
 # PATCH-FIX-OPENSUSE make Dropbox support optional
@@ -34,8 +36,8 @@
 # PATCH-FIX-UPSTREAM https://bugs.launchpad.net/shutter/+bug/1469840
 Patch3: shutter-0.93.1-fix-send-email.patch
 BuildRequires:  fdupes
-BuildRequires:  update-desktop-files
 BuildRequires:  hicolor-icon-theme
+BuildRequires:  update-desktop-files
 Requires:   %{name}-lang = %{version}
 Requires:   ImageMagick
 Requires:   hicolor-icon-theme
@@ -50,9 +52,9 @@
 Requires:   perl(Gnome2::VFS)
 Requires:   perl(Gnome2::Wnck)
 Requires:   perl(Gtk2)
+Requires:   perl(Gtk2::AppIndicator)
 Requires:   perl(Gtk2::ImageView)
 Requires:   perl(Gtk2::Unique)
-Requires:   perl(Gtk2::AppIndicator)
 Requires:   perl(Image::Magick)
 Requires:   perl(JSON)
 Requires:   perl(JSON::XS)
@@ -107,6 +109,9 @@
 
 rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop~
 
+mkdir -p %{buildroot}%{_datadir}/appdata/
+cp -a %{S:1} %{buildroot}%{_datadir}/appdata/
+
 %fdupes %{buildroot}%{_datadir}/
 
 %post
@@ -128,6 +133,8 @@
 %{_datadir}/pixmaps/*
 %{_datadir}/%{name}/*
 %{_mandir}/man1/%{name}.1%{ext_man}
+%dir %{_datadir}/appdata/
+%{_datadir}/appdata/shutter.appdata.xml
 
 %files lang -f %{name}.lang
 %defattr(-,root,root)




commit octave-forge-nan for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package octave-forge-nan for 
openSUSE:Factory checked in at 2016-09-21 18:48:41

Comparing /work/SRC/openSUSE:Factory/octave-forge-nan (Old)
 and  /work/SRC/openSUSE:Factory/.octave-forge-nan.new (New)


Package is "octave-forge-nan"

Changes:

--- /work/SRC/openSUSE:Factory/octave-forge-nan/octave-forge-nan.changes
2016-06-14 23:07:45.0 +0200
+++ /work/SRC/openSUSE:Factory/.octave-forge-nan.new/octave-forge-nan.changes   
2016-09-21 18:48:43.0 +0200
@@ -1,0 +2,8 @@
+Sat Sep 17 18:45:29 UTC 2016 - dmitr...@opensuse.org
+
+- Update to version 3.0.3
+  * Bug fixes
+- Fix build with GCC 4.8
+  * nan-cpp11.patch
+
+---

Old:

  nan-3.0.1.tar.gz

New:

  nan-3.0.3.tar.gz
  nan-cpp11.patch



Other differences:
--
++ octave-forge-nan.spec ++
--- /var/tmp/diff_new_pack.d0vGzW/_old  2016-09-21 18:48:45.0 +0200
+++ /var/tmp/diff_new_pack.d0vGzW/_new  2016-09-21 18:48:45.0 +0200
@@ -18,7 +18,7 @@
 
 %define octpkg  nan
 Name:   octave-forge-%{octpkg}
-Version:3.0.1
+Version:3.0.3
 Release:0
 Summary:A statistics and machine learning toolbox
 License:GPL-3.0+
@@ -26,6 +26,8 @@
 Url:http://octave.sourceforge.net
 Source0:
http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
 Patch1: nan_xpt2d_add_return_for_BE.patch
+# PATCH-FIX-OPENSUSE nan-cpp11.patch -- Fix build with GCC 4.8
+Patch2: nan-cpp11.patch
 BuildRequires:  blas-devel
 BuildRequires:  gcc-c++
 BuildRequires:  octave-devel
@@ -37,7 +39,10 @@
 
 %prep
 %setup -q -c %{name}-%{version}
-%patch1 -p1
+%patch1 -p0
+%if 0%{?suse_version} <= 1320
+%patch2 -p0
+%endif
 %octave_pkg_src
 
 %build

++ nan-3.0.1.tar.gz -> nan-3.0.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/NaN/DESCRIPTION new/nan-3.0.3/DESCRIPTION
--- old/NaN/DESCRIPTION 2016-02-26 16:09:14.0 +0100
+++ new/nan-3.0.3/DESCRIPTION   2016-08-10 00:16:09.0 +0200
@@ -1,6 +1,6 @@
 Name: NaN
-Version: 3.0.1
-Date: 2016-02-26
+Version: 3.0.3
+Date: 2016-08-10
 Author: Alois Schloegl 
 Maintainer: Alois Schloegl
 Title: The NaN-toolbox
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/NaN/INDEX new/nan-3.0.3/INDEX
--- old/NaN/INDEX   2016-02-26 16:09:14.0 +0100
+++ new/nan-3.0.3/INDEX 2016-08-10 00:16:09.0 +0200
@@ -9,5 +9,5 @@
  var mean sem spearman trimean tpdf tcdf tinv zscore
  flag_implicit_significance xcovf train_sc test_sc
  xval classify train_lda_sparse decovm gscatter mahal
- cdfplot hist2res fss cat2bin ttest ttest2.m 
+ cdfplot hist2res fss cat2bin ttest ttest2 xptopen.m 
  bland_altman cumsumskipnan range
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/NaN/NEWS new/nan-3.0.3/NEWS
--- old/NaN/NEWS2016-02-26 16:07:46.0 +0100
+++ new/nan-3.0.3/NEWS  2016-08-10 00:16:09.0 +0200
@@ -1,3 +1,15 @@
+
+2016-08-10: Release of NaN-tb v3.0.3
+- tcdf: fix bug #48731 (thanks to Nir Krakauer)
+- coercoef: add comment on Matlab compatibiliy in help
+- test_fss, load_fisheriris: 
+  fix support on mingw platform (Windows)
+
+2016-07-30: Release of NaN-tb v3.0.2
+- Octave/Windows: setenv CC=gcc (fixes bug 47559)
+- no OpenMP for Octave/Windows and MacOSX
+
+
 2015-02-26: Release of NaN-tb v3.0.1
 
 - fixes version number 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/NaN/VERSION new/nan-3.0.3/VERSION
--- old/NaN/VERSION 2016-02-26 16:09:14.0 +0100
+++ new/nan-3.0.3/VERSION   1970-01-01 01:00:00.0 +0100
@@ -1,3 +0,0 @@
-# NaN-toolbox http://pub.ist.ac.at/~schloegl/matlab/NaN
-# Version:  3.0.1
-# Date: 2016-02-26
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/NaN/doc/INSTALL new/nan-3.0.3/doc/INSTALL
--- old/NaN/doc/INSTALL 2014-01-10 14:34:15.0 +0100
+++ new/nan-3.0.3/doc/INSTALL   2016-08-10 00:16:09.0 +0200
@@ -48,7 +48,7 @@
 
 ---
 
-  $Id: INSTALL 12492 2014-01-10 13:34:15Z schloegl $
+  $Id$
   Copyright (c) 2000-2003,2005,2006,2009,2010,2011,2014 by Alois Schloegl 

   This is part of the NaN-toolbox
   http://pub.ist.ac.at/~schloegl/matlab/NaN/
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/NaN/doc/README.TXT new/nan-3.0.3/doc/README.TXT
--- old/NaN/doc/README.TXT  2014-01-10 14:34:15.0 +0100
+++ 

commit octave-forge-cgi for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package octave-forge-cgi for 
openSUSE:Factory checked in at 2016-09-21 18:48:28

Comparing /work/SRC/openSUSE:Factory/octave-forge-cgi (Old)
 and  /work/SRC/openSUSE:Factory/.octave-forge-cgi.new (New)


Package is "octave-forge-cgi"

Changes:

--- /work/SRC/openSUSE:Factory/octave-forge-cgi/octave-forge-cgi.changes
2015-06-30 10:18:09.0 +0200
+++ /work/SRC/openSUSE:Factory/.octave-forge-cgi.new/octave-forge-cgi.changes   
2016-09-21 18:48:29.0 +0200
@@ -1,0 +2,6 @@
+Sat Sep 17 18:04:46 UTC 2016 - dmitr...@opensuse.org
+
+- Update to version 0.1.2
+  * Allow running the test code from any directory
+
+---

Old:

  cgi-0.1.1.tar.gz

New:

  cgi-0.1.2.tar.gz



Other differences:
--
++ octave-forge-cgi.spec ++
--- /var/tmp/diff_new_pack.qOC6Dm/_old  2016-09-21 18:48:31.0 +0200
+++ /var/tmp/diff_new_pack.qOC6Dm/_new  2016-09-21 18:48:31.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package octave-forge-cgi
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %define octpkg  cgi
 Name:   octave-forge-%{octpkg}
-Version:0.1.1
+Version:0.1.2
 Release:0
 Summary:Common Gataway Interface for Octave
 License:GPL-2.0+

++ cgi-0.1.1.tar.gz -> cgi-0.1.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cgi/DESCRIPTION new/cgi/DESCRIPTION
--- old/cgi/DESCRIPTION 2015-06-22 22:33:12.0 +0200
+++ new/cgi/DESCRIPTION 2016-09-07 12:15:51.0 +0200
@@ -1,10 +1,10 @@
 Name: cgi
-Version: 0.1.1
-Date: 2015-06-22
+Version: 0.1.2
+Date: 2016-09-07
 Author: Alexander Barth 
 Maintainer: Alexander Barth 
 Title: cgi
-Description: Common Gatway Interface for Octave
+Description: Common Gateway Interface for Octave
 Categories: Web development
 Depends: octave (>= 3.8.0)
 License: GPLv2+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cgi/NEWS new/cgi/NEWS
--- old/cgi/NEWS2015-06-22 22:33:12.0 +0200
+++ new/cgi/NEWS2016-09-07 12:15:51.0 +0200
@@ -1,3 +1,8 @@
+Summary of changes for cgi 0.1.2:
+---
+
+ ** Allow running the test code from any directory
+
 Summary of important user-visible changes for cgi 0.1.1:
 ---
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cgi/doc/test_cgi.sh new/cgi/doc/test_cgi.sh
--- old/cgi/doc/test_cgi.sh 2015-06-22 22:33:12.0 +0200
+++ new/cgi/doc/test_cgi.sh 2016-09-07 12:15:51.0 +0200
@@ -1,3 +1,4 @@
+# This test script is to be run in the inst directory or after the cgi package 
is installed.
 
 export DOCUMENT_ROOT=/var/www 
 export REQUEST_METHOD=GET
@@ -5,6 +6,10 @@
 
 echo "Test GET request"
 octave -q <

commit octave-forge-generate_html for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package octave-forge-generate_html for 
openSUSE:Factory checked in at 2016-09-21 18:48:36

Comparing /work/SRC/openSUSE:Factory/octave-forge-generate_html (Old)
 and  /work/SRC/openSUSE:Factory/.octave-forge-generate_html.new (New)


Package is "octave-forge-generate_html"

Changes:

--- 
/work/SRC/openSUSE:Factory/octave-forge-generate_html/octave-forge-generate_html.changes
2016-06-09 16:17:39.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.octave-forge-generate_html.new/octave-forge-generate_html.changes
   2016-09-21 18:48:37.0 +0200
@@ -1,0 +2,6 @@
+Sat Sep 17 18:49:02 UTC 2016 - dmitr...@opensuse.org
+
+- Update to version 0.1.12
+  * New option 'older_versions_download'
+
+---

Old:

  generate_html-0.1.11.tar.gz

New:

  generate_html-0.1.12.tar.gz



Other differences:
--
++ octave-forge-generate_html.spec ++
--- /var/tmp/diff_new_pack.P2OJih/_old  2016-09-21 18:48:39.0 +0200
+++ /var/tmp/diff_new_pack.P2OJih/_new  2016-09-21 18:48:39.0 +0200
@@ -18,7 +18,7 @@
 
 %define octpkg  generate_html
 Name:   octave-forge-%{octpkg}
-Version:0.1.11
+Version:0.1.12
 Release:0
 Summary:Generate HTML web page from help texts
 License:GPL-3.0+

++ generate_html-0.1.11.tar.gz -> generate_html-0.1.12.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/generate_html-0.1.11/DESCRIPTION 
new/generate_html-0.1.12/DESCRIPTION
--- old/generate_html-0.1.11/DESCRIPTION2016-05-21 22:32:35.0 
+0200
+++ new/generate_html-0.1.12/DESCRIPTION2016-07-14 11:01:39.0 
+0200
@@ -1,6 +1,6 @@
 Name: generate_html
-Version: 0.1.11
-Date: 2016-05-21
+Version: 0.1.12
+Date: 2016-07-14
 Author: Søren Hauberg  and others
 Maintainer: Octave-Forge community 
 Title: Generate HTML web page from help texts
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/generate_html-0.1.11/NEWS 
new/generate_html-0.1.12/NEWS
--- old/generate_html-0.1.11/NEWS   2016-05-21 22:32:35.0 +0200
+++ new/generate_html-0.1.12/NEWS   2016-07-14 11:01:39.0 +0200
@@ -1,3 +1,21 @@
+Summary of important user-visible changes for generate_html 0.1.12:
+---
+
+ ** New option for generate_package_html
+ 
+o generate_package_html, get_html_options: Add new field
+  'older_versions_download' to the option structure.
+  This field makes it possible for packages to customize (or
+  suppress) the "older versions" download link, which is actually
+  Octave Forge-specific (patch #8984).
+
+ ** Changes to the package index page
+
+o generate_package_html: The content of the optional "url" field
+  of the DESCRIPTION file is now shown beneath the news link
+  (patch #8990).
+
+
 Summary of important user-visible changes for generate_html 0.1.11:
 ---
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/generate_html-0.1.11/inst/generate_package_html.m 
new/generate_html-0.1.12/inst/generate_package_html.m
--- old/generate_html-0.1.11/inst/generate_package_html.m   2016-05-21 
22:32:35.0 +0200
+++ new/generate_html-0.1.12/inst/generate_package_html.m   2016-07-14 
11:01:39.0 +0200
@@ -402,8 +402,8 @@
 ## Read image and css references from generated files and copy images
 filelist = glob (fullfile (doc_out_dir, "*.html"));
 for id = 1 : numel (filelist)
-  copy_images (filelist{id}, doc_root_dir, doc_out_dir);
-  copy_css (filelist{id}, doc_root_dir, doc_out_dir);
+  copy_files ("image", filelist{id}, doc_root_dir, doc_out_dir);
+  copy_files ("css", filelist{id}, doc_root_dir, doc_out_dir);
 endfor
 
   endif
@@ -477,8 +477,10 @@
   fprintf (fid, " class=\"download_link\">\n");
   fprintf (fid, "  Download Package\n");
   fprintf (fid, "\n");
-  fprintf (fid, "http://sourceforge.net/projects/octave/files/\";);
-  fprintf (fid, " class=\"older_versions_download\">(older 
versions)\n");
+  if (! isempty (options.older_versions_download))
+fprintf (fid, "(older 
versions)\n");
+  end
   fprintf (fid, "  \n");
   fprintf (fid, "\n");
 endif
@@ -512,6 +514,9 @@
   fprintf (fid, "\n");
   fprintf (fid, "  \n");
 endif
+if (isfield (list, "url")) && (! isempty (list.url))
+  

commit octave-forge-queueing for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package octave-forge-queueing for 
openSUSE:Factory checked in at 2016-09-21 18:48:32

Comparing /work/SRC/openSUSE:Factory/octave-forge-queueing (Old)
 and  /work/SRC/openSUSE:Factory/.octave-forge-queueing.new (New)


Package is "octave-forge-queueing"

Changes:

--- 
/work/SRC/openSUSE:Factory/octave-forge-queueing/octave-forge-queueing.changes  
2015-06-16 15:13:37.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.octave-forge-queueing.new/octave-forge-queueing.changes
 2016-09-21 18:48:34.0 +0200
@@ -1,0 +2,6 @@
+Sat Sep 17 18:42:43 UTC 2016 - dmitr...@opensuse.org
+
+- Update to version 1.2.4
+  * Bug fixes
+
+---

Old:

  queueing-1.2.3.tar.gz

New:

  queueing-1.2.4.tar.gz



Other differences:
--
++ octave-forge-queueing.spec ++
--- /var/tmp/diff_new_pack.ZZszch/_old  2016-09-21 18:48:36.0 +0200
+++ /var/tmp/diff_new_pack.ZZszch/_new  2016-09-21 18:48:36.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package octave-forge-queueing
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %define octpkg  queueing
 Name:   octave-forge-%{octpkg}
-Version:1.2.3
+Version:1.2.4
 Release:0
 Summary:Queueing Networks and Markov chains analysis for Octave
 License:GPL-3.0+
@@ -27,7 +27,7 @@
 Source0:
http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRequires:  octave-devel
-Requires:   octave-cli >= 3.2.3
+Requires:   octave-cli >= 3.8.1
 
 %description
 Functions for queueing networks and Markov chains analysis.

++ queueing-1.2.3.tar.gz -> queueing-1.2.4.tar.gz ++
 18382 lines of diff (skipped)




commit gitolite for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gitolite for openSUSE:Factory 
checked in at 2016-09-21 18:48:18

Comparing /work/SRC/openSUSE:Factory/gitolite (Old)
 and  /work/SRC/openSUSE:Factory/.gitolite.new (New)


Package is "gitolite"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.gitolite.new/gitolite.changes   2016-09-21 
18:48:19.0 +0200
@@ -0,0 +1,154 @@
+---
+Thu Sep  8 07:49:04 UTC 2016 - tampak...@opensuse.org
+
+- change the homedir of the git user to /srv/gitolite, to prevent ownership
+  conflicts of the /srv/git directory with the git-daemon package
+
+---
+Mon Aug  8 16:22:28 UTC 2016 - ch...@computersalat.de
+
+- fix changes file
+  * add missing ChangeLog info
+
+---
+Fri Jul 29 23:28:30 UTC 2016 - r...@fthiessen.de
+
+- Update to 3.6.5
+  * allow creator check to be bypassed during mirroring
+  * handle new style ssh fingerprinting correctly
+(thanks to Robin Johnson)
+  * allow pre-auto-gc as a repo-specific hook
+  * optimise mirror pushes for heavily used repos
+  * create-with-reference trigger: on repo creation, setup
+objects/info/alternates for a server side alternate object store.
+  * 'mirror status all all' prints a list of repos that have *some*
+error, which is arguably more useful for further action/processing
+  * allow incrementally adding more repo-specific hooks
+- 2015-11-01  v3.6.4
+  * a ref-create bug in wild repos was fixed
+  * some contrib code related to AD integration, and to redmine user
+aliases
+  * teach Alias.pm a few new tricks
+  * remove a race condition in 'create' command that affected the
+'default roles' setting
+  * make 'who-pushed' more efficient (local push logs, and 
+'tip search')
+  * 'gitolite query-rc' learns '-d' ('--dump') option
+
+---
+Sun May 17 09:51:08 UTC 2015 - tampak...@opensuse.org
+
+- Change URL to gitolite.com
+- Use full URL path for the source tarball
+- Add Git as runtime dependency, it's heavily needed
+
+---
+Sun Apr 26 23:19:03 UTC 2015 - r...@fthiessen.de
+
+- Update to 3.6.3
+  * allow limited use of 'git config' using the new 'config' command
+  * accept openssh 6.8's new fingerprint output format
+  * (finally!) allow limited symlinks within ~/repositories; see
+commit 8e36230 for details
+  * perms command now lists available roles
+  * minor backward compat breakage: 'perms -l repo' no longer works;
+see 'perms -h' for new usage
+  * allow gitolite-shell to be used as $SHELL (experts only; no
+support, no docs; see commit 9cd1e37 for details)
+  * help with 'git push --signed' using a post-receive hook to adopt
+push certs into 'refs/push-certs'; for details see 
+contrib/hooks/repo-specific/save-push-signatures
+  * new 'transparent proxy' feature for git repos; see
+src/lib/Gitolite/Triggers/TProxy.pm for details
+
+---
+Mon Oct  6 17:20:57 UTC 2014 - da...@darins.net
+
+- update to 3.6.1 
+- updated and renamed README.SUSE
+- removed patches and unused files
+- spec cleanup
+
+---
+Mon Oct 22 21:52:35 UTC 2012 - ch...@computersalat.de
+
+- fix for bnc#784983
+  * add subpkg skel
+- hold files needed for git user homedir (/etc/skelgit/)
+  * rework spec pre section
+
+---
+Sat Aug 11 18:54:02 UTC 2012 - ch...@computersalat.de
+
+- update to 2.3.1
+  - fix bug where config statements would get ignored if you had a
+description set. The biggest problem was that this would affect
+mirroring.
+ - for mor info please see the CHANGELOG file
+- rebase patches
+- fix License: GPL-2.0 -> GPL-2.0+
+- add skeldir
+  * add .gitolite.rc to skeldir
+- add README.SuSE
+
+---
+Wed Dec 14 23:41:29 UTC 2011 - ch...@computersalat.de
+
+- update to 1.5.9.1
+  * IMPORTANT SECURITY FIX; PLEASE UPGRADE IF YOU'RE USING
+SOMETHING OLDER THAN THIS ONE
+  - supercool new 'git' adc; so cool it's disabled by default
+  - '-prune' added to find commands; makes a big diff if REPO_BASE is
+NFS/CIFS mounted
+  - first python ADC contributed -- 'perms' makes setperms etc easier
+to do
+  - 'set-head' ADC added
+  - v2.0rc1; major refactor
+
+---
+Thu Nov 10 16:22:18 CET 2011 - dmuel...@suse.de
+
+- 

commit ftsteutates for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package ftsteutates for openSUSE:Factory 
checked in at 2016-09-21 18:48:13

Comparing /work/SRC/openSUSE:Factory/ftsteutates (Old)
 and  /work/SRC/openSUSE:Factory/.ftsteutates.new (New)


Package is "ftsteutates"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.ftsteutates.new/ftsteutates.changes 
2016-09-21 18:48:15.0 +0200
@@ -0,0 +1,11 @@
+---
+Sun Sep  4 06:20:43 UTC 2016 - mplus...@suse.com
+
+- Use url for source
+- Use modern macros for KMP handling
+
+---
+Tue Jul 12 10:28:57 UTC 2016 - sweet_...@gmx.de
+
+- initial package ftsteutates version 20160601
+

New:

  ftsteutates-module_20160601.zip
  ftsteutates.changes
  ftsteutates.spec



Other differences:
--
++ ftsteutates.spec ++
#
# spec file for package ftsteutates
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   ftsteutates
Version:20160601
Release:0
Summary:Kernel module ftsteutates
License:GPL-2.0+
Group:  System/Kernel
Url:ftp://ftp.ts.fujitsu.com/pub/Mainboard-OEM-Sales/Services/
Source0:
ftp://ftp.ts.fujitsu.com/pub/Mainboard-OEM-Sales/Services/Software/Linux_SystemMonitoring/ftsteutates-module_%{version}.zip
BuildRequires:  %{kernel_module_package_buildreqs}
BuildRequires:  unzip
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%kernel_module_package
ExclusiveArch:  %{ix86} x86_64

%description
System monitoring and thermal management for Teutates chips/Fujitsu
mainboards (D34xx).

%package sensors
Summary:Sensors config ftsteutates
Group:  System/Monitoring
Requires:   sensors
BuildArch:  noarch

%description sensors
System monitoring and thermal management for Fujitsu mainboards (D34xx).
This package contains the mainboard model specific config files for nice
lm-sensors output.

%prep
%setup -q -n ftsteutates
mkdir source
mkdir obj
cp -a Makefile ftsteutates.c source/

%build
for flavor in %{flavors_to_build}; do
rm -rf obj/$flavor
cp -r source obj/$flavor
make -C %{_prefix}/src/linux-obj/%{_target_cpu}/$flavor modules \
 M=$PWD/obj/$flavor
done

%install
# install kernel modules
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=updates
for flavor in %{flavors_to_build}; do
make -C %{_prefix}/src/linux-obj/%{_target_cpu}/$flavor modules_install \
 M=$PWD/obj/$flavor
done

%files sensors
%defattr(-,root,root)
%doc assets test

%changelog



commit rubygem-fast_gettext-1_1 for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-fast_gettext-1_1 for 
openSUSE:Factory checked in at 2016-09-21 18:48:07

Comparing /work/SRC/openSUSE:Factory/rubygem-fast_gettext-1_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-fast_gettext-1_1.new (New)


Package is "rubygem-fast_gettext-1_1"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-fast_gettext-1_1.new/rubygem-fast_gettext-1_1.changes
   2016-09-21 18:48:08.0 +0200
@@ -0,0 +1,77 @@
+---
+Tue May 31 04:28:56 UTC 2016 - co...@suse.com
+
+- updated to version 1.1.0
+ see installed CHANGELOG
+
+---
+Thu Oct 15 04:29:34 UTC 2015 - co...@suse.com
+
+- updated to version 1.0.0
+ see installed CHANGELOG
+
+  1.0.0 -- do not enforce attr_accessible unless ProtectedAttributes are loaded
+
+---
+Tue Feb 10 17:43:28 UTC 2015 - co...@suse.com
+
+- updated to version 0.9.2
+
+---
+Tue Oct 21 12:29:20 UTC 2014 - co...@suse.com
+
+- updated to version 0.9.0
+
+---
+Sun Oct 12 11:00:12 UTC 2014 - adr...@suse.de
+
+- adapt to new rubygem packaging style
+
+---
+Fri Nov 29 11:05:08 UTC 2013 - co...@suse.com
+
+- updated to version 0.8.1, no changelog
+
+---
+Tue Sep  3 08:10:13 UTC 2013 - co...@suse.com
+
+- updated to version 0.8.0, no changelog
+
+---
+Sat Jul 20 11:03:06 UTC 2013 - co...@suse.com
+
+- updated to version 0.7.1
+
+---
+Thu Dec 20 06:24:31 UTC 2012 - co...@suse.com
+
+- updated to version 0.7.0
+  set_locale resets to default locale if none of the available locales was 
tried to set
+
+---
+Mon Oct 29 08:06:20 UTC 2012 - co...@suse.com
+
+- updated to version 0.6.11, no changelog
+
+---
+Wed Sep 19 14:51:13 UTC 2012 - co...@suse.com
+
+- updated to version 0.6.10, no changelog ;(
+
+---
+Thu Aug  2 13:02:21 UTC 2012 - cfarr...@suse.com
+
+- license update: MIT and Ruby
+  See the README.rdoc in lib/vendor
+
+---
+Wed Aug  1 05:04:01 UTC 2012 - co...@suse.com
+
+- updated to version 0.6.9
+
+---
+Thu Jan 19 14:47:21 UTC 2012 - lsle...@suse.cz
+
+- initial version
+- 0.6.4
+

New:

  fast_gettext-1.1.0.gem
  gem2rpm.yml
  rubygem-fast_gettext-1_1.changes
  rubygem-fast_gettext-1_1.spec



Other differences:
--
++ rubygem-fast_gettext-1_1.spec ++
#
# spec file for package rubygem-fast_gettext-1_1
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:   rubygem-fast_gettext-1_1
Version:1.1.0
Release:0
%define mod_name fast_gettext
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1_1
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:http://github.com/grosser/fast_gettext
Source: http://rubygems.org/gems/%{mod_full_name}.gem
Source1:gem2rpm.yml
Summary:A simple, fast, memory-efficient and threadsafe implementation 
of
License:MIT and Ruby
Group:  

commit rubygem-puppet for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-puppet for openSUSE:Factory 
checked in at 2016-09-21 18:47:53

Comparing /work/SRC/openSUSE:Factory/rubygem-puppet (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-puppet.new (New)


Package is "rubygem-puppet"

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-puppet/rubygem-puppet.changes
2016-04-22 16:24:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-puppet.new/rubygem-puppet.changes   
2016-09-21 18:47:55.0 +0200
@@ -1,0 +2,26 @@
+Tue Aug 16 15:01:32 UTC 2016 - tampak...@opensuse.org
+
+- set the perms of the unicorn.conf to 644
+
+---
+Wed Aug  3 10:51:14 UTC 2016 - tampak...@opensuse.org
+
+- Replace the greps with fillup-template to update the sysconfig files.
+  Fixes properly boo#916005
+
+---
+Fri Jul 29 18:08:33 UTC 2016 - jeng...@inai.de
+
+- Run fdupes over practically everything that was installed,
+  fixing "files-duplicate /usr/lib64/ruby/gems/2.2.0/doc/
+  /puppet-3.8.7/ri/Puppet/Pops/Types/TypeFactory/any-c.ri" etc.
+
+---
+Mon Jul 25 13:08:46 UTC 2016 - tampak...@opensuse.org
+
+- Update to 3.8.7:
+  
https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-386
+  
https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-387
+- Add -master-unicorn subpackage with unicorn systemd unit file and config
+
+---

Old:

  puppet-3.8.5.gem

New:

  puppet-3.8.7.gem
  puppetmaster-unicorn.service
  rubygem-puppet-rpmlintrc
  unicorn.conf



Other differences:
--
++ rubygem-puppet.spec ++
--- /var/tmp/diff_new_pack.Jnv2dw/_old  2016-09-21 18:47:57.0 +0200
+++ /var/tmp/diff_new_pack.Jnv2dw/_new  2016-09-21 18:47:57.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-puppet
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-puppet
-Version:3.8.5
+Version:3.8.7
 Release:0
 %define mod_name puppet
 %define mod_full_name %{mod_name}-%{version}
@@ -43,6 +43,7 @@
 BuildRequires: fdupes
 Requires(pre): /usr/sbin/groupadd
 Requires(pre): /usr/sbin/useradd
+Requires(pre): %fillup_prereq
 Requires:  tar
 %if 0%{?suse_version} >= 1210
 BuildRequires: systemd
@@ -62,7 +63,10 @@
 Source: http://rubygems.org/gems/%{mod_full_name}.gem
 Source1:puppetmaster.fw
 Source2:puppet.fw
-Source3:gem2rpm.yml
+Source3:puppetmaster-unicorn.service
+Source4:unicorn.conf
+Source5:%{name}-rpmlintrc
+Source6:gem2rpm.yml
 # MANUAL
 Patch0:  %{mod_name}-zypper-lu.patch
 Patch1:  %{mod_name}-systemd-default.patch
@@ -88,6 +92,7 @@
 %patch2 -p1
 %patch3 -p1
 %patch4 -p1
+find -type f -print0 | xargs -0 touch -r %{S:0}
 %gem_build
 
 %build
@@ -108,9 +113,17 @@
 for config_file in auth fileserver tagmail ; do
 install -m0644 $gemdir/conf/$config_file.conf 
%{buildroot}%{_sysconfdir}/%{mod_name}/$config_file.conf
 done
+install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/%{mod_name}/unicorn.conf
+mkdir -p %{buildroot}%{_localstatedir}/adm/fillup-templates
+cp $gemdir/ext/redhat/client.sysconfig 
%{buildroot}/%{_localstatedir}/adm/fillup-templates/sysconfig.puppet
+cp $gemdir/ext/redhat/server.sysconfig 
%{buildroot}/%{_localstatedir}/adm/fillup-templates/sysconfig.puppetmaster
 %if 0%{?has_systemd}
 ln -sf service %{buildroot}/%{_sbindir}/rcpuppet
 ln -sf service %{buildroot}/%{_sbindir}/rcpuppetmaster
+ln -sf service %{buildroot}/%{_sbindir}/rcpuppetmaster-unicorn
+install -m 644 $gemdir/ext/systemd/puppet.service  
%{buildroot}%{_unitdir}/system/puppet.service
+install -m 644 $gemdir/ext/systemd/puppetmaster.service 
%{buildroot}%{_unitdir}/system/puppetmaster.service
+install -m 644 %{SOURCE3} 
%{buildroot}%{_unitdir}/system/puppetmaster-unicorn.service
 %else
 mkdir -p %{buildroot}%_initddir
 # fix old port arg
@@ -123,9 +136,6 @@
 
 install -m 644 %{SOURCE1} %{buildroot}/%{_fwdefdir}/puppetmasterd
 install -m 644 %{SOURCE2} %{buildroot}/%{_fwdefdir}/puppet
-# Latest git calls the service for agent puppet again
-install -m 644 $gemdir/ext/systemd/puppet.service  
%{buildroot}%{_unitdir}/system/puppet.service
-install -m 644 $gemdir/ext/systemd/puppetmaster.service 

commit camlistore for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package camlistore for openSUSE:Factory 
checked in at 2016-09-21 18:47:16

Comparing /work/SRC/openSUSE:Factory/camlistore (Old)
 and  /work/SRC/openSUSE:Factory/.camlistore.new (New)


Package is "camlistore"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.camlistore.new/camlistore.changes   
2016-09-21 18:47:19.0 +0200
@@ -0,0 +1,29 @@
+---
+Wed Aug 17 10:41:31 UTC 2016 - asa...@suse.com
+
+- Add #nodebuginfo to ensure that we don't strip Go binaries.
+- Install camlistored to /usr/bin, as the default (intended) user is not
+  necessarily an administrator and the binary does not require privileges.
+
+---
+Sun Aug  7 07:36:15 UTC 2016 - mplus...@suse.com
+
+- Cleanup spec file with help of spec-cleaner:
+  * Build only on architectures with native go
+  * Drop unnecessary go defines
+  * Do not specify buildroot it is needed only on SLE-11 and older
+  * Use url for source
+  * Drop unnecessary _service
+  * Mention changelog in spec file
+- Adjust formatting/indentation of changelog
+
+---
+Sun Aug  7 02:20:03 UTC 2016 - asa...@suse.com
+
+- Enforce the Go >= 1.5 requirement.
+
+---
+Sun Aug  7 02:06:31 UTC 2016 - asa...@suse.com
+
+- Import Camlistore 0.9 "Astrakhan".
+  * See https://camlistore.org/doc/release/0.9

New:

  camlistore-0.9.tar.gz
  camlistore.changes
  camlistore.spec



Other differences:
--
++ camlistore.spec ++
#
# spec file for package camlistore
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# nodebuginfo

Name:   camlistore
Version:0.9
Release:0
Summary:Personal storage system for life
License:Apache-2.0
Group:  Productivity/Archiving/Backup
Url:https://camlistore.org/
Source: 
https://github.com/camlistore/camlistore/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  go >= 1.5
ExclusiveArch:  %{ix86} x86_64 aarch64 ppc64 ppc64le

%description
Camlistore is a set of open source formats, protocols, and software for
modeling, storing, searching, sharing and synchronizing data in the post-PC
era. Data may be files or objects, tweets or 5TB videos, and you can access it
via a phone, browser or FUSE filesystem.

%package daemon
Summary:Camlistore daemon

%description daemon
The Camlistore daemon which actually orchestrates the storage, access and
indexing of your blobs.

%package utils
Summary:Camlistore utilities

%description utils
The set of example utilities provided by Camlistore to allow a client to push,
pull and otherwise interact with their blobs stored in a remote Camlistore
server.

%prep
%setup -q

%build
# Create builddir.
export GOPATH=$PWD/vendor
ln -sfv . $PWD/vendor/src
mkdir -pv $GOPATH/src/camlistore/
ln -svfn $PWD $GOPATH/src/camlistore/camlistore

# make.go will try to parse .git unless we hardcode the version.
echo "%{version}" > $PWD/VERSION

# Build binaries.
make %{?_smp_mflags}

%install
# Administraton utilities.
install -D -m 0755 $PWD/bin/camlistored %{buildroot}/%{_bindir}/camlistored
#install -D -m 0755 $PWD/bin/camdeploy %{buildroot}/%{_sbindir}/camdeploy

# Client tools.
install -D -m 0755 $PWD/bin/camget %{buildroot}/%{_bindir}/camget
install -D -m 0755 $PWD/bin/camput %{buildroot}/%{_bindir}/camput
install -D -m 0755 $PWD/bin/camtool %{buildroot}/%{_bindir}/camtool
install -D -m 0755 $PWD/bin/cammount %{buildroot}/%{_bindir}/cammount

%files daemon
%defattr(-,root,root)
%doc doc/
%doc README COPYING AUTHORS CONTRIBUTORS
%{_bindir}/camlistored

%files utils
%defattr(-,root,root,-)
%doc doc/
%doc README COPYING AUTHORS CONTRIBUTORS
%{_bindir}/camget
%{_bindir}/camput
%{_bindir}/camtool
%{_bindir}/cammount

%changelog



commit rubygem-quixoten-puppetdb-terminus for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-quixoten-puppetdb-terminus 
for openSUSE:Factory checked in at 2016-09-21 18:47:22

Comparing /work/SRC/openSUSE:Factory/rubygem-quixoten-puppetdb-terminus (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-quixoten-puppetdb-terminus.new 
(New)


Package is "rubygem-quixoten-puppetdb-terminus"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-quixoten-puppetdb-terminus.new/rubygem-quixoten-puppetdb-terminus.changes
   2016-09-21 18:47:23.0 +0200
@@ -0,0 +1,10 @@
+---
+Sat Jul 30 08:26:50 UTC 2016 - tampak...@opensuse.org
+
+- Version bump 2.3.8, last release
+
+---
+Tue Feb 23 19:39:15 UTC 2016 - tampak...@opensuse.org
+
+- Initial commit
+

New:

  quixoten-puppetdb-terminus-2.3.8.gem
  rubygem-quixoten-puppetdb-terminus.changes
  rubygem-quixoten-puppetdb-terminus.spec



Other differences:
--
++ rubygem-quixoten-puppetdb-terminus.spec ++
#
# spec file for package rubygem-quixoten-puppetdb-terminus
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:   rubygem-quixoten-puppetdb-terminus
Version:2.3.8
Release:0
%define mod_name quixoten-puppetdb-terminus
%define mod_full_name %{mod_name}-%{version}
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:https://github.com/quixoten/puppetdb-terminus
Source: http://rubygems.org/gems/%{mod_full_name}.gem
Summary:PuppetDB Terminus
License:Apache-2.0
Group:  Development/Languages/Ruby

%description
PuppetDB Terminus.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt README.md" \
  -f

%gem_packages

%changelog



commit rubygem-ra10ke for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-ra10ke for openSUSE:Factory 
checked in at 2016-09-21 18:47:30

Comparing /work/SRC/openSUSE:Factory/rubygem-ra10ke (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-ra10ke.new (New)


Package is "rubygem-ra10ke"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-ra10ke.new/rubygem-ra10ke.changes   
2016-09-21 18:47:35.0 +0200
@@ -0,0 +1,12 @@
+---
+Mon Aug 22 09:22:12 UTC 2016 - tampak...@opensuse.org
+
+- Version bump 0.1.1:
+  * update docs to mention Gemfile and Rakefile
+  * properly advertise the user agent
+
+---
+Thu Jan 28 13:33:23 UTC 2016 - tampak...@opensuse.org
+
+- Initial commit
+

New:

  ra10ke-0.1.1.gem
  rubygem-ra10ke.changes
  rubygem-ra10ke.spec



Other differences:
--
++ rubygem-ra10ke.spec ++
#
# spec file for package rubygem-ra10ke
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:   rubygem-ra10ke
Version:0.1.1
Release:0
%define mod_name ra10ke
%define mod_full_name %{mod_name}-%{version}
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:https://github.com/tampakrap/ra10ke
Source: http://rubygems.org/gems/%{mod_full_name}.gem
Summary:Syntax check for the Puppetfile, check for outdated installed 
puppet
License:MIT
Group:  Development/Languages/Ruby

%description
R10K and Puppetfile rake tasks.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog



commit rubygem-semantic_puppet for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-semantic_puppet for 
openSUSE:Factory checked in at 2016-09-21 18:46:47

Comparing /work/SRC/openSUSE:Factory/rubygem-semantic_puppet (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-semantic_puppet.new (New)


Package is "rubygem-semantic_puppet"

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-semantic_puppet/rubygem-semantic_puppet.changes
  2015-06-15 17:48:39.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-semantic_puppet.new/rubygem-semantic_puppet.changes
 2016-09-21 18:46:49.0 +0200
@@ -1,0 +2,14 @@
+Sat Jul 30 09:02:50 UTC 2016 - tampak...@opensuse.org
+
+- Version bump 0.1.4:
+  - 0.1.4 - 2016-07-06
+- Externalized all user-facing strings using gettext libraries to support
+  future localization.
+  - 0.1.3 - 2016-05-24
+- Typesafe implementation of ModuleRelease#eql? (and ModuleRelease#==).
+  (PUP-6341)
+  - 0.1.2 - 2016-04-29
+- Typesafe implementation of Version#eql? (and Version#==). (PUP-6249)
+- Homepage URL in gemspec was incorrect. (fiddyspence)
+
+---

Old:

  semantic_puppet-0.1.1.gem

New:

  semantic_puppet-0.1.4.gem



Other differences:
--
++ rubygem-semantic_puppet.spec ++
--- /var/tmp/diff_new_pack.lRDD43/_old  2016-09-21 18:46:50.0 +0200
+++ /var/tmp/diff_new_pack.lRDD43/_new  2016-09-21 18:46:50.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-semantic_puppet
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,7 +16,7 @@
 #
 
 Name:   rubygem-semantic_puppet
-Version:0.1.1
+Version:0.1.4
 Release:0
 %define mod_name semantic_puppet
 %define mod_full_name %{mod_name}-%{version}
@@ -24,7 +24,7 @@
 BuildRequires:  ruby-macros >= 5
 BuildRequires:  %{ruby >= 1.8.7}
 BuildRequires:  %{rubygem gem2rpm}
-Url:https://github.com/puppetlabs/semantic_puppet-gem
+Url:https://github.com/puppetlabs/semantic_puppet
 Source: http://rubygems.org/gems/%{mod_full_name}.gem
 Summary:Useful tools for working with Semantic Versions
 License:Apache-2.0

++ semantic_puppet-0.1.1.gem -> semantic_puppet-0.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.gitignore new/.gitignore
--- old/.gitignore  1970-01-01 01:00:00.0 +0100
+++ new/.gitignore  2016-07-06 19:18:52.0 +0200
@@ -1,4 +1,9 @@
+.bundle
 .rbenv-*
 .yardoc
 coverage
 doc
+.idea/
+/.project
+Gemfile.lock
+locales/semantic_puppet.pot
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md1970-01-01 01:00:00.0 +0100
+++ new/CHANGELOG.md2016-07-06 19:18:52.0 +0200
@@ -2,9 +2,25 @@
 All notable changes to this project will be documented in this file.
 This project adheres to [Semantic Versioning](http://semver.org/).
 
+## 0.1.4 - 2016-07-06
+### Changed
+- Externalized all user-facing strings using gettext libraries to support 
future localization.
+
+## 0.1.3 - 2016-05-24
+### Added
+- Typesafe implementation of ModuleRelease#eql? (and ModuleRelease#==). 
(PUP-6341)
+
+## 0.1.2 - 2016-04-29
+### Added
+- Typesafe implementation of Version#eql? (and Version#==). (PUP-6249)
+
+### Fixed
+- Homepage URL in gemspec was incorrect. (fiddyspence)
+
 ## 0.1.1 - 2015-04-01
 ### Added
 - license information
+
 ### Removed
 - template entry from CHANGELOG.md
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Gemfile new/Gemfile
--- old/Gemfile 1970-01-01 01:00:00.0 +0100
+++ new/Gemfile 2016-07-06 19:18:52.0 +0200
@@ -1,20 +1,3 @@
 source "https://rubygems.org;
 
-group :development do
-  gem 'rake'
-  gem 'rubygems-tasks'
-end
-
-group :test do
-  gem 'rspec'
-end
-
-group :metrics do
-  gem 'cane',  :platform => [ :mri_19, :mri_20, :mri_21 ]
-  gem 'simplecov', :platform => [ :mri_19, :mri_20, :mri_21 ]
-end
-
-group :doc do
-  gem 'yard', '~> 0.8', :platform => [ :mri_19, :mri_20, :mri_21 ]
-  gem 'redcarpet',  :platform => [ :mri_19, :mri_20, :mri_21 ]
-end
+gemspec
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Gemfile.lock new/Gemfile.lock
--- old/Gemfile.lock1970-01-01 01:00:00.0 +0100
+++ new/Gemfile.lock1970-01-01 01:00:00.0 +0100
@@ -1,38 +0,0 @@
-GEM

commit rubygem-puppet-lint for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-puppet-lint for 
openSUSE:Factory checked in at 2016-09-21 18:46:54

Comparing /work/SRC/openSUSE:Factory/rubygem-puppet-lint (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-puppet-lint.new (New)


Package is "rubygem-puppet-lint"

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-puppet-lint/rubygem-puppet-lint.changes  
2014-11-28 08:44:52.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-puppet-lint.new/rubygem-puppet-lint.changes 
2016-09-21 18:46:56.0 +0200
@@ -1,0 +2,6 @@
+Sat Jul 30 08:36:07 UTC 2016 - tampak...@opensuse.org
+
+- Version bump 2.0.0
+  see 
https://github.com/rodjek/puppet-lint/blob/master/CHANGELOG.md#200-2016-06-22
+
+---

Old:

  puppet-lint-1.1.0.gem

New:

  puppet-lint-2.0.0.gem



Other differences:
--
++ rubygem-puppet-lint.spec ++
--- /var/tmp/diff_new_pack.yQrh13/_old  2016-09-21 18:46:58.0 +0200
+++ /var/tmp/diff_new_pack.yQrh13/_new  2016-09-21 18:46:58.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-puppet-lint
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,7 +16,7 @@
 #
 
 Name:   rubygem-puppet-lint
-Version:1.1.0
+Version:2.0.0
 Release:0
 %define mod_name puppet-lint
 %define mod_full_name %{mod_name}-%{version}

++ puppet-lint-1.1.0.gem -> puppet-lint-2.0.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.gitignore new/.gitignore
--- old/.gitignore  1970-01-01 01:00:00.0 +0100
+++ new/.gitignore  1970-01-01 01:00:00.0 +0100
@@ -6,3 +6,4 @@
 vendor/gems
 coverage/
 *.swp
+/_site/
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.md new/README.md
--- old/README.md   1970-01-01 01:00:00.0 +0100
+++ new/README.md   1970-01-01 01:00:00.0 +0100
@@ -38,7 +38,7 @@
   config.ignore_paths = ['modules/apt', 'modules/stdlib']
 
   # List of checks to disable
-  config.disable_checks = ['documentation', '80chars']
+  config.disable_checks = ['documentation', '140chars']
 
   # Should puppet-lint prefix it's output with the file being checked,
   # defaults to true
@@ -59,6 +59,9 @@
 
   # Show ignored problems in the output, defaults to false
   config.show_ignored = true
+
+  # Compare module layout relative to the module root
+  config.relative = true
 end
 
 ## Implemented tests
@@ -70,7 +73,7 @@
  * Must use two-space soft tabs.
  * Must not use literal tab characters.
  * Must not contain trailing white space.
- * Should not exceed an 80 character line width
+ * Should not exceed an 140 character line width
* An exception has been made for `source => 'puppet://...'` lines as
  splitting these over multiple lines decreases the readability of the
  manifests.
@@ -121,10 +124,10 @@
 
 You can disable any of the checks when running the `puppet-lint` command by
 adding a `--no--check` flag to the command.  For example, if you
-wanted to skip the 80 character check, you would run
+wanted to skip the 140 character check, you would run
 
 ```
-puppet-lint --no-80chars-check /path/to/my/manifest.pp
+puppet-lint --no-140chars-check /path/to/my/manifest.pp
 ```
 
 puppet-lint will also check for a `.puppet-lint.rc` file in the current
@@ -152,10 +155,10 @@
 PuppetLint.configuration.send("disable_")
 ```
 
-So, to disable the 80 character check, you would add:
+So, to disable the 140 character check, you would add:
 
 ``` ruby
-PuppetLint.configuration.send("disable_80chars")
+PuppetLint.configuration.send("disable_140chars")
 ```
 
 The Rake task also supports ignoring certain paths
Files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/puppet-lint/checkplugin.rb 
new/lib/puppet-lint/checkplugin.rb
--- old/lib/puppet-lint/checkplugin.rb  1970-01-01 01:00:00.0 +0100
+++ new/lib/puppet-lint/checkplugin.rb  1970-01-01 01:00:00.0 +0100
@@ -35,7 +35,7 @@
   #
   # Returns an Array of problem Hashes.
   def fix_problems
-@problems.each do |problem|
+@problems.reject { |problem| problem[:kind] == :ignored }.each do |problem|
   if self.respond_to?(:fix)
 begin
   fix(problem)
@@ -90,6 +90,14 @@
 

commit rubygem-hiera-eyaml for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-hiera-eyaml for 
openSUSE:Factory checked in at 2016-09-21 18:46:44

Comparing /work/SRC/openSUSE:Factory/rubygem-hiera-eyaml (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-hiera-eyaml.new (New)


Package is "rubygem-hiera-eyaml"

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-hiera-eyaml/rubygem-hiera-eyaml.changes  
2015-06-01 09:51:07.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-hiera-eyaml.new/rubygem-hiera-eyaml.changes 
2016-09-21 18:46:46.0 +0200
@@ -1,0 +2,9 @@
+Sat Jul 30 08:30:34 UTC 2016 - tampak...@opensuse.org
+
+- Version bump 2.1.0:
+  - (#187) - Change the way third party highline library is imported to avoid
+memory leak when running under puppet server (@petems)
+  - (#181) - Improve test suite to run against a variety of puppet versions
+(@peculater)
+
+---

Old:

  hiera-eyaml-2.0.8.gem

New:

  hiera-eyaml-2.1.0.gem



Other differences:
--
++ rubygem-hiera-eyaml.spec ++
--- /var/tmp/diff_new_pack.2vJMbe/_old  2016-09-21 18:46:47.0 +0200
+++ /var/tmp/diff_new_pack.2vJMbe/_new  2016-09-21 18:46:47.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-hiera-eyaml
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,7 +16,7 @@
 #
 
 Name:   rubygem-hiera-eyaml
-Version:2.0.8
+Version:2.1.0
 Release:0
 %define mod_name hiera-eyaml
 %define mod_full_name %{mod_name}-%{version}

++ hiera-eyaml-2.0.8.gem -> hiera-eyaml-2.1.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.travis.yml new/.travis.yml
--- old/.travis.yml 1970-01-01 01:00:00.0 +0100
+++ new/.travis.yml 2016-03-02 22:47:59.0 +0100
@@ -1,14 +1,30 @@
 language: ruby
 rvm:
   - "1.8.7-p374"
-  - "1.9.2"
   - "1.9.3"
   - "2.0.0"
   - "2.1.5"
-before_install:
-  - sudo apt-get update
-  - sudo apt-get install expect
+  - "2.2.3"
+env:
+  - PUPPET_VERSION=3.7.5
+  - PUPPET_VERSION=3.8.4
+  - PUPPET_VERSION=4.2.2
+sudo: false
+addons:
+  apt:
+packages:
+  - expect
 script:
   bundle exec cucumber -f progress
 notifications:
   email: false
+
+matrix:
+  exclude:
+- rvm: 1.8.7-p374
+  env: PUPPET_VERSION=4.2.2
+- rvm: 2.2.3
+  env: PUPPET_VERSION=3.7.5
+- rvm: 2.2.3
+  env: PUPPET_VERSION=3.8.4
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Gemfile new/Gemfile
--- old/Gemfile 1970-01-01 01:00:00.0 +0100
+++ new/Gemfile 2016-03-02 22:47:59.0 +0100
@@ -1,14 +1,13 @@
 source 'https://rubygems.org/'
 
-gem 'highline', '~> 1.6.19'
-gem 'trollop', '~> 2.0'
+gemspec
 
 group :development do
   gem "aruba", '~> 0.6.2'
   gem "cucumber", '~> 1.1'
   gem "rspec-expectations", '~> 3.1.0'
   gem "hiera-eyaml-plaintext"
-  gem "puppet"
+  gem "puppet", ENV['PUPPET_VERSION'] || '~> 3.8'
 end
 
 group :test do
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.md new/README.md
--- old/README.md   1970-01-01 01:00:00.0 +0100
+++ new/README.md   2016-03-02 22:47:59.0 +0100
@@ -281,6 +281,7 @@
  - [hiera-eyaml-twofac](https://github.com/gtmtechltd/hiera-eyaml-twofac) - 
PKCS7 keypair + AES256 symmetric password for two-factor encryption
Note that this plugin mandates the user enter a password. It is useful for 
non-automated scenarios, and is not advised to be used
in conjunction with puppet, as it requires entry of a password over a 
terminal.
+ - [hiera-eyaml-kms](https://github.com/adenot/hiera-eyaml-kms) - Encryption 
using AWS Key Management Service (KMS)
 
 
 Notes
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/bin/eyaml new/bin/eyaml
--- old/bin/eyaml   1970-01-01 01:00:00.0 +0100
+++ new/bin/eyaml   2016-03-02 22:47:59.0 +0100
@@ -12,15 +12,15 @@
 begin
   Hiera::Backend::Eyaml::CLI.parse
 rescue StandardError => e
-  Hiera::Backend::Eyaml::Utils.warn e.message
-  Hiera::Backend::Eyaml::Utils.debug e.backtrace.join("\n")
+  Hiera::Backend::Eyaml::LoggingHelper.warn e.message
+  Hiera::Backend::Eyaml::LoggingHelper.debug e.backtrace.join("\n")
   exit 1
 end
 
 begin
   Hiera::Backend::Eyaml::CLI.execute
 rescue StandardError => e
-  Hiera::Backend::Eyaml::Utils.warn e.message
-  

commit rubygem-rspec-puppet for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-rspec-puppet for 
openSUSE:Factory checked in at 2016-09-21 18:46:58

Comparing /work/SRC/openSUSE:Factory/rubygem-rspec-puppet (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rspec-puppet.new (New)


Package is "rubygem-rspec-puppet"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-rspec-puppet.new/rubygem-rspec-puppet.changes
   2016-09-21 18:47:00.0 +0200
@@ -0,0 +1,71 @@
+---
+Sat Jul 30 09:14:17 UTC 2016 - tampak...@opensuse.org
+
+- Version bump 2.4.0:
+  - 2.4.0:
+- This release now supports testing exported resources in the same way that
+  normal resources in the catalog are tested. Access them in your examples
+  using `exported_resources`. See "Testing Exported Resources" in the
+  README for examples.
+- This release pulls out much of the version-specific code into separate
+  classes to reduce complexity and enable easier maintenance going forward.
+- Support colon-separated module_path and environmentpath values.
+- Support a threshold for the code coverage test, that can fail the whole
+  run.
+- Ensure a consistent environment for all examples by adding a forced
+  initialization of puppet before each.
+  - 2.3.2:
+- Properly fix yesterday's issue by unsharing the cache key before passing
+  the data to puppet. This also contains a new test matrix to avoid missing
+  a half-baked fix like yesterday.
+  - 2.3.1:
+- A quick workaround to re-enable testing with the recently released puppet
+  3.8.5 and the soon to be released puppet 4.3.2. See PUP-5743 for the
+  gritty details. Upgrade to this version if you hit the
+  "undefined method \`resource' for nil:NilClass" error.
+  - 2.3.0:
+- Rspec-puppet now supports testing custom types, `:undef` values in
+  params, structured facts, and checks resource dependencies recursively.
+- The settings in `module_path` and `manifest` are now respected throughout
+  the code base. The former default for `module_path`
+  (`'/etc/puppet/modules'`) was dropped to avoid accidentally poisoning the
+  test environment with unrelated code.
+- To reduce the maintenance overhead of boilerplate code, rspec-puppet now
+  provides some of the code that rspec-puppet-init deployed in helper files
+  that you can just `require` instead.
+- This release also reduces memory usage on bigger testsuites drastically
+  by reducing the caching of compiled catalogs.
+- Limit the catalogue cache to 16 entries. Significant memory savings and
+  reduced runtime were observed in testing this.
+- Prevent Puppet 3's \_timestamp fact from invalidating cache.
+- Extracted catalog cache from RSpec::Puppet::Support.
+- Updated README to use the rspec 3 syntax, and additional explanations.
+- `contain_file(...).with_content(...)` will now only show the diff and not
+  the full contents of the file.
+- Custom type testing example group and matcher.
+- before/require/subscribe/notify checking now searches recursively through
+  all dependencies. `File[a] -> File[b] -> File[c]` is now matched by
+  `contain_file('a').that_comes_before('File[c]')`, whereas earlier
+  versions would have missed that.
+- `let(:params)` now allows `:undef` to pass a literal undef value through
+  to the subject.
+- Support structured facts with keys as symbols or strings (\#295).
+- rspec-puppet-init now creates smaller files, using rspec-puppet helpers,
+  instead of pasting code into the module.
+- Added a list of related projects to the README.
+- Fix #276: `compile.and_raise_error` now correctly considers successful
+  compilation an error
+- Puppet's `modulepath` can now contain multiple entries and rspec-puppet
+  will configure puppet to load code from all of them
+- Support running with rspec 2.99 again
+- non-class resources are now covered by the coverage code
+- Fix #323/MODULES-2374: autorequires checking doesn't abort on "undefined
+  method \`[]' for nil:NilClass"
+- improved documentation for hiera integration, added example spec
+- document the `scope` property
+
+---
+Wed Jun 10 07:22:21 UTC 2015 - tampak...@opensuse.org
+
+- Initial commit
+

New:

  rspec-puppet-2.4.0.gem
  rubygem-rspec-puppet.changes
  rubygem-rspec-puppet.spec



Other differences:
--
++ rubygem-rspec-puppet.spec ++
#
# spec file for package rubygem-rspec-puppet
#
# 

commit cpustat for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package cpustat for openSUSE:Factory checked 
in at 2016-09-21 18:46:38

Comparing /work/SRC/openSUSE:Factory/cpustat (Old)
 and  /work/SRC/openSUSE:Factory/.cpustat.new (New)


Package is "cpustat"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.cpustat.new/cpustat.changes 2016-09-21 
18:46:38.0 +0200
@@ -0,0 +1,19 @@
+---
+Sat Jul 30 13:35:39 UTC 2016 - mar...@gmx.de
+
+- update to version 0.01.27
+  * Makefile: bump version
+  * debian/control: update standards version to 3.9.8
+
+- update to version 0.01.26
+  * Makefile: bump version
+  * Update date in manual
+  * debian/control: update standards version to 3.9.7
+  * Fix spelling mistake in manual, onlt -> only
+  * Update copyright year to 2016
+
+---
+Wed Nov 11 21:24:22 UTC 2015 - mar...@gmx.de
+
+- initial package
+

New:

  cpustat-0.01.27.tar.gz
  cpustat.changes
  cpustat.spec



Other differences:
--
++ cpustat.spec ++
#
# spec file for package cpustat
#
# Copyright (c) 2016, Martin Hauke 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   cpustat
Version:0.01.27
Release:0
Summary:Periodic cpu utilization statistics
License:GPL-2.0+
Group:  System/Monitoring
Url:http://kernel.ubuntu.com/~cking/cpustat/
Source: 
http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
cpustat periodically reports the current CPU utilization of running tasks and
can optionally report per CPU and per task utilization statistics at the end
of a run.
cpustat has been designed and optimized to use a minimal amount of CPU cycles
to monitor a system hence it is a light weight alternative to traditional
process monitoring tools such as top. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README
%{_sbindir}/cpustat
%{_mandir}/man8/*

%changelog



commit pagemon for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package pagemon for openSUSE:Factory checked 
in at 2016-09-21 18:46:24

Comparing /work/SRC/openSUSE:Factory/pagemon (Old)
 and  /work/SRC/openSUSE:Factory/.pagemon.new (New)


Package is "pagemon"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.pagemon.new/pagemon.changes 2016-09-21 
18:46:26.0 +0200
@@ -0,0 +1,5 @@
+---
+Thu Feb 18 10:59:15 UTC 2016 - mar...@gmx.de
+
+- initial package
+

New:

  pagemon-0.01.08.tar.gz
  pagemon.changes
  pagemon.spec



Other differences:
--
++ pagemon.spec ++
#
# spec file for package pagemon
#
# Copyright (c) 2016, Martin Hauke 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   pagemon
Version:0.01.08
Release:0
Summary:Interactive memory/page monitoring tool
License:GPL-2.0+
Group:  System/Monitoring
Url:http://kernel.ubuntu.com/~cking/pagemon
Source: 
http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
pagemon is a ncurses based interactive memory/page monitoring tool
allowing one to browse the memory map of an active running process
on Linux.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README
%{_sbindir}/pagemon
%{_mandir}/man8/*

%changelog



commit sluice for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package sluice for openSUSE:Factory checked 
in at 2016-09-21 18:46:30

Comparing /work/SRC/openSUSE:Factory/sluice (Old)
 and  /work/SRC/openSUSE:Factory/.sluice.new (New)


Package is "sluice"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.sluice.new/sluice.changes   2016-09-21 
18:46:31.0 +0200
@@ -0,0 +1,20 @@
+---
+Sat Jul 30 13:55:36 UTC 2016 - mar...@gmx.de
+
+- update to version 0.02.04
+  * Makefile: bump version
+  * debian/control: update Standards-Version to 3.9.8
+
+- update to version 0.02.03
+  * Makefile bunp version
+  * reduce scope of variable ret
+  * Update date in manual
+  * Don't centre table in man page
+  * Add -x pipe transfer size option
+  * Update copyright year
+
+---
+Wed Nov 11 21:31:13 UTC 2015 - mar...@gmx.de
+
+- initial package
+

New:

  sluice-0.02.04.tar.gz
  sluice.changes
  sluice.spec



Other differences:
--
++ sluice.spec ++
#
# spec file for package sluice
#
# Copyright (c) 2016, Martin Hauke 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   sluice
Version:0.02.04
Release:0
Summary:Rate limiting data piping tool
License:GPL-2.0+
Group:  System/Monitoring
Url:http://kernel.ubuntu.com/~cking/sluice/
Source: 
http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Sluice reads from standard input and write to standard output at a specified
data rate. This can be useful for benchmarking and exercising I/O streaming at
desired throughput rates. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/sluice
%{_mandir}/man1/*

%changelog



commit rubygem-r10k for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package rubygem-r10k for openSUSE:Factory 
checked in at 2016-09-21 18:45:47

Comparing /work/SRC/openSUSE:Factory/rubygem-r10k (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-r10k.new (New)


Package is "rubygem-r10k"

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-r10k/rubygem-r10k.changes
2016-02-22 08:57:07.0 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-r10k.new/rubygem-r10k.changes   
2016-09-21 18:45:49.0 +0200
@@ -1,0 +2,27 @@
+Sat Jul 30 09:06:03 UTC 2016 - tampak...@opensuse.org
+
+- Version bump 2.3.0:
+  - 2.3.0:
+- (RK-236/RK-237) Added HTTP proxy support for Git operations.
+- (RK-238) When r10k encounters and ignores invalid file types in a module
+  archive, it will now log the message at the DEBUG1 level instead of at
+  WARN.
+- (RK-243) In certain cases, when using the "rugged" Git provider,
+  specifying invalid HTTP credentials for a repository could result in an
+  infinite loop. Authentication retry for HTTP repositories is now capped
+  at 50 attempts which matches the existing behavior for SSH.
+  - 2.2.2:
+- (RK-241) "deploy display" action does not properly format wrapped
+  exceptions
+  - 2.2.1:
+- (RK-229) Setting Forge proxy options breaks PE Authentication
+  - 2.2.0:
+- (RK-154) Per-repo config for Git sources
+- (RK-220) Improved error message for unreadable SSH keys
+- (CODEMGMT-453) Support for running under JRuby 1.7 with shellgit provider
+- (MAINT) Documentation fixes
+- Recommend the puppetmaster instead of require, because:
+  - r10k can be used only for syntax checking of the Puppetfile
+  - puppetserver is an alternative to puppetmaster
+
+---

Old:

  r10k-2.1.1.gem

New:

  r10k-2.3.0.gem



Other differences:
--
++ rubygem-r10k.spec ++
--- /var/tmp/diff_new_pack.HeFTBD/_old  2016-09-21 18:45:50.0 +0200
+++ /var/tmp/diff_new_pack.HeFTBD/_new  2016-09-21 18:45:50.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-r10k
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-r10k
-Version:2.1.1
+Version:2.3.0
 Release:0
 %define mod_name r10k
 %define mod_full_name %{mod_name}-%{version}

++ gem2rpm.yml ++
--- /var/tmp/diff_new_pack.HeFTBD/_old  2016-09-21 18:45:50.0 +0200
+++ /var/tmp/diff_new_pack.HeFTBD/_new  2016-09-21 18:45:50.0 +0200
@@ -1,6 +1,6 @@
 :main:
   :preamble: |-
-Requires:   rubygem-puppet-master
+Recommends: rubygem-puppet-master
 Recommends: git
 Recommends: rubygem(%{rb_default_ruby_abi}:%{mod_name})
 Provides:   %{mod_name} = %{version}-%{release}

++ r10k-2.1.1.gem -> r10k-2.3.0.gem ++
 2840 lines of diff (skipped)




commit fnotifystat for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package fnotifystat for openSUSE:Factory 
checked in at 2016-09-21 18:45:56

Comparing /work/SRC/openSUSE:Factory/fnotifystat (Old)
 and  /work/SRC/openSUSE:Factory/.fnotifystat.new (New)


Package is "fnotifystat"

Changes:

New Changes file:

--- /dev/null   2016-09-15 12:42:18.240042505 +0200
+++ /work/SRC/openSUSE:Factory/.fnotifystat.new/fnotifystat.changes 
2016-09-21 18:45:57.0 +0200
@@ -0,0 +1,5 @@
+---
+Wed Nov 11 21:11:38 UTC 2015 - mar...@gmx.de
+
+- initial package
+

New:

  fnotifystat-0.01.14.tar.gz
  fnotifystat.changes
  fnotifystat.spec



Other differences:
--
++ fnotifystat.spec ++
#
# spec file for package fnotifystat
#
# Copyright (c) 2015, Martin Hauke 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   fnotifystat
Version:0.01.14
Release:0
Summary:File activity monitoring tool
License:GPL-2.0+
Group:  System/Monitoring
Url:http://kernel.ubuntu.com/~cking/fnotifystat/
Source: 
http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Fnotifystat periodically dumps out the activity on files in the system. It can
be used to identify rogue file activity and discover which processes are
performing open/close/read/write operations on the files. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/fnotifystat
%{_mandir}/man8/*

%changelog



commit webkit2gtk3 for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package webkit2gtk3 for openSUSE:Factory 
checked in at 2016-09-21 18:45:03

Comparing /work/SRC/openSUSE:Factory/webkit2gtk3 (Old)
 and  /work/SRC/openSUSE:Factory/.webkit2gtk3.new (New)


Package is "webkit2gtk3"

Changes:

--- /work/SRC/openSUSE:Factory/webkit2gtk3/webkit2gtk3.changes  2016-09-09 
10:18:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.webkit2gtk3.new/webkit2gtk3.changes 
2016-09-21 18:45:05.0 +0200
@@ -1,0 +2,115 @@
+Fri Sep 16 17:41:45 UTC 2016 - junrr...@gmail.com
+
+- Reintroduce support for Gtk2 plugins like Flash.
+  + Add pkgconfig(gtk+-2.0) BuildRequires.
+  + No longer pass -DENABLE_PLUGIN_PROCESS_GTK2=OFF to configure.
+  + Split the built plugin to it's own sub-package,
+webkit2gtk3-plugin-process-gtk2, and make sure it's excluded
+from the main package.
+  + Only apply these changes to openSUSE via conditional.
+
+---
+Thu Sep 15 15:37:41 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.13.92:
+  + Add clipboard support in Wayland.
+  + Improve rendering of scrollbars with themes setting a minimum
+width for the scrollbar CSS gadget.
+  + Fix another WebProcess crash when the last WebView is
+destroyed.
+  + Fix the build with GCC 6.
+- Drop webkitgtk-fix-clipboard.patch: Fixed upstream.
+
+---
+Sat Sep 10 07:35:15 UTC 2016 - zai...@opensuse.org
+
+- Add webkitgtk-fix-clipboard.patch: Fix clipboard support in
+  wayland (webkit#146574).
+
+---
+Fri Sep  9 23:46:56 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.13.91:
+  + Improve the performance when resizing the WebView with the
+threaded compositor.
+  + Do not try to use GL_PACK_ROW_LENGTH when compiling with GLES2,
+since it's not available.
+  + Use a different plugins cache file in Wayland and X11.
+  + Fix UI process crash visiting sites protected with HTTP auth
+when using GTK+ < 3.14.
+  + Fix a WebProcess crash when the last WebView is destroyed.
+  + Fix build configure without Wayland support.
+  + Fix the build when compiling with Clang.
+  + Fix several crashes and rendering issues.
+  + Updated translations.
+
+---
+Tue Sep  6 17:05:37 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.13.90:
+  + Add initial implementation of accelerating compositing support
+under Wayland.
+  + Fix performance with the modesetting intel driver and DRI3
+enabled.
+  + Improved performance when resizing the web view on X11.
+  + Fix several crashes and rendering issues.
+  + Updated translations.
+
+---
+Tue Sep  6 17:04:00 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.13.4:
+  + Switched to use the threaded compositor. Accelerated
+compositing mode is now always enabled by default and happens
+in a separate thread in the web process.
+  + Make web view background colors work in accelerated
+compositing mode.
+  + Fix several crashes and rendering issues.
+
+---
+Tue Sep  6 17:03:59 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.13.3:
+  + Fix Web Process deadlocks when loading HLS videos.
+  + Make videos work when painted into a canvas when accelerated
+compositing is enabled.
+  + Fix flickering with animated GIFs.
+  + Fix a Web Process crash when video repaint is requested with
+GStreamer GL enabled.
+  + Reduce the amount of file descriptors that the Web Process
+keeps open.
+  + Make memory pressure handler work when cgroups are not
+available.
+  + Fix several crashes and rendering issues.
+
+---
+Tue Sep  6 17:02:58 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.13.2:
+  + Properly redraw the web view when reparented in force
+compositing mode.
+  + Flip the volume control layout in media controls on RTL.
+  + Add support for video orientation to the GStreamer media
+backend.
+  + Fix several crashes and rendering issues.
+
+---
+Tue Sep  6 17:01:57 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.13.1:
+  + CSS Grid Layout has been unprefixed and can be enabled as an
+experimental feature at runtime.
+  + The HTTP disk cache implements speculative resources
+revalidation.
+  + Add a new WebKitSetting to allow universal access from file
+URLs.
+  + Fix several crashes and rendering issues.
+- Rebase webkitgtk-typelib-sharelib-link.patch.
+- Add 

commit NetworkManager for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package NetworkManager for openSUSE:Factory 
checked in at 2016-09-21 18:45:14

Comparing /work/SRC/openSUSE:Factory/NetworkManager (Old)
 and  /work/SRC/openSUSE:Factory/.NetworkManager.new (New)


Package is "NetworkManager"

Changes:

--- /work/SRC/openSUSE:Factory/NetworkManager/NetworkManager.changes
2016-08-31 00:03:29.0 +0200
+++ /work/SRC/openSUSE:Factory/.NetworkManager.new/NetworkManager.changes   
2016-09-21 18:45:17.0 +0200
@@ -1,0 +2,236 @@
+Sun Sep 18 08:12:16 UTC 2016 - zai...@opensuse.org
+
+- Add even more commits to really fix bgo#770456 to
+  NetworkManager-fix-broadcom-wifi.patch.
+
+---
+Tue Aug 30 20:51:54 UTC 2016 - zai...@opensuse.org
+
+- Add NetworkManager-fix-broadcom-wifi.patch: Broadcom driver does
+  not support the random mac addr introduced. This patch works
+  around the problem (bgo#770456).
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+
+---
+Sun Aug 28 16:18:59 UTC 2016 - dims...@opensuse.org
+
+- Update to version 1.4.0:
+  + The MAC address assigned to a device can now be set according
+to different policies: preserve, permanent, random, stable.
+  + NetworkManager now waits for IPv6 DAD to terminate before
+completing the activation.
+  + Added support for setting IPv6 tokenized interface identifiers
+through the 'ipv6.token' connection property.
+  + Added a 'Reload' D-Bus method to reload configuration and
+reapply DNS configuration.
+  + Added ability to create a configuration checkpoints and rolling
+back changes after a timeout.
+  + NetworkManager now follows symlinks when accessing resolv.conf
+and rc-manager is set to 'file'.
+  + Added support for oFono as modem manager.
+  + The devices now exposes counters of transferred data.
+  + The 'may-fail' property of ipv4 and ipv6 settings is now
+respected more accurately.
+  + The timeout for requests of secrets to agents has been
+increased from 25 to 120 seconds.
+  + Name servers passed to dnsmasq now specify an egress interface
+to avoid problems with multiple active connections.
+  + Reverse DNS entries for IPv6 are now added to dnsmasq, and IPv4
+reverse entries now honor the network prefix.
+  + A new 'dns-priority' property of ipv4 and ipv6 settings can be
+used to tweak the order of servers in resolv.conf when multiple
+connections are active.
+  + configure script accepts --enable-{address,undefined}-sanitizer
+options to build NetworkManager with GCC sanitizers.
+  + The default resolv.conf manager can now be specified at build
+time using the --with-config-dns-rc-manager-default configure
+option.
+  + NetworkManager is now compiled with --gc-sections to reduce
+executable size.
+  + Added a new 'VPN_PLUGIN' logging domain.
+  + It is now possible to change the configuration currently
+applied on a device with 'nmcli device modify' and 'nmcli
+device reapply'.
+  + nmcli invoked without parameters shows an overview of the
+current network configuration.
+  + The 'nmcli connection add' syntax has been extended and is now
+possible to pass properties (e.g. 'ipv4.dns') along with
+aliases.
+  + nmtui now returns to initial menu after a sub-form exits.
+  + Improved bash autocompletion for nmcli.
+  + Now devices are disconnected before the system suspends,
+executing dispatcher scripts. This allows external applications
+to be notified of the change in connectivity.
+  + Dispatcher scripts are now called also when connectivity status
+changes.
+  + Many other fixes and improvements.
+- Pass --with-config-dns-rc-manager-default=netconfig to configure:
+  ensure to use netconfig, which is SUSE's default.
+- Replace pgkconfig(systemd) BuildRequires with
+  pkgconfig(libsystemd), following upstream.
+- Rebase systemd-network-config.patch.
+
+---
+Tue Jul 19 09:29:37 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.2.2:
+  + The dnsmasq DNS management mode now uses D-Bus API of dnsmasq
+to make signal nameserver changes.
+  + Hostname is now correctly read on Slackware.
+  + IPv6 addresses for default wired connections now stay stable.
+  + Reading portname on s390 systems on 4.4 kernels and newer has
+been corrected.
+  + nmcli no longer warns about version mismatches.
+  + Improved developer documentations.
+  + Multiple minor bugfixes.
+  + Updated translations.
+
+---
+Tue Jul 19 09:29:36 UTC 2016 - dims...@opensuse.org
+
+- Update to version 1.2.0:
+  + Bugs 

commit shotwell for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package shotwell for openSUSE:Factory 
checked in at 2016-09-21 18:44:53

Comparing /work/SRC/openSUSE:Factory/shotwell (Old)
 and  /work/SRC/openSUSE:Factory/.shotwell.new (New)


Package is "shotwell"

Changes:

--- /work/SRC/openSUSE:Factory/shotwell/shotwell.changes2016-09-17 
14:34:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.shotwell.new/shotwell.changes   2016-09-21 
18:44:56.0 +0200
@@ -1,0 +2,7 @@
+Tue Sep 20 19:11:21 UTC 2016 - zai...@opensuse.org
+
+- Update to version 0.24.0:
+  + Fix a memory leak in library mode.
+  + Updated translations.
+
+---

Old:

  shotwell-0.23.7.tar.xz

New:

  shotwell-0.24.0.tar.xz



Other differences:
--
++ shotwell.spec ++
--- /var/tmp/diff_new_pack.qGti4n/_old  2016-09-21 18:44:57.0 +0200
+++ /var/tmp/diff_new_pack.qGti4n/_new  2016-09-21 18:44:57.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   shotwell
-Version:0.23.7
+Version:0.24.0
 Release:0
 Summary:Photo Manager for GNOME
 License:LGPL-2.1+
 Group:  Productivity/Graphics/Viewers
 Url:https://wiki.gnome.org/Apps/Shotwell
-Source: 
http://download.gnome.org/sources/shotwell/0.23/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/shotwell/0.24/%{name}-%{version}.tar.xz
 BuildRequires:  libraw-devel-static
 BuildRequires:  itstool
 BuildRequires:  update-desktop-files

++ shotwell-0.23.7.tar.xz -> shotwell-0.24.0.tar.xz ++
 10592 lines of diff (skipped)




commit evince for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package evince for openSUSE:Factory checked 
in at 2016-09-21 18:44:43

Comparing /work/SRC/openSUSE:Factory/evince (Old)
 and  /work/SRC/openSUSE:Factory/.evince.new (New)


Package is "evince"

Changes:

--- /work/SRC/openSUSE:Factory/evince/evince.changes2016-07-21 
07:41:15.0 +0200
+++ /work/SRC/openSUSE:Factory/.evince.new/evince.changes   2016-09-21 
18:44:46.0 +0200
@@ -1,0 +2,62 @@
+Tue Sep 20 18:43:50 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updated translations.
+
+---
+Wed Sep 14 18:03:44 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Add application/vnd.comicbook+zip to the list of mime-types
+supported by the comics backend (bgo#770903).
+  + Fix mime-type comparisons in commics backend (bgo#770903).
+  + The browser plugin no longer claims to support loading
+documents in Wayland.
+  + Fix several memory leaks (bgo#770070, bgo#770069).
+  + Fix scaling calculation in PostScript backend (bgo#755776).
+  + Fix a crash when processing button events in EvView
+(bgo#769700).
+  + Fix a crash when opening a copy of a document with annotation
+popup windows (bgo#760299).
+  + Updated translations.
+
+---
+Wed Jul 20 18:38:27 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + Improve annotation properties dialog UI (bgo#767895).
+  + Center sidebar action menu (bgo#767895).
+  + Make Esc close annotation window (bgo#768448).
+  + Do not hide the fullscreen toolbar when view or action popover
+is shown.
+  + Updated translations.
+
+---
+Mon Jul  4 07:10:43 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + New features and improvements:
+- Fix style rendering issues with GTK+ 3.20 (bgo#765557,
+  bgo#758793).
+- Stop using first page thumbnail as window icon (bgo#767747).
+- Scroll pages fitting in the window in non-continuous mode
+  (bgo#562257).
+- Show the document URI on a tooltip for recent view items
+  (bgo#764405).
+- Add Keyboard Shortcuts entry to App Menu (bgo#761803).
+- Make the systemd user unit conditional (bgo#755897).
+- Allow to pass URIs to the previewer (bgo#766531).
+- Remove the MimeType association from the previewer desktop
+  file (bgo#744893).
+  + Bugs fixed: 
+- Fix build with GCC 6.
+- Fix calculation of the maximum width of page selector
+  (bgo#764771).
+- Fix typo in zoom in/out gesture shortcuts (bgo#761803).
+- Remove X11 depedency of nautilus extension (bgo#766710).
+  + Updated translations.
+- Stop passing V=1 to make, debugging is done locally.
+- Remove a conditional tweak for old and no longer supported
+  versions of openSUSE.
+
+---

Old:

  evince-3.20.1.tar.xz

New:

  evince-3.22.0.tar.xz



Other differences:
--
++ evince.spec ++
--- /var/tmp/diff_new_pack.aBDbwP/_old  2016-09-21 18:44:47.0 +0200
+++ /var/tmp/diff_new_pack.aBDbwP/_new  2016-09-21 18:44:47.0 +0200
@@ -19,13 +19,13 @@
 %define _major_version 3.0
 %define pluginAPI 4
 Name:   evince
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:GNOME Document Viewer
 License:GPL-2.0+
 Group:  Productivity/Office/Other
 Url:http://www.gnome.org/projects/evince/
-Source: 
http://download.gnome.org/sources/evince/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/evince/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  ghostscript-fonts-std
@@ -222,13 +222,10 @@
 --enable-nautilus\
 --enable-introspection \
 --enable-multimedia
-make V=1 %{?_smp_mflags}
+make %{?_smp_mflags}
 
 %install
 %make_install
-%if 0%{?suse_version} <= 1120
-rm %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
-%endif
 %if 0%{?suse_version} > 1320
 %find_lang %{name} %{?no_lang_C} --metainfo %{name}
 %else

++ evince-3.20.1.tar.xz -> evince-3.22.0.tar.xz ++
 64931 lines of diff (skipped)




commit libgnomekbd for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package libgnomekbd for openSUSE:Factory 
checked in at 2016-09-21 18:44:31

Comparing /work/SRC/openSUSE:Factory/libgnomekbd (Old)
 and  /work/SRC/openSUSE:Factory/.libgnomekbd.new (New)


Package is "libgnomekbd"

Changes:

--- /work/SRC/openSUSE:Factory/libgnomekbd/libgnomekbd.changes  2012-10-03 
15:09:45.0 +0200
+++ /work/SRC/openSUSE:Factory/.libgnomekbd.new/libgnomekbd.changes 
2016-09-21 18:44:32.0 +0200
@@ -1,0 +2,18 @@
+Tue Sep 20 17:15:44 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0.1:
+  + Fix non-installed gschemas.
+- Changes from version 3.22.0:
+  + No changes.
+
+---
+Wed Sep 14 20:52:22 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Draw keys with invalid keycodes.
+  + Fix modifier key pressed state.
+  + Build system and minor code cleanups.
+  + Avoid crashes on wayland sessions.
+  + Updated translations.
+
+---

Old:

  libgnomekbd-3.6.0.tar.xz

New:

  libgnomekbd-3.22.0.1.tar.xz



Other differences:
--
++ libgnomekbd.spec ++
--- /var/tmp/diff_new_pack.jdW64i/_old  2016-09-21 18:44:34.0 +0200
+++ /var/tmp/diff_new_pack.jdW64i/_new  2016-09-21 18:44:34.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libgnomekbd
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,13 +17,13 @@
 
 
 Name:   libgnomekbd
-Version:3.6.0
+Version:3.22.0.1
 Release:0
 Summary:GNOME Keyboard Library
 License:LGPL-2.1+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org/
-Source: 
http://download.gnome.org/sources/libgnomekbd/3.6/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/libgnomekbd/3.22/%{name}-%{version}.tar.xz
 # PATCH-FEATURE-OPENSUSE libgnomekbd-default-group-switch.patch 
vu...@opensuse.org -- We use shifts_toggle to switch between groups in openSUSE
 Patch0: libgnomekbd-default-group-switch.patch
 # For %%desktop_database_* macros

++ libgnomekbd-3.6.0.tar.xz -> libgnomekbd-3.22.0.1.tar.xz ++
 45540 lines of diff (skipped)




commit gjs for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gjs for openSUSE:Factory checked in 
at 2016-09-21 18:44:18

Comparing /work/SRC/openSUSE:Factory/gjs (Old)
 and  /work/SRC/openSUSE:Factory/.gjs.new (New)


Package is "gjs"

Changes:

--- /work/SRC/openSUSE:Factory/gjs/gjs.changes  2016-07-27 16:07:36.0 
+0200
+++ /work/SRC/openSUSE:Factory/.gjs.new/gjs.changes 2016-09-21 
18:44:21.0 +0200
@@ -1,0 +2,7 @@
+Tue Sep 20 18:18:52 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.46.0:
+  + Be future proof against Format fixes in SpiderMonkey
+(bgo#770111).
+
+---

Old:

  gjs-1.45.4.tar.xz

New:

  gjs-1.46.0.tar.xz



Other differences:
--
++ gjs.spec ++
--- /var/tmp/diff_new_pack.LYZItR/_old  2016-09-21 18:44:22.0 +0200
+++ /var/tmp/diff_new_pack.LYZItR/_new  2016-09-21 18:44:22.0 +0200
@@ -17,14 +17,14 @@
 
 
 Name:   gjs
-Version:1.45.4
+Version:1.46.0
 Release:0
 # FIXME: find out if tapsets should really be in devel package or in main 
package
 Summary:JavaScript bindings based on gobject-introspection and Mozilla
 License:MIT
 Group:  Development/Libraries/GNOME
 Url:http://live.gnome.org/Gjs
-Source: 
http://download.gnome.org/sources/gjs/1.45/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gjs/1.46/%{name}-%{version}.tar.xz
 BuildRequires:  gcc-c++
 BuildRequires:  python
 BuildRequires:  readline-devel

++ gjs-1.45.4.tar.xz -> gjs-1.46.0.tar.xz ++
 24466 lines of diff (skipped)




commit vala for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package vala for openSUSE:Factory checked in 
at 2016-09-21 18:44:08

Comparing /work/SRC/openSUSE:Factory/vala (Old)
 and  /work/SRC/openSUSE:Factory/.vala.new (New)


Package is "vala"

Changes:

--- /work/SRC/openSUSE:Factory/vala/vala.changes2016-07-01 
09:53:13.0 +0200
+++ /work/SRC/openSUSE:Factory/.vala.new/vala.changes   2016-09-21 
18:44:09.0 +0200
@@ -1,0 +2,16 @@
+Mon Sep 19 18:19:52 UTC 2016 - zai...@opensuse.org
+
+- Update to version 0.34.0:
+  + Bug fixes and binding updates.
+- Update update alternatives due to moved location of vapigen.pc
+
+---
+Wed Sep 14 15:00:21 UTC 2016 - dims...@opensuse.org
+
+- Update to version 0.33.1:
+  + Bug fixes and binding updates.
+- Bump vala_version to 0.34, vala_libversion to 0_34 (following
+  upstream) and vala_priority to 34 (following the vala packaging
+  convention).
+
+---

Old:

  vala-0.32.1.tar.xz

New:

  vala-0.34.0.tar.xz



Other differences:
--
++ vala.spec ++
--- /var/tmp/diff_new_pack.OHzfZS/_old  2016-09-21 18:44:10.0 +0200
+++ /var/tmp/diff_new_pack.OHzfZS/_new  2016-09-21 18:44:10.0 +0200
@@ -17,19 +17,19 @@
 
 
 Name:   vala
-Version:0.32.1
+Version:0.34.0
 Release:0
-%define vala_version 0.32
-%define vala_libversion 0_32
+%define vala_version 0.34
+%define vala_libversion 0_34
 # The priority defines which version of vala, in case of multiple ones are 
installed
 # is to be used by default. The rule-of-thumb for vala is to use MAJORMINOR 
without
 # decimal separator, hoping they will not get to the idea to create a 0.100 
release.
-%define vala_priority 32
+%define vala_priority 34
 Summary:Programming language for GNOME
 License:LGPL-2.0
 Group:  Development/Languages/Other
 Url:http://live.gnome.org/Vala
-Source0:
http://download.gnome.org/sources/vala/0.32/%{name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/vala/0.34/%{name}-%{version}.tar.xz
 BuildRequires:  bison
 BuildRequires:  fdupes
 BuildRequires:  flex
@@ -40,7 +40,7 @@
 # Vala is a compiler, so it's also a devel package
 Provides:   vala-devel = %{version}
 Obsoletes:  vala-devel < %{version}
-# provide generic pkgconfig(vapigen) instead of -version one; not 
auto-detected due to %{_datadir}/pkgconfig/vapigen.pc being %ghost
+# provide generic pkgconfig(vapigen) instead of -version one; not 
auto-detected due to %%{_datadir}/pkgconfig/vapigen.pc being %%ghost
 Provides:   pkgconfig(vapigen) = %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -91,7 +91,7 @@
 ln -s -f %{_sysconfdir}/alternatives/valac.1.gz 
%{buildroot}%{_mandir}/man1/valac.1.gz
 ln -s -f %{_sysconfdir}/alternatives/vala-gen-introspect.1.gz 
%{buildroot}%{_mandir}/man1/vala-gen-introspect.1.gz
 ln -s -f %{_sysconfdir}/alternatives/vapigen.1.gz 
%{buildroot}%{_mandir}/man1/vapigen.1.gz
-ln -s -f %{_sysconfdir}/alternatives/vapigen.pc 
%{buildroot}%{_datadir}/pkgconfig/vapigen.pc
+ln -s -f %{_sysconfdir}/alternatives/vapigen.pc 
%{buildroot}%{_libdir}/pkgconfig/vapigen.pc
 %fdupes %{buildroot}%{_datadir}
 
 %post
@@ -105,7 +105,7 @@
   --slave   %{_mandir}/man1/valac.1.gz   valac.1.gz   
%{_mandir}/man1/valac-%{vala_version}.1.gz \
   --slave   %{_mandir}/man1/vala-gen-introspect.1.gz vala-gen-introspect.1.gz 
%{_mandir}/man1/vala-gen-introspect-%{vala_version}.1.gz \
   --slave   %{_mandir}/man1/vapigen.1.gz vapigen.1.gz 
%{_mandir}/man1/vapigen-%{vala_version}.1.gz \
-  --slave   %{_datadir}/pkgconfig/vapigen.pc vapigen.pc   
%{_datadir}/pkgconfig/vapigen-%{vala_version}.pc
+  --slave   %{_libdir}/pkgconfig/vapigen.pc  vapigen.pc   
%{_libdir}/pkgconfig/vapigen-%{vala_version}.pc
 
 %postun
 # Note: we don't use "$1 -eq 0", to avoid issues if the package gets renamed
@@ -128,7 +128,7 @@
 %{_mandir}/man1/valac.1*
 %{_mandir}/man1/vala-gen-introspect.1*
 %{_mandir}/man1/vapigen.1*
-%{_datadir}/pkgconfig/vapigen.pc
+%{_libdir}/pkgconfig/vapigen.pc
 %ghost %attr(755,root,root) %{_sysconfdir}/alternatives/vala
 %ghost %attr(755,root,root) %{_sysconfdir}/alternatives/valac
 %ghost %attr(755,root,root) %{_sysconfdir}/alternatives/vala-gen-introspect
@@ -148,7 +148,7 @@
 %{_mandir}/man1/vapigen-%{vala_version}.1*
 %{_datadir}/aclocal/vala.m4
 %{_datadir}/aclocal/vapigen.m4
-%{_datadir}/pkgconfig/vapigen-%{vala_version}.pc
+%{_libdir}/pkgconfig/vapigen-%{vala_version}.pc
 

commit gnome-control-center for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-control-center for 
openSUSE:Factory checked in at 2016-09-21 18:43:34

Comparing /work/SRC/openSUSE:Factory/gnome-control-center (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-control-center.new (New)


Package is "gnome-control-center"

Changes:

--- 
/work/SRC/openSUSE:Factory/gnome-control-center/gnome-control-center.changes
2016-09-05 21:18:06.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gnome-control-center.new/gnome-control-center.changes
   2016-09-21 18:43:37.0 +0200
@@ -1,0 +2,93 @@
+Tue Sep 20 16:06:53 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.22.0:
+  + Network:
+- Only show a gateway entry for the first IPv4 address,
+  NetworkManager ignored every subsequent ones, but we still
+  had a UI for those.
+- Fix application of the default gateway.
+- Fix possible crashes when editing IPv4 gateways or routes.
+  + Power:
+- Fix "automatic suspend" label not taking batteries into
+  account.
+- Fix initial state of the Wi-Fi switch.
+  + Updated translations.
+
+---
+Sun Sep 18 05:47:23 UTC 2016 - fezh...@suse.com
+
+- Rebase gnome-control-center-890979-change-remote-passwd.patch on
+  3.21.92.
+
+---
+Fri Sep 16 16:52:17 UTC 2016 - fezh...@suse.com
+
+- Add gnome-control-center-info-never-use-gnome-software.patch:
+  On SLE12-SP2 and Leap42.2, never search for gnome-software as an
+  option when checking for updates in info panel, because we use
+  gpk-update-viewer (bsc#999336).
+
+---
+Tue Sep 13 20:23:53 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Privacy: Fix quoting of distro name and privacy URL.
+  + Network:
+- Fix warning when enabling hotspot.
+- Fix saving of IPv6 gateway.
+- Fix warning if IPv6 gateway is empty.
+- Fix IPv6 settings not being applicable when method changes.
+- Return better error when 8021x security is invalid.
+- Avoid warning when ad-hoc mode is invalid.
+- Re-set the SSID when enabling the Hotspot.
+- Fix crash when changing IPv4 DNS.
+  + Keyboard:
+- Many UI changes following up from the panel redesign.
+- Don't grab the mouse pointer when capturing shortcuts.
+- Don't regrab the keyboard after an event if already grabbed.
+- Fix grabs not working when initially showing the dialog.
+- Don't apply "Backspace" straight away.
+- Allow Tab and Super in accels.
+- Normalise Shift and Tab in shortcuts.
+- Fix shortcut label in RTL languages.
+  + Region: Avoid a crash on panel destruction.
+
+---
+Thu Sep  8 12:51:17 UTC 2016 - dims...@opensuse.org
+
+- Rebase and re-enable
+  gnome-control-center-allow-extra-tools-in-shell.patch.
+
+---
+Wed Sep  7 16:19:11 UTC 2016 - zai...@opensuse.org
+
+- Disable gnome-control-center-allow-extra-tools-in-shell.patch:
+  Needs rebase.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+
+---
+Tue Sep  6 11:13:28 UTC 2016 - dims...@opensuse.org
+
+- Drop gnome-control-center-hide-firewall-zone-entry.patch: no
+  longer needed, since upstream code now checks if firewalld is
+  running and hides the widgets dynamically.
+
+---
+Sat Sep  3 16:10:21 UTC 2016 - fezh...@suse.com
+
+- Update gnome-control-center-add-alacarte-for-sle.patch:
+  Rebase on top of rebased
+  gnome-control-center-allow-extra-tools-in-shell.patch.
+
+---
+Fri Sep  2 13:03:45 UTC 2016 - fezh...@suse.com
+
+- Update gnome-control-center-allow-extra-tools-in-shell.patch:
+  + Fix leak of strings.
+  + Add tools with category X-GNOME-DesktopSettings into the
+personal g-c-c category to enable itweb-settings.
+  + Disable logspam in absence of optional components (bnc#866235
+bsc#952008).
+
+---
@@ -5,0 +99,83 @@
+--
+Wed Aug 31 19:06:25 UTC 2016 - zai...@opensuse.org
+
+- Drop long disabled and no longer needed patches:
+  + gnome-control-center-system-proxy-configuration.patch.
+  + gcc-private-connection.patch.
+
+---
+Fri Aug 26 13:24:49 UTC 2016 - badshah...@gmail.com
+
+- Update to version 3.21.90:
+  + Fix truncated panel names for larger fonts.

commit libgdata for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package libgdata for openSUSE:Factory 
checked in at 2016-09-21 18:43:47

Comparing /work/SRC/openSUSE:Factory/libgdata (Old)
 and  /work/SRC/openSUSE:Factory/.libgdata.new (New)


Package is "libgdata"

Changes:

--- /work/SRC/openSUSE:Factory/libgdata/libgdata.changes2016-07-12 
23:49:06.0 +0200
+++ /work/SRC/openSUSE:Factory/.libgdata.new/libgdata.changes   2016-09-21 
18:43:49.0 +0200
@@ -1,0 +2,9 @@
+Tue Sep 20 16:59:13 UTC 2016 - zai...@opensuse.org
+
+- Update to version 0.17.6:
+  + Minor test case fixes.
+  + Fix a download crash on zero-length files.
+  + Bugs fixed: bgo#768278, bgo#768363, bgo#768282, bgo#769727.
+  + Updated translations.
+
+---

Old:

  libgdata-0.17.5.tar.xz

New:

  libgdata-0.17.6.tar.xz



Other differences:
--
++ libgdata.spec ++
--- /var/tmp/diff_new_pack.XkKqGR/_old  2016-09-21 18:43:50.0 +0200
+++ /var/tmp/diff_new_pack.XkKqGR/_new  2016-09-21 18:43:50.0 +0200
@@ -20,7 +20,7 @@
 %define _sover 22
 
 Name:   libgdata
-Version:0.17.5
+Version:0.17.6
 Release:0
 Summary:GLib-based library for accessing online service APIs using the 
GData protocol
 License:LGPL-2.1+

++ libgdata-0.17.5.tar.xz -> libgdata-0.17.6.tar.xz ++
 28237 lines of diff (skipped)




commit gnome-user-share for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-user-share for 
openSUSE:Factory checked in at 2016-09-21 18:43:57

Comparing /work/SRC/openSUSE:Factory/gnome-user-share (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-user-share.new (New)


Package is "gnome-user-share"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-user-share/gnome-user-share.changes
2016-06-03 16:30:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-user-share.new/gnome-user-share.changes   
2016-09-21 18:43:58.0 +0200
@@ -1,0 +2,13 @@
+Tue Sep 20 18:02:39 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.18.3:
+  + Fix possible unexpanded path in .desktop file.
+
+---
+Wed Aug 31 17:03:41 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.18.2:
+  + Add a way for gnome-user-share to be started via user systemd.
+- Add pkgconfig(systemd) BuildRequies: New dependency.
+
+---

Old:

  gnome-user-share-3.18.1.tar.xz

New:

  gnome-user-share-3.18.3.tar.xz



Other differences:
--
++ gnome-user-share.spec ++
--- /var/tmp/diff_new_pack.vIn7U1/_old  2016-09-21 18:43:59.0 +0200
+++ /var/tmp/diff_new_pack.vIn7U1/_new  2016-09-21 18:43:59.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gnome-user-share
-Version:3.18.1
+Version:3.18.3
 Release:0
 Summary:GNOME user file sharing
 License:GPL-2.0+
@@ -34,6 +34,7 @@
 BuildRequires:  pkgconfig(libcanberra-gtk3)
 BuildRequires:  pkgconfig(libnautilus-extension)
 BuildRequires:  pkgconfig(libnotify)
+BuildRequires:  pkgconfig(systemd)
 Requires:   bluez >= 5.0
 Recommends: %{name}-lang
 Suggests:   apache2-mod_dnssd
@@ -98,6 +99,7 @@
 %{_libdir}/nautilus/extensions-3.0/libnautilus-share-extension.so
 %{_datadir}/GConf/gsettings/gnome-user-share.convert
 %{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
+%{_userunitdir}/gnome-user-share-webdav.service
 
 %files lang -f %{name}.lang
 

++ gnome-user-share-3.18.1.tar.xz -> gnome-user-share-3.18.3.tar.xz ++
 9195 lines of diff (skipped)




commit gnome-tweak-tool for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-tweak-tool for 
openSUSE:Factory checked in at 2016-09-21 18:43:11

Comparing /work/SRC/openSUSE:Factory/gnome-tweak-tool (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-tweak-tool.new (New)


Package is "gnome-tweak-tool"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-tweak-tool/gnome-tweak-tool.changes
2016-08-12 15:35:32.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-tweak-tool.new/gnome-tweak-tool.changes   
2016-09-21 18:43:13.0 +0200
@@ -1,0 +2,17 @@
+Tue Sep 20 15:55:55 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Add XKB options that are not in the 3.22 Keyboard panel.
+  + Updated translations.
+
+---
+Mon Sep  5 17:04:28 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + Add a mouse acceleration profile tweak.
+  + Add a proper title to the main window.
+  + Use the new org.gnome.desktop.calendar schema.
+  + Fix screenshot link in appdata.
+  + Updated translations.
+
+---

Old:

  gnome-tweak-tool-3.20.1.tar.xz

New:

  gnome-tweak-tool-3.22.0.tar.xz



Other differences:
--
++ gnome-tweak-tool.spec ++
--- /var/tmp/diff_new_pack.t19WlD/_old  2016-09-21 18:43:14.0 +0200
+++ /var/tmp/diff_new_pack.t19WlD/_new  2016-09-21 18:43:14.0 +0200
@@ -18,13 +18,13 @@
 
 
 Name:   gnome-tweak-tool
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:A tool to customize advanced GNOME 3 options
 License:GPL-3.0+
 Group:  System/GUI/GNOME
 Url:http://live.gnome.org/GnomeTweakTool
-Source0:
http://download.gnome.org/sources/gnome-tweak-tool/3.20/%{name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/gnome-tweak-tool/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 # Needed to have typelib() Requires
 BuildRequires:  gobject-introspection

++ gnome-tweak-tool-3.20.1.tar.xz -> gnome-tweak-tool-3.22.0.tar.xz ++
 8008 lines of diff (skipped)




commit gnome-settings-daemon for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-settings-daemon for 
openSUSE:Factory checked in at 2016-09-21 18:43:24

Comparing /work/SRC/openSUSE:Factory/gnome-settings-daemon (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-settings-daemon.new (New)


Package is "gnome-settings-daemon"

Changes:

--- 
/work/SRC/openSUSE:Factory/gnome-settings-daemon/gnome-settings-daemon.changes  
2016-08-29 14:27:08.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gnome-settings-daemon.new/gnome-settings-daemon.changes
 2016-09-21 18:43:25.0 +0200
@@ -1,0 +2,84 @@
+Tue Sep 20 16:10:11 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.22.0:
+  + Fix possible problem with battery and mains timeouts.
+  + Updated translations.
+
+---
+Wed Sep 14 13:38:34 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92.1:
+  + Fix a build problem in the smartcard plugin.
+
+---
+Tue Sep 13 21:06:34 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Use systemd to track running services in the Sharing plugin.
+  + Updated translations.
+- Only apply gnome-settings-daemon-shutdown-with-power-button.patch
+  on SLE and Leap. Following this, conditionally BuildRequires
+  gnome-common for SLE and Leap only.
+- Add gtk-doc BuildRequires: gnome-common was pulling it in before.
+- Rename sle-configure-timeout-blank.patch to
+  gnome-settings-daemon-sle-configure-timeout-blank.patch, align
+  patchname with our standard.
+- Stop passing V=1 to make, we do debugging locally.
+
+---
+Mon Sep 12 11:19:11 UTC 2016 - fezh...@suse.com
+
+- Rebase gnome-settings-daemon-revert-libinput-mandatory.patch
+  for version 3.21.90.
+
+---
+Mon Sep 12 10:07:53 UTC 2016 - fezh...@suse.com
+
+- Rename gnome-settings-daemon-shutdown-with-power-button.patch to
+  gnome-settings-daemon-more-power-button-actions.patch:
+  Also add back the "interactive" power button action for
+  consistency with SLES11 behavior (bsc#996342).
+
+---
+Thu Sep  8 12:39:50 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Color: Ignore fake VNC devices.
+  + Housekeeping: Code cleanups.
+  + Media keys:
+- Add Super+F1 as a hardcoded shortcut for launching Help.
+- Update gvc to fix a crash setting a headset.
+  + Power: Don't claim the light sensor if we're not active.
+  + Smartcard:
+- Complete activation task right away if no drivers.
+- Fix crash on startup.
+  + Wacom:
+- Fix hot(un)plug related crashes.
+- Fix memory leaks.
+  + XSettings: Fix keynav-use-caret setting not working.
+
+---
+Thu Sep  8 11:49:13 UTC 2016 - dims...@opensuse.org
+
+- Also apply gnome-settings-daemon-shutdown-with-power-button.patch
+  on openSUSE (boo#993381).
+
+---
+Wed Sep  7 12:44:12 UTC 2016 - fezh...@suse.com
+
+- Add gnome-settings-daemon-shutdown-with-power-button.patch:
+  Bring back "shutdown" as a configurable choice for power button.
+  Even though upstream removed it due to "too destructive" and
+  recommends using a custom shortcut, we still need it for bare
+  metal servers without keyboards attched (bsc#996342).
+  Check bgo#753713, bgo#755953 to learn why upstream removed the
+  power button actions.
+
+---
+Fri Aug 26 11:55:29 UTC 2016 - dims...@opensuse.org
+
+- Call autoreconf on SLE12 and Leap 42.x:
+  gnome-settings-daemon-bring-back-updates-plugin.patch is also
+  applied on Leap, hence autoreconf needs to run there too.
+
+---
@@ -66 +149,0 @@
-
@@ -68,2 +150,0 @@
-- Add gnome-settings-daemon-revert-libinput-mandatory.patch: do not
-  force libinput driver on SLE.

Old:

  gnome-settings-daemon-3.20.1.tar.xz
  sle-configure-timeout-blank.patch

New:

  gnome-settings-daemon-3.22.0.tar.xz
  gnome-settings-daemon-more-power-button-actions.patch
  gnome-settings-daemon-sle-configure-timeout-blank.patch



Other differences:
--
++ gnome-settings-daemon.spec ++
--- /var/tmp/diff_new_pack.02RFqW/_old  2016-09-21 18:43:26.0 +0200
+++ /var/tmp/diff_new_pack.02RFqW/_new  2016-09-21 18:43:26.0 +0200
@@ -30,28 +30,33 @@
 %endif
 
 Name:   gnome-settings-daemon
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary: 

commit totem-pl-parser for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package totem-pl-parser for openSUSE:Factory 
checked in at 2016-09-21 18:42:47

Comparing /work/SRC/openSUSE:Factory/totem-pl-parser (Old)
 and  /work/SRC/openSUSE:Factory/.totem-pl-parser.new (New)


Package is "totem-pl-parser"

Changes:

--- /work/SRC/openSUSE:Factory/totem-pl-parser/totem-pl-parser.changes  
2015-12-27 01:57:08.0 +0100
+++ /work/SRC/openSUSE:Factory/.totem-pl-parser.new/totem-pl-parser.changes 
2016-09-21 18:42:50.0 +0200
@@ -1,0 +2,9 @@
+Tue Sep 20 12:01:47 UTC 2016 - dims...@opensuse.org
+
+- Update to 3.10.7:
+  + Don't consider M3U playlists as text/plain.
+  + Simplify ITMS link parsing.
+  + Fix mmap error checking.
+  + Build fixes.
+
+---

Old:

  totem-pl-parser-3.10.6.tar.xz

New:

  totem-pl-parser-3.10.7.tar.xz



Other differences:
--
++ totem-pl-parser.spec ++
--- /var/tmp/diff_new_pack.xRVS2y/_old  2016-09-21 18:42:51.0 +0200
+++ /var/tmp/diff_new_pack.xRVS2y/_new  2016-09-21 18:42:51.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package totem-pl-parser
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   totem-pl-parser
-Version:3.10.6
+Version:3.10.7
 Release:0
 Summary:A simple GObject-based library to parse playlist formats
 License:LGPL-2.0+

++ totem-pl-parser-3.10.6.tar.xz -> totem-pl-parser-3.10.7.tar.xz ++
 3990 lines of diff (skipped)




commit gtk3 for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gtk3 for openSUSE:Factory checked in 
at 2016-09-21 18:43:00

Comparing /work/SRC/openSUSE:Factory/gtk3 (Old)
 and  /work/SRC/openSUSE:Factory/.gtk3.new (New)


Package is "gtk3"

Changes:

--- /work/SRC/openSUSE:Factory/gtk3/gtk3.changes2016-09-05 
21:14:11.0 +0200
+++ /work/SRC/openSUSE:Factory/.gtk3.new/gtk3.changes   2016-09-21 
18:43:02.0 +0200
@@ -1,0 +2,187 @@
+Tue Sep 20 14:05:03 UTC 2016 - dims...@opensuse.org
+
+- Add gtk3-widget-warn-consistency-check-only.patch: widget: Only
+  warn about missing allocation if G_ENABLE_CONSISTENCY_CHECKS. The
+  previously chosen G_ENABLE_DEBUG is by default set on gtk+ unless
+  it is explicitly disabled by configure --disable-debug. As the
+  default is too noisy, we move it to a flag that is only switched
+  on by configure --enable-debug.
+
+---
+Mon Sep 19 23:07:34 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Reduce some noisy warnings.
+  + Improve positioning and sizing of popups on Wayland.
+  + Update Adwaita assets.
+  + Bugs fixed: bgo#602773, bgo#771117, bgo#771349, bgo#771568,
+bgo#771561.
+  + Updated translations.
+
+---
+Tue Sep 13 19:19:33 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.6:
+  + GtkScrolledWindow sizing behavior has been changed back to the
+previous behavior, with new API to change it.
+  + Some GtkPopover size allocation problems have been fixed.
+  + Wayland: We require xdg-shell version 6 now.
+  + Bugs fixed: bgo#764979, bgo#766569, bgo#767391, bgo#769498,
+bgo#770278, bgo#770508, bgo#770614, bgo#770624, bgo#770703,
+bgo#770745, bgo#770849, bgo#770906, bgo#771033.
+  + Updated translations.
+
+---
+Tue Aug 30 10:23:12 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.5:
+  + Make GtkShortcutLabel public.
+  + Add an API to obtain window IDs for sharing.
+  + Add explicit API to show/hide popovers with animation.
+  + Wayland:
+- Switch to xdg-shell v6.
+- Use tablet pad protocol to support Wacom tablets fully.
+- Use the xdg_foreign protocol to export window handles.
+- Improve menu positioning.
+- Improve handling of tiled window state.
+  + Add GtkPadController to bind GActions to tablet pad events.
+  + Bugs fixed: bgo#569581, bgo#712760, bgo#755947, bgo#756579,
+bgo#762260, bgo#764413, bgo#768017, bgo#768081, bgo#768138,
+bgo#768722, bgo#768902, bgo#768930, bgo#768999, bgo#769003,
+bgo#769004, bgo#769047, bgo#769126, bgo#769162, bgo#769205,
+bgo#769236, bgo#769287, bgo#769402, bgo#769451, bgo#769485,
+bgo#769568, bgo#769601, bgo#769603, bgo#769706, bgo#769937,
+bgo#770026, bgo#770166, bgo#770236, bgo#770242, bgo#770332,
+bgo#770374, bgo#769788, bgo#770458, bgo#770550, bgo#770307.
+  + Updated translations.
+
+---
+Wed Aug 17 15:47:40 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + GtkHeaderBar supports expanding children.
+  + GtkPrintDialog respects initially set capabilities.
+  + GtkApplication supports registering with the Xfce session
+manager.
+  + Keep firefox working after the introduction of
+GdkDrawingContext.
+  + css: Support for background-blend-mode has been added.
+  + Wayland: Fix some interoperability issues in clipboard
+handling.
+  + Sandboxing:
+- GtkFileChooserNative gained portal support.
+- GtkPrintOperation gained portal support.
+- gtk_show_uri gained portal support.
+- GtkApplication gained portal support for inhibiting.
+  + New APIs:
+- gtk_show_uri_on_window.
+- gtk_file_filter_to/from_gvariant.
+- gtk_file_chooser_add/remove/set/get_choice.
+- gtk_print_settings_to/from_gvariant.
+- gtk_paper_size_to/from_gvariant.
+- gtk_page_setup_to/from_gvariant.
+  + Bugs fixed: bgo#693203, bgo#724332, bgo#767849, bgo#767851,
+bgo#767965, bgo#768016, bgo#768025, bgo#768082, bgo#768142,
+bgo#768184, bgo#768485, bgo#768499, bgo#768546, bgo#768657,
+bgo#768659, bgo#768756.
+  + Updated translations.
+- Stop passing V=1 to make, debugging is local, no need to clutter
+  obs build logs.
+
+---
+Wed Aug 17 15:47:39 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + GtkStack now has its own accessible implementation which only
+shows the currently visible child.
+  + The GtkSizeGroup::ignore-hidden property has been documented as
+not working.
+  + GDK_SOURCE_TRACKPOINT has been added to the GdkInputSource
+enumeration to allow special-casing 

commit gobject-introspection for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gobject-introspection for 
openSUSE:Factory checked in at 2016-09-21 18:42:37

Comparing /work/SRC/openSUSE:Factory/gobject-introspection (Old)
 and  /work/SRC/openSUSE:Factory/.gobject-introspection.new (New)


Package is "gobject-introspection"

Changes:

--- 
/work/SRC/openSUSE:Factory/gobject-introspection/gobject-introspection.changes  
2016-08-31 00:03:59.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gobject-introspection.new/gobject-introspection.changes
 2016-09-21 18:42:40.0 +0200
@@ -1,0 +2,28 @@
+Tue Sep 20 11:39:52 UTC 2016 - dims...@opensuse.org
+
+- Update to version 1.50.0:
+  + Updated translations.
+
+---
+Tue Sep 13 20:10:14 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.49.2:
+  + gir: Update annotations from GLib git master.
+  + gthash: free cmph objects.
+  + g-ir-inspect:
+- Make description for --version a bit better.
+- Remove last usage of g_autoptr().
+
+---
+Wed Aug  3 21:14:35 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.49.1:
+  + gir: Update annotations from GLib 2.49.4.
+  + Various MSVC build fixes.
+  + g-ir-inspect: Inspect GI typelibs.
+- Drop g-ir-dep-tool.patch: Fix upstream in a different way.
+- Rebase gi-find-deps.sh to to conform to upstreams commits.
+- Following the above: drop libtool BuildRequires and stop passing
+  autoreconf pre configure, no longer needed.
+
+---

Old:

  g-ir-dep-tool.patch
  gobject-introspection-1.48.0.tar.xz

New:

  gobject-introspection-1.50.0.tar.xz



Other differences:
--
++ gobject-introspection.spec ++
--- /var/tmp/diff_new_pack.367PkY/_old  2016-09-21 18:42:41.0 +0200
+++ /var/tmp/diff_new_pack.367PkY/_new  2016-09-21 18:42:41.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gobject-introspection
-Version:1.48.0
+Version:1.50.0
 Release:0
 # FIXME: Find a way to identify if we need python3-gobject or python-gobject 
from gi-find-deps.sh.
 # FIXME: when bgo#629930 gets fixed, move the appropriate pkg-config files to 
the main package and rename the devel package to libgirepository-devel
@@ -25,22 +25,18 @@
 License:LGPL-2.1+ and GPL-2.0+
 Group:  Development/Libraries/GNOME
 Url:http://live.gnome.org/GObjectIntrospection
-Source0:
http://download.gnome.org/sources/gobject-introspection/1.48/%{name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/gobject-introspection/1.50/%{name}-%{version}.tar.xz
 # gi-find-deps.sh is a rpm helper for Provides and Requires. Script creates 
typelib()-style Provides/Requires.
 Source1:gi-find-deps.sh
 Source2:gobjectintrospection.attr
 Source3:gobject-introspection-typelib.template
 Source98:   baselibs.conf
 Source99:   %{name}-rpmlintrc
-# PATCH-FIX-UPSTREAM g-ir-dep-tool.patch bgo#665672 dims...@opensuse.org -- 
Add g-ir-dep-tool to get further automatic dependencies.
-Patch0: g-ir-dep-tool.patch
 BuildRequires:  bison
 BuildRequires:  fdupes
 BuildRequires:  flex
 BuildRequires:  gtk-doc
 BuildRequires:  libffi-devel
-# needed for patch0
-BuildRequires:  libtool
 BuildRequires:  python-Mako
 BuildRequires:  python-devel >= 2.7
 BuildRequires:  python-xml
@@ -97,11 +93,8 @@
 
 %prep
 %setup -q
-%patch0 -p1
 
 %build
-# needed for patch0
-autoreconf -fi
 %configure \
 --enable-gtk-doc \
 --disable-static \
@@ -130,9 +123,9 @@
 %doc AUTHORS CONTRIBUTORS COPYING COPYING.GPL NEWS README TODO
 %{_bindir}/g-ir-annotation-tool
 %{_bindir}/g-ir-compiler
-%{_bindir}/g-ir-dep-tool
 %{_bindir}/g-ir-doc-tool
 %{_bindir}/g-ir-generate
+%{_bindir}/g-ir-inspect
 %{_bindir}/g-ir-scanner
 %doc %{_mandir}/man1/g-ir-compiler.1*
 %doc %{_mandir}/man1/g-ir-generate.1*

++ gi-find-deps.sh ++
--- /var/tmp/diff_new_pack.367PkY/_old  2016-09-21 18:42:41.0 +0200
+++ /var/tmp/diff_new_pack.367PkY/_new  2016-09-21 18:42:41.0 +0200
@@ -147,7 +147,7 @@
split_name_version $(basename $1 | sed 's,.typelib$,,')
oldIFS=$IFS
IFS=$'\n'
-   for req in $(g-ir-dep-tool $symbol $version); do
+   for req in $(g-ir-inspect --print-shlibs --print-typelibs $symbol 
--version $version); do
case $req in
typelib:*)
module=${req#typelib: }

++ gobject-introspection-1.48.0.tar.xz -> 
gobject-introspection-1.50.0.tar.xz ++
 16083 lines of diff (skipped)




commit libsigc++2 for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package libsigc++2 for openSUSE:Factory 
checked in at 2016-09-21 18:42:14

Comparing /work/SRC/openSUSE:Factory/libsigc++2 (Old)
 and  /work/SRC/openSUSE:Factory/.libsigc++2.new (New)


Package is "libsigc++2"

Changes:

--- /work/SRC/openSUSE:Factory/libsigc++2/libsigc++2.changes2016-06-29 
15:02:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.libsigc++2.new/libsigc++2.changes   
2016-09-21 18:42:16.0 +0200
@@ -1,0 +2,30 @@
+Tue Sep 20 10:24:32 UTC 2016 - dims...@opensuse.org
+
+- Update to version 2.10.0:
+  + Fix silent builds (bgo#768797).
+
+---
+Wed Jul  6 10:24:53 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.9.3:
+  + signal:
+- Deprecate slots().
+- Deprecate emit_reverse().
+  + Benchmark: Update it and use boost::timer, and actually build
+it, but not built by default.
+  + Build: Fix the build on MSVC++ 2013 and 2015 (bgo#76).
+
+---
+Thu Jun 16 19:19:19 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.9.2:
+  + Minor documentation improvements.
+  + Some more minor uses of C++11 syntax.
+- Changes from version 2.9.1:
+  + slot: Allow sigc::slot syntax, like std::function,
+deprecating the sigc::slot syntax (bgo#763393).
+  + signal: Allow sigc::signal syntax, like
+std::function, deprecating the sigc::signal syntax
+(bgo#763393).
+
+---

Old:

  libsigc++-2.8.0.tar.xz

New:

  libsigc++-2.10.0.tar.xz



Other differences:
--
++ libsigc++2.spec ++
--- /var/tmp/diff_new_pack.LtCJfl/_old  2016-09-21 18:42:17.0 +0200
+++ /var/tmp/diff_new_pack.LtCJfl/_new  2016-09-21 18:42:17.0 +0200
@@ -18,13 +18,13 @@
 
 Name:   libsigc++2
 %define _name libsigc++
-Version:2.8.0
+Version:2.10.0
 Release:0
 Summary:Typesafe Signal Framework for C++
 License:LGPL-2.1+
 Group:  System/Libraries
 Url:http://libsigc.sourceforge.net/
-Source: 
http://download.gnome.org/sources/libsigc++/2.8/%{_name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/libsigc++/2.10/%{_name}-%{version}.tar.xz
 Source99:   baselibs.conf
 # PATCH-FIX-OPENSUSE libsigc++-std-c11.patch dims...@opensuse.org -- Add 
-std=c11 to CFLAGS when using libsigc++ to build. This is not upstreamable in 
this form as the used CXX macro should handle that, so needs more work (and 
entry points in mm-common)
 Patch0: libsigc++-std-c11.patch

++ libsigc++-2.8.0.tar.xz -> libsigc++-2.10.0.tar.xz ++
 49322 lines of diff (skipped)




commit gsettings-desktop-schemas for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gsettings-desktop-schemas for 
openSUSE:Factory checked in at 2016-09-21 18:42:25

Comparing /work/SRC/openSUSE:Factory/gsettings-desktop-schemas (Old)
 and  /work/SRC/openSUSE:Factory/.gsettings-desktop-schemas.new (New)


Package is "gsettings-desktop-schemas"

Changes:

--- 
/work/SRC/openSUSE:Factory/gsettings-desktop-schemas/gsettings-desktop-schemas.changes
  2016-08-31 00:04:05.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gsettings-desktop-schemas.new/gsettings-desktop-schemas.changes
 2016-09-21 18:42:27.0 +0200
@@ -1,0 +2,28 @@
+Tue Sep 20 11:07:59 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updated translations.
+
+---
+Fri Aug 19 22:01:26 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + Add tablet/stylus/pad schemas.
+  + Add mouse/trackpad accel profile keys.
+  + Updated translations.
+
+---
+Tue Jun 21 22:46:09 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Add a setting to store input sources MRU list.
+  + Updated translations.
+
+---
+Sat May 28 11:53:22 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.2:
+  + Add a setting to enable weekdates in calendars.
+  + Updated translations.
+
+---

Old:

  gsettings-desktop-schemas-3.20.0.tar.xz

New:

  gsettings-desktop-schemas-3.22.0.tar.xz



Other differences:
--
++ gsettings-desktop-schemas.spec ++
--- /var/tmp/diff_new_pack.WQh4NG/_old  2016-09-21 18:42:29.0 +0200
+++ /var/tmp/diff_new_pack.WQh4NG/_new  2016-09-21 18:42:29.0 +0200
@@ -18,13 +18,13 @@
 
 
 Name:   gsettings-desktop-schemas
-Version:3.20.0
+Version:3.22.0
 Release:0
 Summary:Shared GSettings Schemas for the Desktop
 License:LGPL-2.1+
 Group:  System/GUI/GNOME
 Url:http://gnome.org/
-Source0:
http://download.gnome.org/sources/gsettings-desktop-schemas/3.20/%{name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/gsettings-desktop-schemas/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  glib2-devel >= 2.31.0
 BuildRequires:  gobject-introspection-devel >= 1.31.0
 BuildRequires:  intltool
@@ -90,6 +90,7 @@
 %{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.magnifier.gschema.xml
 %{_datadir}/glib-2.0/schemas/org.gnome.desktop.app-folders.gschema.xml
 %{_datadir}/glib-2.0/schemas/org.gnome.desktop.background.gschema.xml
+%{_datadir}/glib-2.0/schemas/org.gnome.desktop.calendar.gschema.xml
 %{_datadir}/glib-2.0/schemas/org.gnome.desktop.datetime.gschema.xml
 %{_datadir}/glib-2.0/schemas/org.gnome.desktop.default-applications.gschema.xml
 %{_datadir}/glib-2.0/schemas/org.gnome.desktop.enums.xml

++ gsettings-desktop-schemas-3.20.0.tar.xz -> 
gsettings-desktop-schemas-3.22.0.tar.xz ++
 22436 lines of diff (skipped)




commit atk for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package atk for openSUSE:Factory checked in 
at 2016-09-21 18:34:30

Comparing /work/SRC/openSUSE:Factory/atk (Old)
 and  /work/SRC/openSUSE:Factory/.atk.new (New)


Package is "atk"

Changes:

--- /work/SRC/openSUSE:Factory/atk/atk.changes  2016-06-03 16:27:49.0 
+0200
+++ /work/SRC/openSUSE:Factory/.atk.new/atk.changes 2016-09-21 
18:34:32.0 +0200
@@ -1,0 +2,16 @@
+Mon Sep 19 13:50:11 UTC 2016 - dims...@opensuse.org
+
+- Update to version 2.22.0:
+  + Add more options to XGETTEXT_OPTIONS in po/Makevars.
+  + Updated translations.
+
+---
+Sat Aug 13 11:34:40 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.21.90:
+  + Add some missing argument (out) annotations (bgo#764883).
+  + Add Language headers to po files.
+  + MSVC/win32 fixes.
+- Move AUTHORS ChangeLog NEWS README to doc subpackage.
+
+---

Old:

  atk-2.20.0.tar.xz

New:

  atk-2.22.0.tar.xz



Other differences:
--
++ atk.spec ++
--- /var/tmp/diff_new_pack.281S7c/_old  2016-09-21 18:34:33.0 +0200
+++ /var/tmp/diff_new_pack.281S7c/_new  2016-09-21 18:34:33.0 +0200
@@ -20,10 +20,10 @@
 Summary:An Accessibility ToolKit
 License:LGPL-2.1+
 Group:  System/Libraries
-Version:2.20.0
+Version:2.22.0
 Release:0
 Url:http://www.gtk.org/
-Source: 
http://download.gnome.org/sources/atk/2.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/atk/2.22/%{name}-%{version}.tar.xz
 Source99:   baselibs.conf
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -130,7 +130,7 @@
 
 %files -n libatk-1_0-0
 %defattr(-, root, root)
-%doc AUTHORS COPYING ChangeLog NEWS README
+%doc COPYING
 %{_libdir}/lib*.so.*
 
 %files -n typelib-1_0-Atk-1_0
@@ -150,6 +150,7 @@
 %endif
 
 %files doc
+%doc AUTHORS ChangeLog NEWS README
 %defattr(-, root, root)
 %dir %{_datadir}/gtk-doc
 %dir %{_datadir}/gtk-doc/html

++ atk-2.20.0.tar.xz -> atk-2.22.0.tar.xz ++
 34131 lines of diff (skipped)




commit gtkmm3 for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gtkmm3 for openSUSE:Factory checked 
in at 2016-09-21 18:42:05

Comparing /work/SRC/openSUSE:Factory/gtkmm3 (Old)
 and  /work/SRC/openSUSE:Factory/.gtkmm3.new (New)


Package is "gtkmm3"

Changes:

--- /work/SRC/openSUSE:Factory/gtkmm3/gtkmm3.changes2016-06-03 
16:30:44.0 +0200
+++ /work/SRC/openSUSE:Factory/.gtkmm3.new/gtkmm3.changes   2016-09-21 
18:42:06.0 +0200
@@ -1,0 +2,93 @@
+Tue Sep 20 10:23:04 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.22.0:
+  + No changes compared to 3.21.6.
+
+---
+Wed Sep 14 16:28:51 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.6:
+  + Gtk:
+- FileChooser: Added add_choice(), remove_choice(),
+  set_choice(), get_choice().
+- Menu: Add popup_at_rect(), popup_at_widget(),
+  popup_at_pointer(), signal_popped_up(), and the anchor_hints,
+  rect_anchor_dx, rect_anchor_dy, and menu_type_hint
+  properties.
+- Popover: Add popup() and popupdown(), deprecating
+  get/set_transitions_enabled().
+- RadioMenuItem, RadioToolButton: Add join_group()
+  (bgo#769374).
+- ScrolledWindow:
+  . Added get/set_max_content_height/width() and properties.
+  . Added get/set_propagate_natural_height/width() and the
+properties.
+- Add the ShortcutLabel widget.
+- TreeNodeChildren: Deprecate the reverse iterator
+  (bgo#554889).
+  + Gdk:
+- Pixbuf: Added set_option(), remove_option(), and
+  copy_options().
+- PixbufFormat: Added is_save_option_supported().
+  + Documentation: Gtk::Clipboard::wait_for_uris(): Fix the
+documentation.
+
+---
+Sun Jul 24 16:55:36 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + Gtk:
+- ApplicationWindow: Add a correct wrap() method, deprecating
+  the incorrect one (bgo#767951).
+- FlowBox, ListBox: Add bind_model() and bind_list_store()
+  (bgo#755149).
+- UIManager, ActionGroup, RadioAction, RecentAction,
+  ToggleAction: Deprecated, as in the C GTK+ API (bgo#768573).
+  + Build: Fix silent builds (bgo#768797).
+
+---
+Mon Jun 27 09:36:32 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Gtk:
+- AppChooserDialog, FontChooserDialog: Add _UNMANAGEABLE.
+- ScrolledWindow: Deprecate remove_with_viewport()
+  (bgo#685739).
+- SizeGroup: Deprecate set/get/property_ignore_hidden().
+- Widget: Deprecate send_expose().
+- Window: Deprecate begin_paint_rect(), begin_paint_region(),
+  end_paint() and create_cairo_context(). Add
+  begin_draw_frame() and end_draw_frame() which use the new
+  Gdk::DrawingContext.
+  + Gdk: Add DrawingContext.
+  + Build: Visual Studio builds: Update gdkmm project.
+
+---
+Thu Jun  2 00:01:52 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.2:
+  + Gdk:
+- Clipboard: Add get_selection().
+- Device: Add get_axes(), signal_changed() and many properties.
+- Display:
+  . Add methods and signals related to Gdk::Monitor.
+  . Deprecated get_screen().
+- GLArea: Add set/get_use_es() and property.
+- GLContext: Add set/get_use_es().
+- Add Monitor.
+- ShortscutsShortcut: Add "action-name" property.
+- Visual: Deprecate get_byte_order(), get_colormap_size(), and
+  get_bits_per_rgb().
+- Window: create_gl_context() and signal_create_context():
+  Correct the reference counting.
+  + Gtk:
+- IconInfo, PaperSize, TextIter, TreeIter, TreePath,
+  TreeRowReference: Deprecated operator void*, replacing it
+  with explicit operator bool.
+- PrintSettings: Make create_*() from public, not protected.
+- TreeView:
+  _auto_store_on_cellrenderer_text_edited_numerical(): Catch
+  the exception from std::stod(). This is a regression since
+  version 3.17.80.
+
+---

Old:

  gtkmm-3.20.1.tar.xz

New:

  gtkmm-3.22.0.tar.xz



Other differences:
--
++ gtkmm3.spec ++
--- /var/tmp/diff_new_pack.Fc25Un/_old  2016-09-21 18:42:08.0 +0200
+++ /var/tmp/diff_new_pack.Fc25Un/_new  2016-09-21 18:42:08.0 +0200
@@ -21,13 +21,13 @@
 
 Name:   gtkmm3
 %define _name gtkmm
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:C++ Interface for GTK3 (a GUI Library for X)
 License:LGPL-2.1+
 Group:  System/Libraries
 Url:http://www.gtkmm.org/
-Source0: 

commit glibmm2 for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package glibmm2 for openSUSE:Factory checked 
in at 2016-09-21 18:41:53

Comparing /work/SRC/openSUSE:Factory/glibmm2 (Old)
 and  /work/SRC/openSUSE:Factory/.glibmm2.new (New)


Package is "glibmm2"

Changes:

--- /work/SRC/openSUSE:Factory/glibmm2/glibmm2.changes  2016-06-03 
16:29:30.0 +0200
+++ /work/SRC/openSUSE:Factory/.glibmm2.new/glibmm2.changes 2016-09-21 
18:41:54.0 +0200
@@ -1,0 +2,88 @@
+Tue Sep 20 10:21:33 UTC 2016 - dims...@opensuse.org
+
+- Update to version 2.50.0:
+  + No changes since 2.49.7.
+
+---
+Wed Sep 14 15:11:01 UTC 2016 - dims...@opensuse.org
+
+- Update to version 2.49.7:
+  + Gio:
+- AppInfo: Add launch_default_for_uri_async().
+- Application::get_busy(): return the bool (bgo#770304).
+- Drive: Add is_removable().
+- Settings:
+  . set_uiint(): Deprecate for set_uint().
+  . Add get/set_uint64().
+  . Add get/set_int64().
+- giomm.h: Add include for settingsschemasource.h
+  + Documentation: Glib::OptionGroup: Improve the documentation of
+add_entry().
+
+---
+Fri Aug 19 21:50:59 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.49.5:
+  + Glib: OptionContext: Wrap g_option_context_parse_strv().
+  + gmmproc:
+- Add DocsParser::remove_c_memory_handling_info().
+- Add missing objects to glib/gio_extra_objects.defs.
+- Remove DocsParser::non_object_method_name().
+- swap() implementations: Use std::swap().
+  + Documentation: Gio::SocketService: Update the class
+documentation.
+
+---
+Thu Jul 21 11:15:16 UTC 2016 - zai...@opensuse.org
+
+- Update to 2.49.4:
+  + glib: Replace some use of some deprecated libsigc++ API.
+  + Build: Really enable silent builds (bgo#768797).
+
+---
+Mon Jun 27 08:50:30 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.49.2:
+  + Gio:
+- FilterInputStream: Added a constructor (bgo#572471).
+- FilterOutputStream: Correct the property_base_stream()
+  return type (bgo#572471, bgo#572471).
+- InputStream: Added a constructor, is_closed(), has_pending(),
+  set_pending(), clear_pending() (bgo#572471).
+- OutputStream: Added a constructor, is_closed(), is_closing(),
+  has_pending(), set_pending(), and clear_pending()
+  (bgo#572471).
+- Pollable, InputStream, OutputStream: Return -1 on error in
+  vfuncs.
+  + gmmproc:
+- Make h2def.py recognize some GDK_PIXBUF macros.
+- Add optional argument err_return_value in _WRAP_VFUNC.
+  + Build: Visual Studio build files: Update projects.
+
+---
+Thu Jun  2 16:49:20 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.49.1:
+  + gmmproc:
+- Discard unused m4 sections.
+- Add 'deprecated' option in _WRAP_ENUM and _WRAP_GERROR.
+- _CLASS_GOBJECT(): Allow custom move operation implementations
+  with _CUSTOM_MOVE_OPERATION() (bgo#756593).
+  + Gio:
+- Added ListModel, ListStoreBase and ListStore<>, and tests
+  (bgo#755307).
+- SocketAddress: Correct the constructor's implemention
+  (bgo#766150).
+   + Gio:DBus: Proxy: allow using GDBusProxy* conversion outside
+ DBus namespace.
+   + Glib:
+ - FileAtrributeInfoList, Checksum, Module, RefPtr: Make
+   operator bool explicit.
+ - Property: Allow to set property nick, blurb, and flags
+   (bgo#755256).
+ - VariantBase: Add explicit operator bool(), deprecating
+   operator const void*.
+   + Documentation: Examples: Use libsigc++ 2.9/10 and its
+ slot/signal syntax.
+
+---

Old:

  glibmm-2.48.1.tar.xz

New:

  glibmm-2.50.0.tar.xz



Other differences:
--
++ glibmm2.spec ++
--- /var/tmp/diff_new_pack.3J9nSt/_old  2016-09-21 18:41:56.0 +0200
+++ /var/tmp/diff_new_pack.3J9nSt/_new  2016-09-21 18:41:56.0 +0200
@@ -21,21 +21,21 @@
 
 Name:   glibmm2
 %define _name glibmm
-Version:2.48.1
+Version:2.50.0
 Release:0
 Summary:C++ Interface for Glib
 License:LGPL-2.1+
 Group:  System/Libraries
 Url:http://www.gtkmm.org/
-Source0:
http://download.gnome.org/sources/glibmm/2.48/%{_name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/glibmm/2.50/%{_name}-%{version}.tar.xz
 Source99:   baselibs.conf
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  

commit gnome-online-accounts for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-online-accounts for 
openSUSE:Factory checked in at 2016-09-21 18:41:43

Comparing /work/SRC/openSUSE:Factory/gnome-online-accounts (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-online-accounts.new (New)


Package is "gnome-online-accounts"

Changes:

--- 
/work/SRC/openSUSE:Factory/gnome-online-accounts/gnome-online-accounts.changes  
2016-08-03 11:41:47.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gnome-online-accounts.new/gnome-online-accounts.changes
 2016-09-21 18:41:45.0 +0200
@@ -1,0 +2,82 @@
+Tue Sep 20 09:24:19 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updated translations.
+
+---
+Wed Sep 14 21:21:54 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Experimental account templates support (bgo#771366).
+  + Updated translations.
+
+---
+Thu Sep  1 16:16:44 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.21.91:
+  + bgo#770610: daemon: Clean-up the memory management of our
+GKeyFile instances.
+  + Updated translations.
+
+---
+Fri Aug 19 09:21:34 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + daemon: Ensure temporary accounts are really removed from the
+keyring (bgo#688041).
+  + pocket: Support logging in with a Firefox account (bgo#755386).
+  + identity:
+- Don't leak the GoaObject from find_object_with_principal
+  (bgo#756431).
+- Silence -Wincompatible-pointer-types (bgo#768808).
+  + Port to GTask from GSimpleAsyncResult (bgo#764157).
+  + Let goa_provider_show_account have more control over the UI
+(bgo#769213).
+  + Updated translations.
+
+---
+Thu Jul 28 13:12:45 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + identity: Don't leak the invocation when handling SignIn
+(bgo#756431).
+  + Port to GTask from GSimpleAsyncResult (bgo#764157).
+  + kerberos, telepathy: Stopping goa-daemon removes account or
+expires credentials (bgo#766733).
+  + Offer a simple mechanism to introspect the available providers
+and services (bgo#767914).
+  + identity: Clean up the credential cache and don't keep trying
+to sign in if we encounter a failure (bgo#768808).
+  + kerberos: Don't leak the GSimpleAsyncResult and object_path
+when signing in (bgo#768845).
+  + Updated translations.
+
+---
+Thu Jul 28 13:12:44 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Don't let temporary accounts accumulate in accounts.conf and
+the keyring (bgo#688041).
+  + lastfm: Don't forget to update the ret variable (bgo#760991).
+  + Skip EnsureCredentials if the account is disabled (bgo#762155).
+  + Port to GTask from GSimpleAsyncResult (bgo#764157).
+  + Misc usability improvements to the imap-smtp provider
+(bgo#764283).
+  + org.gnome.OnlineAccounts.Account:IsTemporary is not being set
+(bgo#765994).
+  + kerberos, telepathy: Stopping goa-daemon removes account or
+expires credentials (bgo#766733).
+  + Adding a Telepathy account is racy due after adding a headerbar
+(bgo#767299).
+  + Updated translations.
+
+---
+Thu Jul 28 13:12:43 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.1:
+  + Port to GTask from GSimpleAsyncResult (bgo#764157).
+  + goa-daemon --help shows translated characters as question marks
+on some locales (bgo#765455).
+  + Updated translations.
+
+---

Old:

  gnome-online-accounts-3.20.3.tar.xz

New:

  gnome-online-accounts-3.22.0.tar.xz



Other differences:
--
++ gnome-online-accounts.spec ++
--- /var/tmp/diff_new_pack.RGIixK/_old  2016-09-21 18:41:46.0 +0200
+++ /var/tmp/diff_new_pack.RGIixK/_new  2016-09-21 18:41:46.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-online-accounts
-Version:3.20.3
+Version:3.22.0
 Release:0
 Summary:GNOME service to access online accounts
 License:LGPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-online-accounts/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-online-accounts/3.22/%{name}-%{version}.tar.xz
 Source99:   baselibs.conf
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  

commit yelp for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package yelp for openSUSE:Factory checked in 
at 2016-09-21 18:41:31

Comparing /work/SRC/openSUSE:Factory/yelp (Old)
 and  /work/SRC/openSUSE:Factory/.yelp.new (New)


Package is "yelp"

Changes:

--- /work/SRC/openSUSE:Factory/yelp/yelp.changes2016-08-17 
12:02:59.0 +0200
+++ /work/SRC/openSUSE:Factory/.yelp.new/yelp.changes   2016-09-21 
18:41:32.0 +0200
@@ -1,0 +2,21 @@
+Tue Sep 20 08:29:09 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Add 'help' to list of desktop file keywords (bgo#764322).
+  + Updated translations.
+
+---
+Fri Jul 15 15:47:42 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Build system improvements.
+  + Compiler warning fix.
+  + Updated translations.
+- Cleanup previous checkin from SLE: Drop gnome-common
+  BuildRequires and stop passing autoreconf, no longer needed.
+- Remove some old conditional fixes for obsolete versions of
+  openSUSE, and also drop obsolete clean section from spec.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+
+---
@@ -4 +25 @@
-- Remove references and dependencies on susehelp - bsc#978692
+- Remove references and dependencies on susehelp (bsc#978692).

Old:

  yelp-3.20.1.tar.xz

New:

  yelp-3.22.0.tar.xz



Other differences:
--
++ yelp.spec ++
--- /var/tmp/diff_new_pack.XZkYmd/_old  2016-09-21 18:41:33.0 +0200
+++ /var/tmp/diff_new_pack.XZkYmd/_new  2016-09-21 18:41:33.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package yelp
 #
-# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,21 +17,22 @@
 
 
 Name:   yelp
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:Help Browser for the GNOME Desktop
 License:GPL-2.0+ and LGPL-2.1+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/yelp/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/yelp/3.22/%{name}-%{version}.tar.xz
 # PATCH-FEATURE-OPENSUSE yelp-lang-bundle.patch bnc#689979 vu...@opensuse.org 
-- Support help documents shipped in bundles
 Patch1: yelp-lang-bundle.patch
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
-BuildRequires:  gnome-common
 BuildRequires:  intltool
 BuildRequires:  itstool >= 1.2.0
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.13.3
 BuildRequires:  pkgconfig(liblzma)
@@ -80,7 +81,9 @@
 %lang_package
 %prep
 %setup -q
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 %patch1 -p1
 
 %build
@@ -89,20 +92,11 @@
 
 %install
 %make_install
-%if 0%{?suse_version} <= 1110
-rm %{buildroot}%{_datadir}/locale/la/LC_MESSAGES/*
-%endif
-%if 0%{?suse_version} <= 1120
-rm %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
-%endif
 find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
 %suse_update_desktop_file %{name}
 %find_lang %{name} %{?no_lang_C}
 %fdupes %{buildroot}
 
-%clean
-rm -rf %{buildroot}
-
 %post
 %desktop_database_post
 %icon_theme_cache_post

++ yelp-3.20.1.tar.xz -> yelp-3.22.0.tar.xz ++
 50552 lines of diff (skipped)




commit gnome-user-docs for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-user-docs for openSUSE:Factory 
checked in at 2016-09-21 18:40:58

Comparing /work/SRC/openSUSE:Factory/gnome-user-docs (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-user-docs.new (New)


Package is "gnome-user-docs"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-user-docs/gnome-user-docs.changes  
2016-06-03 16:30:21.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-user-docs.new/gnome-user-docs.changes 
2016-09-21 18:41:00.0 +0200
@@ -1,0 +2,7 @@
+Tue Sep 20 08:31:15 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updates to GNOME Help.
+  + Updated translations.
+
+---

Old:

  gnome-user-docs-3.20.2.tar.xz

New:

  gnome-user-docs-3.22.0.tar.xz



Other differences:
--
++ gnome-user-docs.spec ++
--- /var/tmp/diff_new_pack.2nIXd5/_old  2016-09-21 18:41:01.0 +0200
+++ /var/tmp/diff_new_pack.2nIXd5/_new  2016-09-21 18:41:01.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-user-docs
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:GNOME Desktop Documentation
 License:GFDL-1.1
 Group:  Documentation/Other
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-user-docs/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-user-docs/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  yelp-tools
 Recommends: %{name}-lang

++ gnome-user-docs-3.20.2.tar.xz -> gnome-user-docs-3.22.0.tar.xz ++
/work/SRC/openSUSE:Factory/gnome-user-docs/gnome-user-docs-3.20.2.tar.xz 
/work/SRC/openSUSE:Factory/.gnome-user-docs.new/gnome-user-docs-3.22.0.tar.xz 
differ: char 26, line 1




commit cheese for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package cheese for openSUSE:Factory checked 
in at 2016-09-21 18:41:10

Comparing /work/SRC/openSUSE:Factory/cheese (Old)
 and  /work/SRC/openSUSE:Factory/.cheese.new (New)


Package is "cheese"

Changes:

--- /work/SRC/openSUSE:Factory/cheese/cheese.changes2016-06-05 
14:20:22.0 +0200
+++ /work/SRC/openSUSE:Factory/.cheese.new/cheese.changes   2016-09-21 
18:41:12.0 +0200
@@ -1,0 +2,30 @@
+Tue Sep 20 08:04:06 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + No changes.
+
+---
+Tue Sep 13 16:04:26 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Add Language headers to po files. Future versions of gettext
+will fail if this header is missing.
+  + Updated translations.
+
+---
+Tue Jun 21 16:53:02 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Ensure autogen works in non-srcdir builds. Only the configure
+script should be run from the build directory; the rest of the
+ancillary tools that modify the sources and generate the
+configure script itself need to be run inside the source
+directory.
+  + Use AM_DISTCHECK_CONFIGURE_FLAGS. DISTCHECK_CONFIGURE_FLAGS is
+for users and packagers to override distcheck options, while
+AM_DISTCHECK_CONFIGURE_FLAGS is for the maintainer of the
+software.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+
+---

Old:

  cheese-3.20.2.tar.xz

New:

  cheese-3.22.0.tar.xz



Other differences:
--
++ cheese.spec ++
--- /var/tmp/diff_new_pack.mAdxeH/_old  2016-09-21 18:41:13.0 +0200
+++ /var/tmp/diff_new_pack.mAdxeH/_new  2016-09-21 18:41:13.0 +0200
@@ -20,18 +20,20 @@
 %define lib_gtk_major 25
 
 Name:   cheese
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:Webcam Booth for GNOME
 License:GPL-2.0+
 Group:  Productivity/Graphics/Other
 Url:https://wiki.gnome.org/Apps/Cheese
-Source0:
http://download.gnome.org/sources/cheese/3.20/%{name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/cheese/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  fdupes
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  intltool >= 0.50.0
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  vala >= 0.25.2
 BuildRequires:  yelp-tools
@@ -124,7 +126,9 @@
 %lang_package
 %prep
 %setup -q
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 
 %build
 %configure \

++ cheese-3.20.2.tar.xz -> cheese-3.22.0.tar.xz ++
 3605 lines of diff (skipped)




commit vino for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package vino for openSUSE:Factory checked in 
at 2016-09-21 18:41:20

Comparing /work/SRC/openSUSE:Factory/vino (Old)
 and  /work/SRC/openSUSE:Factory/.vino.new (New)


Package is "vino"

Changes:

--- /work/SRC/openSUSE:Factory/vino/vino.changes2016-06-03 
16:33:03.0 +0200
+++ /work/SRC/openSUSE:Factory/.vino.new/vino.changes   2016-09-21 
18:41:23.0 +0200
@@ -1,0 +2,21 @@
+Tue Sep 20 08:23:04 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + No changes.
+
+---
+Tue Sep 13 18:42:41 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + build: Fix syntax error introduced in 27785a2.
+  + build: Use AM_DISTCHECK_CONFIGURE_FLAGS.
+  + server: Add a way for Vino to be started via user systemd.
+  + Allow building on non-systemd systems.
+  + Check for sm and ice in configure.
+  + Remove unused --with-network-manager option.
+  + Fix two memory leaks.
+  + Updated translations.
+- Add pkgconfig(systemd) BuildRequires, build the user systemd
+  support.
+
+---

Old:

  vino-3.20.2.tar.xz

New:

  vino-3.22.0.tar.xz



Other differences:
--
++ vino.spec ++
--- /var/tmp/diff_new_pack.KnCZJh/_old  2016-09-21 18:41:24.0 +0200
+++ /var/tmp/diff_new_pack.KnCZJh/_new  2016-09-21 18:41:24.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   vino
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:GNOME VNC Server
 License:GPL-2.0+
 Group:  Productivity/Networking/Other
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/vino/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/vino/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  NetworkManager-devel
 BuildRequires:  fdupes
 BuildRequires:  intltool >= 0.50.0
@@ -39,6 +39,7 @@
 BuildRequires:  pkgconfig(libnotify) >= 0.7.0
 BuildRequires:  pkgconfig(libsecret-1)
 BuildRequires:  pkgconfig(sm)
+BuildRequires:  pkgconfig(systemd)
 BuildRequires:  pkgconfig(xtst)
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -94,6 +95,7 @@
 %dir %{_datadir}/telepathy/clients/
 %{_datadir}/telepathy/clients/Vino.client
 %{_libexecdir}/vino
+%{_userunitdir}/vino-server.service
 
 %files lang -f %{name}.lang
 

++ vino-3.20.2.tar.xz -> vino-3.22.0.tar.xz ++
 4101 lines of diff (skipped)




commit vinagre for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package vinagre for openSUSE:Factory checked 
in at 2016-09-21 18:40:24

Comparing /work/SRC/openSUSE:Factory/vinagre (Old)
 and  /work/SRC/openSUSE:Factory/.vinagre.new (New)


Package is "vinagre"

Changes:

--- /work/SRC/openSUSE:Factory/vinagre/vinagre.changes  2016-08-31 
00:05:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.vinagre.new/vinagre.changes 2016-09-21 
18:40:25.0 +0200
@@ -1,0 +2,20 @@
+Tue Sep 20 08:25:38 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + No changes.
+
+---
+Wed Sep 14 07:24:23 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Improve FreeRDP authentication failure handling.
+  + Correctly handle extended scancodes for RDP.
+  + Updated translations.
+
+---
+Tue Jun 21 15:05:20 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Updated translations.
+
+---

Old:

  vinagre-3.20.2.tar.xz

New:

  vinagre-3.22.0.tar.xz



Other differences:
--
++ vinagre.spec ++
--- /var/tmp/diff_new_pack.4IIZRF/_old  2016-09-21 18:40:26.0 +0200
+++ /var/tmp/diff_new_pack.4IIZRF/_new  2016-09-21 18:40:26.0 +0200
@@ -19,13 +19,13 @@
 %bcond_without rdp
 
 Name:   vinagre
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:VNC client for GNOME
 License:GPL-2.0+
 Group:  Productivity/Networking/Other
 Url:http://www.gnome.org/projects/vinagre/
-Source0:
http://download.gnome.org/sources/vinagre/3.20/%{name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/vinagre/3.22/%{name}-%{version}.tar.xz
 # PATCH-FIX-UPSTREAM vinagre-freerdp2.patch bgo#765444.patch mgo...@suse.com 
-- handle new "freerdp2" package name.
 Patch1: vinagre-freerdp2.patch
 # The icon we rely on is from adwaita-icon-theme

++ vinagre-3.20.2.tar.xz -> vinagre-3.22.0.tar.xz ++
 4787 lines of diff (skipped)




commit gnome-font-viewer for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-font-viewer for 
openSUSE:Factory checked in at 2016-09-21 18:40:38

Comparing /work/SRC/openSUSE:Factory/gnome-font-viewer (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-font-viewer.new (New)


Package is "gnome-font-viewer"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-font-viewer/gnome-font-viewer.changes  
2016-05-20 11:53:55.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-font-viewer.new/gnome-font-viewer.changes 
2016-09-21 18:40:39.0 +0200
@@ -1,0 +2,8 @@
+Tue Sep 20 07:54:54 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Add an icon name to the window.
+  + Don't explicitly load RTL icons.
+  + Updated translations.
+
+---

Old:

  gnome-font-viewer-3.20.2.tar.xz

New:

  gnome-font-viewer-3.22.0.tar.xz



Other differences:
--
++ gnome-font-viewer.spec ++
--- /var/tmp/diff_new_pack.2frmsy/_old  2016-09-21 18:40:40.0 +0200
+++ /var/tmp/diff_new_pack.2frmsy/_new  2016-09-21 18:40:40.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-font-viewer
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:A font viewer utility for GNOME
 License:GPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://download.gnome.org/sources/gnome-font-viewer
-Source: 
http://download.gnome.org/sources/gnome-font-viewer/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-font-viewer/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  intltool
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files

++ gnome-font-viewer-3.20.2.tar.xz -> gnome-font-viewer-3.22.0.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gnome-font-viewer-3.20.2/NEWS 
new/gnome-font-viewer-3.22.0/NEWS
--- old/gnome-font-viewer-3.20.2/NEWS   2016-05-11 23:33:21.0 +0200
+++ new/gnome-font-viewer-3.22.0/NEWS   2016-09-20 07:27:14.0 +0200
@@ -1,3 +1,10 @@
+GNOME Font Viewer - 3.22.0
+---
+
+• Add an icon name to the window
+• Don't explicitly load RTL icons
+• Translation updates
+
 GNOME Font Viewer - 3.20.2
 ---
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gnome-font-viewer-3.20.2/aclocal.m4 
new/gnome-font-viewer-3.22.0/aclocal.m4
--- old/gnome-font-viewer-3.20.2/aclocal.m4 2016-05-11 23:35:57.0 
+0200
+++ new/gnome-font-viewer-3.22.0/aclocal.m4 2016-09-20 07:29:37.0 
+0200
@@ -21,8 +21,8 @@
 To do so, use the procedure documented by the package, typically 
'autoreconf'.])])
 
 # nls.m4 serial 5 (gettext-0.18)
-dnl Copyright (C) 1995-2003, 2005-2006, 2008-2014 Free Software Foundation,
-dnl Inc.
+dnl Copyright (C) 1995-2003, 2005-2006, 2008-2014, 2016 Free Software
+dnl Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gnome-font-viewer-3.20.2/configure 
new/gnome-font-viewer-3.22.0/configure
--- old/gnome-font-viewer-3.20.2/configure  2016-05-11 23:35:58.0 
+0200
+++ new/gnome-font-viewer-3.22.0/configure  2016-09-20 07:29:37.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for gnome-font-viewer 3.20.2.
+# Generated by GNU Autoconf 2.69 for gnome-font-viewer 3.22.0.
 #
 # Report bugs to 
.
 #
@@ -591,8 +591,8 @@
 # Identity of this package.
 PACKAGE_NAME='gnome-font-viewer'
 PACKAGE_TARNAME='gnome-font-viewer'
-PACKAGE_VERSION='3.20.2'
-PACKAGE_STRING='gnome-font-viewer 3.20.2'
+PACKAGE_VERSION='3.22.0'
+PACKAGE_STRING='gnome-font-viewer 3.22.0'
 
PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=gnome-font-viewer'
 PACKAGE_URL='http://live.gnome.org/GnomeUtils'
 
@@ -1380,7 +1380,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures gnome-font-viewer 3.20.2 to adapt to many kinds of 
systems.
+\`configure' configures gnome-font-viewer 3.22.0 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... 

commit gnome-screenshot for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-screenshot for 
openSUSE:Factory checked in at 2016-09-21 18:40:48

Comparing /work/SRC/openSUSE:Factory/gnome-screenshot (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-screenshot.new (New)


Package is "gnome-screenshot"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-screenshot/gnome-screenshot.changes
2016-07-01 09:53:41.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-screenshot.new/gnome-screenshot.changes   
2016-09-21 18:40:49.0 +0200
@@ -1,0 +2,18 @@
+Tue Sep 20 07:57:44 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Avoid resizing preview too much (bgo#768087).
+  + Updated translations.
+- Drop gnome-screenshot-avoid-resizing-preview.patch: Fixed
+  upstream.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+
+---
+Mon Sep 19 16:36:52 UTC 2016 - zai...@opensuse.org
+
+- Add gnome-screenshot-avoid-resizing-preview.patch:
+  screenshot-dialog: Avoid resizing the preview too much, save CPU
+  cycles (bgo#768087).
+
+---

Old:

  gnome-screenshot-3.20.1.tar.xz

New:

  gnome-screenshot-3.22.0.tar.xz



Other differences:
--
++ gnome-screenshot.spec ++
--- /var/tmp/diff_new_pack.xrCvBe/_old  2016-09-21 18:40:50.0 +0200
+++ /var/tmp/diff_new_pack.xrCvBe/_new  2016-09-21 18:40:50.0 +0200
@@ -17,17 +17,19 @@
 
 
 Name:   gnome-screenshot
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:Utility to take pictures of your screen
 License:GPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-screenshot/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-screenshot/3.22/%{name}-%{version}.tar.xz
 # PATCH-FIX-OPENSUSE gnome-screenshot-onlyshowin.patch dims...@opensuse.org -- 
OnlyShowIn=GNOME: fix brp build check, allowing to use the icon from the gnome 
theme.
 Patch0: gnome-screenshot-onlyshowin.patch
 BuildRequires:  intltool >= 0.40.0
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(glib-2.0) >= 2.35.1
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.0
@@ -47,7 +49,9 @@
 %prep
 %setup -q
 %patch0 -p1
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 
 %build
 %configure --disable-static

++ gnome-screenshot-3.20.1.tar.xz -> gnome-screenshot-3.22.0.tar.xz ++
 1715 lines of diff (skipped)




commit libsoup for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package libsoup for openSUSE:Factory checked 
in at 2016-09-21 18:40:09

Comparing /work/SRC/openSUSE:Factory/libsoup (Old)
 and  /work/SRC/openSUSE:Factory/.libsoup.new (New)


Package is "libsoup"

Changes:

--- /work/SRC/openSUSE:Factory/libsoup/libsoup.changes  2016-04-28 
16:52:16.0 +0200
+++ /work/SRC/openSUSE:Factory/.libsoup.new/libsoup.changes 2016-09-21 
18:40:11.0 +0200
@@ -1,0 +2,40 @@
+Tue Sep 20 08:38:05 UTC 2016 - zai...@opensuse.org
+
+- Update to version 2.56.0:
+  + Added SoupWebsocketConnection:max-incoming-payload-size
+property, to override the default maximum incoming payload
+size (bgo#770022).
+  + Added soup-version.h symbols (in particular
+soup_check_version()) to introspection (bgo#771439).
+  + Updated the copy of the public suffix list used by SoupTLD
+(bgo#769650).
+  + Updated translations.
+
+---
+Tue Aug 16 12:58:15 UTC 2016 - dims...@opensuse.org
+
+- Update to version 2.55.90:
+  + Removed support for SSLv3 fallback; sites that reject TLS 1.x
+handshakes will now just fail with an error (Firefox and Chrome
+have both already switched to this behavior) (bgo#765940).
+  + Fixed the parsing of s in the new GVariant-based XMLRPC
+code (bgo#767707).
+  + Fixed soup_server_set_ssl_cert_file(), which was added in 2.48
+but didn't actually work.
+  + Added GObject properties to SoupLogger to make it
+bindings-friendly (bgo#768053).
+  + Fixed build error on FreeBSD (bgo#765376).
+  + Fixed build with certain new versions of glibc that define
+"EOF" as a macro (bgo#768731).
+  + Updated m4/ax_code_coverage.m4 with support for lcov 1.12.
+  + Updated po files for future gettext versions.
+  + Updated translations.
+- Drop libsoup-Prefix-signal-ID.patch: fixed upstream.
+
+---
+Tue Jul 26 19:23:45 UTC 2016 - zai...@opensuse.org
+
+- Add libsoup-Prefix-signal-ID.patch: Buildfix commit from
+  upstream git.
+
+---

Old:

  libsoup-2.54.1.tar.xz

New:

  libsoup-2.56.0.tar.xz



Other differences:
--
++ libsoup.spec ++
--- /var/tmp/diff_new_pack.uqx0bQ/_old  2016-09-21 18:40:12.0 +0200
+++ /var/tmp/diff_new_pack.uqx0bQ/_new  2016-09-21 18:40:12.0 +0200
@@ -20,10 +20,10 @@
 Summary:HTTP client/server library for GNOME
 License:LGPL-2.1+
 Group:  Development/Libraries/GNOME
-Version:2.54.1
+Version:2.56.0
 Release:0
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/libsoup/2.54/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/libsoup/2.56/%{name}-%{version}.tar.xz
 Source99:   baselibs.conf
 BuildRequires:  glib-networking
 BuildRequires:  glib2-devel >= 2.38.0

++ libsoup-2.54.1.tar.xz -> libsoup-2.56.0.tar.xz ++
 10743 lines of diff (skipped)




commit gnome-shell for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-shell for openSUSE:Factory 
checked in at 2016-09-21 18:39:55

Comparing /work/SRC/openSUSE:Factory/gnome-shell (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-shell.new (New)


Package is "gnome-shell"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-shell/gnome-shell.changes  2016-09-11 
00:52:12.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-shell.new/gnome-shell.changes 
2016-09-21 18:39:56.0 +0200
@@ -1,0 +2,132 @@
+Mon Sep 19 22:59:37 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Misc. bug fixes: bgo#771391, bgo#771536, bgo#771656.
+  + Updated translations.
+
+---
+Tue Sep 13 20:55:50 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Adjust screen capture to work with multiple stage views
+(bgo#770128).
+  + Improve handling of cycle shortcuts (bgo#771063).
+  + Fix windows not getting undimmed in some cases (bgo#770163,
+bgo#752524).
+  + Disable extension version check by default (bgo#770887).
+  + Misc. bug fixes: bgo#770382, bgo#770888, bgo#770328.
+  + Updated translations.
+
+---
+Fri Sep  9 16:41:00 CST 2016 - cxi...@suse.com
+
+- Fix gnome-shell-gdm-login-applet.patch (boo#995296)
+  + Fix aboutMenu's distribution name to be more general, like openSUSE Leap
+  support.
+
+---
+Tue Aug 30 11:28:02 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + Updated translations.
+
+---
+Fri Aug 19 22:16:19 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90.1:
+  + Add translator comments to .desktop files.
+  + recorder: Print absolute path if output file can't be opened.
+  + Updated translations.
+
+---
+Fri Aug 19 22:16:18 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Improve on-screen keyboard on wayland (bgo#765009).
+  + Bugs fixed: bgo#769156, bgo#769216, bgo#769074.
+  + Updated translations.
+- Drop intltool BuildRequires following upstream changes.
+- Drop gnome-shell-fix-missing-return.patch: Fixed upstream.
+
+---
+Fri Aug 19 22:16:17 UTC 2016 - zai...@opensuse.org
+
+- Add global Requires exclude for the now private typelib(Meta)
+  from mutter.
+- Following the above, add an explicit mutter Requires to ensure
+  pulling in mutter with the now private typelib.
+
+---
+Fri Aug 19 22:16:16 UTC 2016 - badshah...@gmail.com
+
+- Update to version 3.21.4:
+  + overview: Fix switching workspaces when scrolling on
+non-primary monitors (bgo#766883, bgo#768316).
+  + Fix crash when using screen recorder under wayland
+(bgo#767001).
+  + Update theme on video memory purge errors (bgo#739178).
+  + Free old backgrounds immediately (bgo#766353).
+  + Add support for system upgrades to end session dialog
+(bgo#763611).
+  + Fix maximized windows flickering to the wrong size on restart
+(bgo#761566).
+  + Hide ignored events in calendar as well (bgo#768538).
+  + calendar: Only hide dismissed occurrence of recurring event
+(bgo#748226).
+  + Provide org.freedesktop.impl.portal.access implementation
+(bgo#768669).
+  + Bugs fixed: bgo#767954, bgo#768317, bgo#746867, bgo#762206,
+bgo#768956, bgo#768979.
+  + Updated translations.
+- Drop gnome-shell-background-free-MetaBackground.patch: Fixed
+  upstream.
+
+---
+Fri Aug 19 22:16:15 UTC 2016 - dims...@opensuse.org
+
+- Add gnome-shell-linking.patch: Fix linking the private mutter
+  libraries.
+- Add gnome-commons BuildRequires and call to autoreconf, as above
+  patch touches the buildsystem.
+
+---
+Fri Aug 19 22:16:14 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Do not disable suspend action when locked (bgo#725960).
+  + Remember input sources MRU list (bgo#766826).
+  + networkAgent: Handle VPN service aliases (bgo#658484).
+  + Plug a memory leak (bgo#710230).
+  + Updated translations.
+
+---
+Fri Aug 19 22:16:13 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.2:
+  + Fix sorting of hidden apps in app switcher (bgo#766238).
+  + Set logind's LockedHint property when locked (bgo#764773).
+  + Allocate framebuffers early to fix a crash on NVIDIA
+(bgo#764898).
+  + Fix cycle-windows/cycle-group keybindings (bgo#730739).
+  + 

commit mutter for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package mutter for openSUSE:Factory checked 
in at 2016-09-21 18:39:40

Comparing /work/SRC/openSUSE:Factory/mutter (Old)
 and  /work/SRC/openSUSE:Factory/.mutter.new (New)


Package is "mutter"

Changes:

--- /work/SRC/openSUSE:Factory/mutter/mutter.changes2016-08-28 
12:17:30.0 +0200
+++ /work/SRC/openSUSE:Factory/.mutter.new/mutter.changes   2016-09-21 
18:39:42.0 +0200
@@ -2 +2,150 @@
-Sat Jul 30 03:45:15 CEST 2016 - h...@suse.com
+Mon Sep 19 22:51:36 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Fix wayland crashes (bgo#771305, bgo#771345, bgo#770940,
+bgo#771495).
+  + Fix display rotation on wayland (bgo#770672).
+  + Fix framebuffer capture origin offset (bgo#771502).
+  + Misc. bug fixes (bgo#770937, bgo#771536, bgo#771628,
+bgo#771549).
+  + Updated translations.
+- Only apply mutter-bsc984738-grab-display.patch for SLE until it
+  can be verified that it's needed for 3.22.x too.
+
+---
+Tue Sep 13 20:30:58 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Fix absolute pointer motion events on wayland (bgo#770557).
+  + Default to using stage views (bgo#770366).
+  + Fix animated cursors on wayland (bgo#749913).
+  + Fix various crashes on wayland (bgo#757568, bgo#770727,
+bgo#770992).
+  + Fix screen capture for stage views not at (0, 0) (bgo#770127).
+  + Compress motion events instead of discarding them (bgo#771049).
+  + Fix XWayland pointer warp emulation (bgo#771050).
+  + Add common monitor modes in KMS backend (bgo#744544).
+  + Temporarily use g-s-d schemas for tablet configuration
+(bgo#771315).
+  + Misc. bug fixes: bgo#770402, bgo#770647, bgo#770991,
+bgo#770994, bgo#770929.
+  + Updated translations.
+
+---
+Tue Aug 30 10:54:29 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + Add support for xdg-foreign protocol (bgo#769786).
+  + Support monitor rotation on wayland (bgo#745079).
+  + Port xdg-shell implementation to unstable v6 (bgo#769936).
+  + Handle unsupported buffer sizes more gracefully (bgo#770387).
+  + Use the same output naming logic as the X server on wayland
+(bgo#770338).
+  + Fix replies in gnome-shell's chat notifications on wayland
+(bgo#758167).
+  + Misc. bug fixes and cleanups: bgo#769276, bgo#769636,
+bgo#770131, bgo#770324, bgo#769731.
+  + Updated translations.
+
+---
+Fri Aug 19 22:03:16 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Consider XDG_SESSION_TYPE when determining session type
+(bgo#759388).
+  + Re-add support for edge scrolling on some touchpads
+(bgo#768245).
+  + Support mouse and trackball acceleration profile (bgo#769179).
+  + Draw monitor contentn to individual framebuffer (bgo#768976).
+  + Support virtual input devices (bgo#765009).
+  + Set correct output scale on hotplug (bgo#769505).
+  + Bugs fixed: bgo#769014, bgo#769024, bgo#769054, bgo#769070,
+bgo#769036, bgo#769305, bgo#769578, bgo#769800, bgo#769073.
+- Drop mutter-32bit-cogl-gles2-conflict-def.patch: Fixed upstream.
+- Drop intltool BuildRequires following upstream changes.
+
+---
+Thu Aug 18 19:07:19 UTC 2016 - zai...@opensuse.org
+
+- Obsolete typelib-1_0-Meta-3_0 to ease updates.
+
+---
+Wed Aug 17 20:43:03 UTC 2016 - dims...@opensuse.org
+
+- Filter out private typelib provides. Providing those only breaks
+  other applications, as they won't be able to find our typelibs.
+
+---
+Sun Aug  7 11:08:59 UTC 2016 - zai...@opensuse.org
+
+- Drop typelib-1_0-Meta-3_0 subpackage, and package typelib in main
+  package with the other private libs. Following this, drop
+  typelib-1_0-Meta-3_0 Requires from devel package.
+
+---
+Sat Jul 30 03:45:19 UTC 2016 - badshah...@gmail.com
+
+- Update to version 3.21.4:
+  + Fix missing frame border around GTK+ dialogs (bgo#745060).
+  + Improve X11 <-> wayland copy and paste interaction (bgo#768007).
+  + Add support for NV_robustness_video_memory_purge extension
+(bgo#739178).
+  + Fix restoring the old focused window on restart (bgo#766243).
+  + Fix fullscreen windows on other monitors stealing focus after
+closing a window (bgo#768221).
+  + Draw monitor content to individual framebuffer (bgo#768976).
+  + Provide screen capture API (bgo#768978).
+  + Bugs fixed: bgo#767969, bgo#768243, bgo#762407, bgo#767997,
+bgo#768039, bgo#768977, 

commit zenity for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package zenity for openSUSE:Factory checked 
in at 2016-09-21 18:39:28

Comparing /work/SRC/openSUSE:Factory/zenity (Old)
 and  /work/SRC/openSUSE:Factory/.zenity.new (New)


Package is "zenity"

Changes:

--- /work/SRC/openSUSE:Factory/zenity/zenity.changes2016-06-03 
16:33:35.0 +0200
+++ /work/SRC/openSUSE:Factory/.zenity.new/zenity.changes   2016-09-21 
18:39:30.0 +0200
@@ -1,0 +2,9 @@
+Mon Sep 19 22:14:31 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Several fixes for proper translations.
+  + Updated translations.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+
+---

Old:

  zenity-3.20.0.tar.xz

New:

  zenity-3.22.0.tar.xz



Other differences:
--
++ zenity.spec ++
--- /var/tmp/diff_new_pack.iDMhrM/_old  2016-09-21 18:39:31.0 +0200
+++ /var/tmp/diff_new_pack.iDMhrM/_new  2016-09-21 18:39:31.0 +0200
@@ -17,16 +17,18 @@
 
 
 Name:   zenity
-Version:3.20.0
+Version:3.22.0
 Release:0
 Summary:GNOME Command Line Dialog Utility
 License:LGPL-2.1+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org/
-Source: 
http://download.gnome.org/sources/zenity/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/zenity/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  intltool
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  yelp-tools
 BuildRequires:  pkgconfig(glib-2.0)
 BuildRequires:  pkgconfig(gtk+-3.0)
@@ -49,7 +51,9 @@
 %lang_package
 %prep
 %setup -q
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 
 %build
 %configure

++ zenity-3.20.0.tar.xz -> zenity-3.22.0.tar.xz ++
 12154 lines of diff (skipped)




commit libinput for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package libinput for openSUSE:Factory 
checked in at 2016-09-21 18:24:50

Comparing /work/SRC/openSUSE:Factory/libinput (Old)
 and  /work/SRC/openSUSE:Factory/.libinput.new (New)


Package is "libinput"

Changes:

--- /work/SRC/openSUSE:Factory/libinput/libinput.changes2016-09-09 
10:18:19.0 +0200
+++ /work/SRC/openSUSE:Factory/.libinput.new/libinput.changes   2016-09-21 
18:24:52.0 +0200
@@ -1,0 +2,29 @@
+Thu Sep 15 19:16:54 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.5.0:
+  * A large part of this release cycle was internal cleanups and
+improvements to the test suite, only few new features were
+added.
+  * libinput has built-in palm detection when the trackpoint is in
+use. The Lenovo *60 series (and possibly others) randomly send
+a single trackpoint event which used to trigger this palm
+detection and disable the touchpad for 300ms. To the user, this
+looked like a stuttering touchpad. This is fixed now.
+  * For touchpads, we now have a new configuration option to allow
+a 1/2/3 finger tap be mapped to left, middle and right,
+respectively. The default remains at left/right/middle.
+  * In the disable-while-typing code we now ignore modifier
+combinations like ctrl+s to avoid unnecessary timeouts and
+delays.
+  * Other touchpad-related fixes include more responsive two-finger
+scrolling and better touch point transition handling (i.e. less
+pointer jumps after tapping and two-finger scrolling).
+  * For tablets we now have automatic touch arbitration in
+userspace, i.e. we disable the touch input whenever a pen is in
+proximity to avoid erroneous pointer moves. Touch arbitration
+is currently handled by the kernel but is being phased out over
+the next couple of kernel releases. In the future this may
+allow for smart touch arbitration based on input areas, for now
+we simply copy the kernel's behavior and turn touch events off.
+
+---

Old:

  libinput-1.4.2.tar.xz
  libinput-1.4.2.tar.xz.sig

New:

  libinput-1.5.0.tar.xz
  libinput-1.5.0.tar.xz.sig



Other differences:
--
++ libinput.spec ++
--- /var/tmp/diff_new_pack.b53VBY/_old  2016-09-21 18:24:53.0 +0200
+++ /var/tmp/diff_new_pack.b53VBY/_new  2016-09-21 18:24:53.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   libinput
 %define lname  libinput10
-Version:1.4.2
+Version:1.5.0
 Release:0
 Summary:Input device and event processing library
 License:MIT

++ libinput-1.4.2.tar.xz -> libinput-1.5.0.tar.xz ++
 12704 lines of diff (skipped)




commit PackageKit for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package PackageKit for openSUSE:Factory 
checked in at 2016-09-21 18:39:14

Comparing /work/SRC/openSUSE:Factory/PackageKit (Old)
 and  /work/SRC/openSUSE:Factory/.PackageKit.new (New)


Package is "PackageKit"

Changes:

--- /work/SRC/openSUSE:Factory/PackageKit/PackageKit.changes2016-09-05 
21:14:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.PackageKit.new/PackageKit.changes   
2016-09-21 18:39:16.0 +0200
@@ -1,0 +2,66 @@
+Mon Sep 19 20:26:10 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.1.4:
+  + Backends:
+- aptcc:
+  . Add get-files-local support.
+  . Add support for pk_backend_get_details_local.
+  . Add support for searching for relative paths.
+  . Convert a few more loops to C++11 range for.
+  . Drop DebFile helper class.
+  . Fix locating package which a file list belongs to.
+  . Fix NULL assertion warning.
+  . Fix typo.
+  . Install local files using APT API.
+  . Update pk-matrix for GetDetailsLocal.
+  . Use C++11 range for loops.
+  . Use FindGrp instead of manual matching every package when
+resolving.
+- apt: Remove reference from pk-matrix.html.
+- dnf: Port from libhif to libdnf.
+- hif/dnf:
+  . Fix a tiny memory leak when installing packages.
+  . Fix a tiny memory leak when invalidating repo cache.
+- zypp:
+  . Pass the patch "Application Restart Suggested" flag down
+to PK.
+  . Return error if invalid package IDs are detected.
+  + New Features:
+- Add a new DNF backend.
+- Use GetFilesLocal in pkcon get-files if argument is a file.
+  + Bugfixes:
+- Add a new REPO_ALREADY_SET error enum and use it in backends.
+- Annotate PreparedUpgrade DBus property for usage in
+  PackageKit-Qt.
+- Change the configuration of the cron script to a
+  sysconfig-like config.
+- Do not try to exec plymouth if it is not installed.
+- Don't crash when emitting PropertiesChanged for NULL values.
+- Fix a leak in get_prepared_sack().
+- Fix a tiny memory leak on error path.
+- Fix a tiny memory leak when setting a proxy.
+- Fix "cache-age changed to -1" debug message (when cache-age
+  is G_MAXUINT).
+- Fix two small memory leaks when processing signals from the
+  daemon.
+- Fix updates and change code to aid in not breaking this again
+  (gh#hughsie/PackageKit#149).
+- Fix various g_variant_get ^a leaks.
+- Invalidate PreparedUpgrade property when the prepared file
+  changes.
+- Look for command-not-found dbus socket in /run instead of
+  /var/run.
+- Remove declaration of non-existent
+  pk_task_{get,set}_interactive().
+- Drop
+  0001-Change-the-configuration-of-the-cron-script-to-a-sys.patch,
+  PackageKit-dbus-location.patch,
+  PackageKit-annotate-dbus-interface.patch,
+  0001-zypp-Return-error-if-invalid-package-IDs-are-detecte.patch
+  and 
bnc#881245-update-test-affects-package-manager-should-restart-gpk-update-viewer.patch:
+  Fixed upstream.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+- Stop passing V=1 to make, we do debugging locally.
+
+---

Old:

  0001-Change-the-configuration-of-the-cron-script-to-a-sys.patch
  0001-zypp-Return-error-if-invalid-package-IDs-are-detecte.patch
  PackageKit-1.1.3.tar.xz
  PackageKit-1.1.3.tar.xz.asc
  PackageKit-annotate-dbus-interface.patch
  PackageKit-dbus-location.patch
  
bnc#881245-update-test-affects-package-manager-should-restart-gpk-update-viewer.patch

New:

  PackageKit-1.1.4.tar.xz
  PackageKit-1.1.4.tar.xz.asc



Other differences:
--
++ PackageKit.spec ++
--- /var/tmp/diff_new_pack.tp036y/_old  2016-09-21 18:39:17.0 +0200
+++ /var/tmp/diff_new_pack.tp036y/_new  2016-09-21 18:39:17.0 +0200
@@ -20,7 +20,7 @@
 %define BUILD_CNF 0
 %define with_offline_updates 1
 Name:   PackageKit
-Version:1.1.3
+Version:1.1.4
 Release:0
 Summary:Simple software installation management software
 License:GPL-2.0+
@@ -30,18 +30,8 @@
 Source1:
http://www.freedesktop.org/software/PackageKit/releases/%{name}-%{version}.tar.xz.asc
 Source2:baselibs.conf
 Source99:   PackageKit.keyring
-# PATCH-FEATURE-OPENSUSE 
0001-Change-the-configuration-of-the-cron-script-to-a-sys.patch 
vu...@opensuse.org -- Change the configuration of the cron script to a 
sysconfig-like config
-Patch1: 0001-Change-the-configuration-of-the-cron-script-to-a-sys.patch
-# PATCH-FIX-UPSTREAM PackageKit-dbus-location.patch bnc#829944 

commit baobab for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package baobab for openSUSE:Factory checked 
in at 2016-09-21 18:33:00

Comparing /work/SRC/openSUSE:Factory/baobab (Old)
 and  /work/SRC/openSUSE:Factory/.baobab.new (New)


Package is "baobab"

Changes:

--- /work/SRC/openSUSE:Factory/baobab/baobab.changes2016-06-03 
16:28:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.baobab.new/baobab.changes   2016-09-21 
18:33:01.0 +0200
@@ -1,0 +2,24 @@
+Sun Sep 18 19:41:26 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updated translations.
+
+---
+Mon Sep 12 19:42:08 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Updated translations.
+
+---
+Tue Aug 16 20:30:38 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Stop using intltool.
+  + Rejig 'devices and locations' UI.
+  + Updated AppData.
+  + Misc bugfixes.
+  + Updated documentations translations.
+  + Updated translations.
+- Drop intltool BuildRequires following upstream changes.
+
+---

Old:

  baobab-3.20.1.tar.xz

New:

  baobab-3.22.0.tar.xz



Other differences:
--
++ baobab.spec ++
--- /var/tmp/diff_new_pack.SU1gsW/_old  2016-09-21 18:33:02.0 +0200
+++ /var/tmp/diff_new_pack.SU1gsW/_new  2016-09-21 18:33:02.0 +0200
@@ -18,14 +18,13 @@
 
 
 Name:   baobab
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:Disk Usage Analyzer
 License:GPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/baobab/3.20/%{name}-%{version}.tar.xz
-BuildRequires:  intltool
+Source: 
http://download.gnome.org/sources/baobab/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  update-desktop-files
 BuildRequires:  vala >= 0.25.1
 BuildRequires:  yelp-tools

++ baobab-3.20.1.tar.xz -> baobab-3.22.0.tar.xz ++
 78357 lines of diff (skipped)




commit nautilus for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package nautilus for openSUSE:Factory 
checked in at 2016-09-21 18:39:03

Comparing /work/SRC/openSUSE:Factory/nautilus (Old)
 and  /work/SRC/openSUSE:Factory/.nautilus.new (New)


Package is "nautilus"

Changes:

--- /work/SRC/openSUSE:Factory/nautilus/nautilus.changes2016-09-05 
21:11:57.0 +0200
+++ /work/SRC/openSUSE:Factory/.nautilus.new/nautilus.changes   2016-09-21 
18:39:05.0 +0200
@@ -1,0 +2,56 @@
+Mon Sep 19 20:11:47 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Increase gtk+ depencency version.
+  + Updated translations.
+
+---
+Wed Sep 14 08:17:34 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Fix libgd warning.
+  + Numerous batch renaming improvements and fixes.
+  + Detect .bz and .xz as extensions for renaming.
+  + Fix operations popover too small.
+  + Add dummy --no-desktop option so Dropbox plugin works again.
+  + Fix build when using the --disable-tracker compile time option.
+  + Updated translations.
+- Run spec-clean: Updates macros to current standard and adds
+  pkgconfig BuildRequires, also removes obsolete clean section.
+- Conditionally BuildRequire and apply gnome-patch-translate and
+  translations-update-upstream for non-openSUSE only.
+- Drop nautilus2-devel Obsoletes/Provides: We do not support
+  upgrading from any version where this would apply.
+
+---
+Fri Sep  2 19:58:02 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91.1:
+  + mime-actions: Fix shift+control+down segfault on a folder.
+  + Use templates for glib-mkenums.
+  + Fix compiler warning.
+  + batch-rename-utilities:
+- Protect against null error.
+- Print warnings if query goes wrong.
+  + file-undo-operations: Add plural support for strings.
+  + batch-rename-dialog: Add plural support for strings.
+  + Updated translations.
+- Drop nautilus-fix-compiler-warning.patch: Fixed upstream.
+
+---
+Wed Aug 31 08:40:37 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.21.91:
+  + Implement batch renaming tool.
+  + Implement compressed files support.
+  + Rework the view menus.
+  + Separate desktop handling from Nautilus.
+  + Add missing cut shortcut.
+  + Add = as "zoom in" shortcut.
+- Add pkgconfig(gnome-autoar-0) BuildRequires: new dependency.
+- Rebase nautilus-enable-eject-option-on-selection-menu.patch and
+  nautilus-fix-desktop-icon-smash.patch.
+- Add nautilus-fix-compiler-warning.patch: Fix function potentially
+  reching the end without returning a value.
+
+---

Old:

  nautilus-3.20.3.tar.xz

New:

  nautilus-3.22.0.tar.xz



Other differences:
--
++ nautilus.spec ++
--- /var/tmp/diff_new_pack.ssobhP/_old  2016-09-21 18:39:07.0 +0200
+++ /var/tmp/diff_new_pack.ssobhP/_new  2016-09-21 18:39:07.0 +0200
@@ -17,39 +17,38 @@
 
 
 Name:   nautilus
-Version:3.20.3
+Version:3.22.0
 Release:0
 Summary:File Manager for the GNOME Desktop
 License:GPL-2.0+
 Group:  Productivity/File utilities
-Source: 
http://download.gnome.org/sources/nautilus/3.20/%{name}-%{version}.tar.xz
+Url:http://www.gnome.org
+Source: 
http://download.gnome.org/sources/nautilus/3.22/%{name}-%{version}.tar.xz
 # fate#308344 bgo#602147
 Source1:mount-archive.desktop
 Source99:   baselibs.conf
 # PATCH-FIX-UPSTREAM nautilus-enable-eject-option-on-selection-menu.patch 
bsc#981950 bgo#768355 ty...@suse.com -- Enable eject option on selection menu
 Patch0: nautilus-enable-eject-option-on-selection-menu.patch
 # PATCH-FIX-UPSTREAM nautilus-fix-desktop-icon-smash.patch bsc#979072 
bgo#765601 qz...@suse.com -- Fix icons smash at first boot
-Patch2: nautilus-fix-desktop-icon-smash.patch
-Url:http://www.gnome.org
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+Patch1: nautilus-fix-desktop-icon-smash.patch
 # needed for directory ownership
 BuildRequires:  dbus-1
 BuildRequires:  fdupes
-BuildRequires:  gnome-patch-translation
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  gtk-doc
 BuildRequires:  intltool >= 0.50
 BuildRequires:  libselinux-devel
 # We need the %%mime_database_* macros
+BuildRequires:  pkgconfig
 BuildRequires:  shared-mime-info
-BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(exempi-2.0) >= 2.1.0
 BuildRequires:  pkgconfig(gail-3.0)
 BuildRequires:  

commit gspell for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gspell for openSUSE:Factory checked 
in at 2016-09-21 18:32:15

Comparing /work/SRC/openSUSE:Factory/gspell (Old)
 and  /work/SRC/openSUSE:Factory/.gspell.new (New)


Package is "gspell"

Changes:

--- /work/SRC/openSUSE:Factory/gspell/gspell.changes2016-08-31 
00:04:11.0 +0200
+++ /work/SRC/openSUSE:Factory/.gspell.new/gspell.changes   2016-09-21 
18:32:17.0 +0200
@@ -1,0 +2,40 @@
+Sun Sep 18 08:39:15 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.2.0:
+  + Updated translations.
+
+---
+Sun Aug 14 10:35:01 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.1.3:
+  + Add the gspell_text_view_basic_setup() convenience function to
+enable inline spell-checking in a GtkTextView in 2 lines.
+  + Support words separated by dashes (compounds).
+  + Use the AX_VALGRIND_CHECK Autotools macro.
+  + Updated translations.
+- Add pkgconfig(valgrind) BuildRequires: Build the new valgrind
+  support.
+- Pass --enable-gtk-doc to configure: Actually build the
+  documentation, we already have the needed BuildRequires in place.
+
+---
+Sun Jul 17 19:14:31 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.1.2:
+  + Inline checker: fix constant redrawing of the GtkTextView when
+the current word is not checked.
+  + Generate enum types.
+  + Updated translations.
+
+---
+Wed Jul 13 15:02:15 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.1.1:
+  + New API: inline checker: add an option to select the language
+from the context menu (right-click menu).
+  + Fix gtk-doc build issue.
+  + Update GtkTextRegion -> GtkSourceRegion (utility class copied
+from the GtkSourceView library).
+  + Updated translations.
+
+---

Old:

  gspell-1.0.3.tar.xz

New:

  gspell-1.2.0.tar.xz



Other differences:
--
++ gspell.spec ++
--- /var/tmp/diff_new_pack.ZtB1Qg/_old  2016-09-21 18:32:18.0 +0200
+++ /var/tmp/diff_new_pack.ZtB1Qg/_new  2016-09-21 18:32:18.0 +0200
@@ -19,20 +19,21 @@
 %define shlib lib%{name}-1-1
 
 Name:   gspell
-Version:1.0.3
+Version:1.2.0
 Release:0
 Summary:A spell checker library for gtk+ applications
 License:LGPL-2.1+
 Group:  Development/Libraries/GNOME
 Url:https://wiki.gnome.org/Projects/gspell
-Source: 
http://download.gnome.org/sources/gspell/1.0/%{name}-%{version}.tar.xz
-BuildRequires:  gtk-doc >= 1.24
+Source: 
http://download.gnome.org/sources/gspell/1.2/%{name}-%{version}.tar.xz
+BuildRequires:  gtk-doc >= 1.25
 BuildRequires:  pkg-config
 BuildRequires:  pkgconfig(enchant) >= 1.6.0
 BuildRequires:  pkgconfig(glib-2.0) >= 2.44
 BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.42.0
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.11
 BuildRequires:  pkgconfig(iso-codes) >= 0.35
+BuildRequires:  pkgconfig(valgrind)
 BuildRequires:  pkgconfig(vapigen)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -80,7 +81,9 @@
 %setup -q
 
 %build
-%configure --disable-static
+%configure \
+   --disable-static \
+   --enable-gtk-doc
 make %{?_smp_mflags}
 
 %install

++ gspell-1.0.3.tar.xz -> gspell-1.2.0.tar.xz ++
 7711 lines of diff (skipped)




commit totem for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package totem for openSUSE:Factory checked 
in at 2016-09-21 18:32:40

Comparing /work/SRC/openSUSE:Factory/totem (Old)
 and  /work/SRC/openSUSE:Factory/.totem.new (New)


Package is "totem"

Changes:

--- /work/SRC/openSUSE:Factory/totem/totem.changes  2016-04-22 
16:16:40.0 +0200
+++ /work/SRC/openSUSE:Factory/.totem.new/totem.changes 2016-09-21 
18:32:42.0 +0200
@@ -1,0 +2,16 @@
+Sat Sep 17 09:32:59 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Fix symbolic icon not appearing in gnome-shell's top bar.
+  + Updated translations.
+
+---
+Wed Aug 31 16:24:44 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + Add variable rate playback menu.
+  + Build fixes.
+  + Fix thumbnailing of 4k videos.
+- Drop totem-Fix-build-werror.patch: Fixed upstream.
+
+---

Old:

  totem-3.20.1.tar.xz
  totem-Fix-build-werror.patch

New:

  totem-3.22.0.tar.xz



Other differences:
--
++ totem.spec ++
--- /var/tmp/diff_new_pack.x5t9uu/_old  2016-09-21 18:32:43.0 +0200
+++ /var/tmp/diff_new_pack.x5t9uu/_new  2016-09-21 18:32:43.0 +0200
@@ -19,15 +19,13 @@
 %define build_zeitgeist_plugin 1
 
 Name:   totem
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:Movie Player for the GNOME Desktop
 License:GPL-2.0+ and LGPL-2.1+
 Group:  Productivity/Multimedia/Video/Players
 Url:http://www.gnome.org/projects/totem/
-Source0:
http://download.gnome.org/sources/totem/3.20/%{name}-%{version}.tar.xz
-# PATCH-FIX-UPSTREAM totem-Fix-build-werror.patch bgo#765036 
zai...@opensuse.org -- backend: Fix the build with -Werror=format
-Patch0: totem-Fix-build-werror.patch
+Source0:
http://download.gnome.org/sources/totem/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  appstream-glib
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -36,14 +34,16 @@
 BuildRequires:  gstreamer-utils >= 0.11.93
 BuildRequires:  intltool
 BuildRequires:  lirc-devel
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  vala >= 0.14.1
 BuildRequires:  yelp-tools
 BuildRequires:  pkgconfig(cairo) >= 1.14.0
 BuildRequires:  pkgconfig(clutter-1.0) >= 1.17.3
 BuildRequires:  pkgconfig(clutter-gst-3.0) >= 2.99.2
-BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.6.6
+BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.8.1
 BuildRequires:  pkgconfig(glib-2.0) >= 2.35.0
 BuildRequires:  pkgconfig(gnome-desktop-3.0)
 BuildRequires:  pkgconfig(grilo-0.3) >= 0.3.0
@@ -151,13 +151,14 @@
 %lang_package
 %prep
 %setup -q
-%patch0 -p1
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 
 %build
 %configure\
 --disable-static
-make %{?_smp_mflags} V=1
+make %{?_smp_mflags}
 
 %install
 %make_install
@@ -202,7 +203,8 @@
 %{_datadir}/applications/*.desktop
 %{_datadir}/glib-2.0/schemas/org.gnome.totem.enums.xml
 %{_datadir}/glib-2.0/schemas/org.gnome.totem.gschema.xml
-%{_datadir}/icons/hicolor/*/apps/totem*.*
+%{_datadir}/icons/hicolor/*/apps/org.gnome.Totem-symbolic.svg
+%{_datadir}/icons/hicolor/*/apps/org.gnome.Totem.png
 %dir %{_datadir}/thumbnailers
 %{_datadir}/thumbnailers/totem.thumbnailer
 %{_datadir}/totem/
@@ -241,6 +243,7 @@
 %{_libdir}/totem/plugins/screenshot/
 %{_libdir}/totem/plugins/skipto/
 %{_libdir}/totem/plugins/vimeo/
+%{_libdir}/totem/plugins/variable-rate/
 %{_datadir}/GConf/gsettings/opensubtitles.convert
 %{_datadir}/GConf/gsettings/pythonconsole.convert
 %{_datadir}/glib-2.0/schemas/org.gnome.totem.plugins.opensubtitles.gschema.xml

++ totem-3.20.1.tar.xz -> totem-3.22.0.tar.xz ++
 70908 lines of diff (skipped)




commit gedit for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gedit for openSUSE:Factory checked 
in at 2016-09-21 18:33:11

Comparing /work/SRC/openSUSE:Factory/gedit (Old)
 and  /work/SRC/openSUSE:Factory/.gedit.new (New)


Package is "gedit"

Changes:

--- /work/SRC/openSUSE:Factory/gedit/gedit.changes  2016-06-03 
16:28:54.0 +0200
+++ /work/SRC/openSUSE:Factory/.gedit.new/gedit.changes 2016-09-21 
18:33:13.0 +0200
@@ -1,0 +2,25 @@
+Sun Sep 18 19:49:49 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Misc bugfixes.
+  + Updated translations.
+
+---
+Sun Aug 21 14:39:55 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Misc bugfixes.
+  + Updated translations.
+- Drop gedit-remove-geometry.patch: Fixed upstream.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+- Stop passing V=1 to make, debugging is done locally. No need to
+  clutter buildlogs.
+
+---
+Sun Jul 31 08:43:15 UTC 2016 - zai...@opensuse.org
+
+- Add gedit-remove-geometry.patch: Remove --geometry command line
+  option (deprecated in GTK+).
+
+---

Old:

  gedit-3.20.2.tar.xz

New:

  gedit-3.22.0.tar.xz



Other differences:
--
++ gedit.spec ++
--- /var/tmp/diff_new_pack.rJBuGd/_old  2016-09-21 18:33:14.0 +0200
+++ /var/tmp/diff_new_pack.rJBuGd/_new  2016-09-21 18:33:14.0 +0200
@@ -19,13 +19,13 @@
 %define _with_gi_python 1
 
 Name:   gedit
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:Small and lightweight UTF-8 text editor
 License:GPL-2.0+
 Group:  Productivity/Text/Editors
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gedit/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gedit/3.22/%{name}-%{version}.tar.xz
 # PATCH-FIX-OPENSUSE gedit-desktop.patch -- Adds more MIME types.
 Patch0: gedit-desktop.patch
 BuildRequires:  fdupes
@@ -35,7 +35,9 @@
 BuildRequires:  intltool >= 0.50.1
 BuildRequires:  iso-codes-devel
 BuildRequires:  python >= 3.2.3
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  yelp-tools
 BuildRequires:  pkgconfig(gio-2.0) >= 2.44
@@ -103,13 +105,15 @@
 %lang_package
 %prep
 %setup -q
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 %patch0 -p0
 
 %build
 %configure \
 --enable-python
-make %{?_smp_mflags} V=1
+make %{?_smp_mflags}
 
 %install
 %make_install

++ gedit-3.20.2.tar.xz -> gedit-3.22.0.tar.xz ++
 62832 lines of diff (skipped)




commit gnome-calculator for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-calculator for 
openSUSE:Factory checked in at 2016-09-21 18:38:52

Comparing /work/SRC/openSUSE:Factory/gnome-calculator (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-calculator.new (New)


Package is "gnome-calculator"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-calculator/gnome-calculator.changes
2016-08-24 10:07:05.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-calculator.new/gnome-calculator.changes   
2016-09-21 18:38:54.0 +0200
@@ -1,0 +2,39 @@
+Mon Sep 19 20:02:16 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Fix base change for log, fixes bgo#748729.
+  + Math buttons: fix a (potential) crash loading financial
+dialogs.
+  + Updated translations.
+
+---
+Mon Sep 12 19:16:59 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Fix the build.
+  + Updated translations.
+
+---
+Sat Aug 20 11:18:38 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Added 'period' keypress when the delete key on the numpad is
+pressed.
+  + lib: prevents segfault when elements of division to zero have
+null assigned tokens (bgo#769364).
+  + Add Language headers to po files.
+  + Updated translations.
+
+---
+Sat Aug 20 11:18:37 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.2:
+  + Distribute history-view.ui and history-entry.ui.
+  + Updated translations.
+- Drop gcalctool and gcalctool-lang Obsoletes: Removed since 3.8.0
+  release, there is no openSUSE release with GNOME that old.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+- Drop history-entry.ui and history-view.ui: No longer missing.
+
+---

Old:

  gnome-calculator-3.20.2.tar.xz
  history-entry.ui
  history-view.ui

New:

  gnome-calculator-3.22.0.tar.xz



Other differences:
--
++ gnome-calculator.spec ++
--- /var/tmp/diff_new_pack.LgeIve/_old  2016-09-21 18:38:55.0 +0200
+++ /var/tmp/diff_new_pack.LgeIve/_new  2016-09-21 18:38:55.0 +0200
@@ -17,20 +17,19 @@
 
 
 Name:   gnome-calculator
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:A GNOME Calculator Application
 License:GPL-3.0+
 Group:  Productivity/Scientific/Math
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-calculator/3.20/%{name}-%{version}.tar.xz
-# Source files that were missing in the tarball
-Source1:history-entry.ui
-Source2:history-view.ui
+Source: 
http://download.gnome.org/sources/gnome-calculator/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  intltool >= 0.50
 BuildRequires:  mpfr-devel
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  yelp-tools
 BuildRequires:  pkgconfig(gio-2.0) >= 2.40
@@ -40,11 +39,6 @@
 BuildRequires:  pkgconfig(libsoup-2.4) >= 2.42
 BuildRequires:  pkgconfig(libxml-2.0)
 Recommends: %{name}-lang
-# gcactool was renamed to gnome-calculator. Last known version was 6.6.2
-Obsoletes:  gcalctool <= 6.6.2
-# gcalctool-lang package should be obsoleted, obviously by the -lang package, 
but that's not possible.
-# So for an easy upgrade path, we obsolete it in the main package.
-Obsoletes:  gcalctool-lang <= 6.6.2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %glib2_gsettings_schema_requires
 
@@ -64,8 +58,9 @@
 %lang_package
 %prep
 %setup -q
-cp %{S:1} %{S:2} data/
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 
 %build
 %configure \

++ gnome-calculator-3.20.2.tar.xz -> gnome-calculator-3.22.0.tar.xz ++
 24197 lines of diff (skipped)




commit gdm for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gdm for openSUSE:Factory checked in 
at 2016-09-21 18:38:41

Comparing /work/SRC/openSUSE:Factory/gdm (Old)
 and  /work/SRC/openSUSE:Factory/.gdm.new (New)


Package is "gdm"

Changes:

--- /work/SRC/openSUSE:Factory/gdm/gdm.changes  2016-08-24 10:06:35.0 
+0200
+++ /work/SRC/openSUSE:Factory/.gdm.new/gdm.changes 2016-09-21 
18:38:44.0 +0200
@@ -1,0 +2,50 @@
+Mon Sep 19 19:55:24 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Autologin fixes.
+  + Updated translations.
+
+---
+Wed Aug 31 21:43:25 UTC 2016 - dims...@opensuse.org
+
+- Rebase gdm-xauthlocalhostname.patch: boo#538064 is still
+  applicable and the patch still required.
+
+---
+Wed Aug 31 20:35:51 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + Fix autologin on non-LUKS systems.
+  + Import environment from systemd user manager.
+
+---
+Thu Aug 25 12:39:58 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.21.90:
+  + Use LUKS password to unlock gnome-keyring at login (when
+autologin is enabled).
+  + Updated translations.
+- Add keyutils-devel BuildRequires: new dependency.
+- Add pam_gdm.so and pam_gnome_keyring.so as optional auth modules
+  to gdm-autologin.pamd: allows to unlock the gnome-keyring when
+  autologin is configured, the disk is encrypted (key cached by
+  systemd) and the gnome-keyring uses the same password as the
+  disk,
+
+---
+Tue Aug 16 09:10:44 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + Small crasher fix.
+  + Updated translations.
+
+---
+Tue Aug 16 09:10:43 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Updated translations.
+- Changes from version 3.21.2:
+  + Import DISPLAY into user bus.
+  + Updated translations.
+
+---

Old:

  gdm-3.20.1.tar.xz

New:

  gdm-3.22.0.tar.xz



Other differences:
--
++ gdm.spec ++
--- /var/tmp/diff_new_pack.gGEX5t/_old  2016-09-21 18:38:45.0 +0200
+++ /var/tmp/diff_new_pack.gGEX5t/_new  2016-09-21 18:38:45.0 +0200
@@ -25,13 +25,13 @@
 %define enable_split_authentication 0
 
 Name:   gdm
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:The GNOME Display Manager
 License:GPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://projects.gnome.org/gdm/
-Source: 
http://download.gnome.org/sources/gdm/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gdm/3.22/%{name}-%{version}.tar.xz
 Source1:gdm.pamd
 Source2:gdm-autologin.pamd
 Source3:gdm-launch-environment.pamd
@@ -70,6 +70,7 @@
 BuildRequires:  gnome-session-core
 BuildRequires:  gobject-introspection-devel >= 0.9.12
 BuildRequires:  iso-codes-devel
+BuildRequires:  keyutils-devel
 BuildRequires:  libXdmcp-devel
 BuildRequires:  libXi-devel
 BuildRequires:  libXinerama-devel
@@ -190,7 +191,7 @@
 %patch8 -p1
 %patch9 -p1
 %patch34 -p1
-#patch35 -p1
+%patch35 -p1
 %patch41 -p1
 %patch42 -p1
 
@@ -247,6 +248,9 @@
 false
 %endif
 ln -s gdm $RPM_BUILD_ROOT/etc/pam.d/gdm-password
+# move the pam module out of _prefix
+mkdir -p %{buildroot}/%{_lib}/security
+mv %{buildroot}%{_libdir}/security/pam_gdm.so %{buildroot}/%{_lib}/security/
 ## Install other files
 # Install PostLogin script.
 mv $RPM_BUILD_ROOT%{_sysconfdir}/gdm/PostLogin/Default.sample 
$RPM_BUILD_ROOT%{_sysconfdir}/gdm/PostLogin/Default
@@ -325,6 +329,7 @@
 %{_datadir}/glib-2.0/schemas/org.gnome.login-screen.gschema.xml
 %{_datadir}/icons/*/*/*/*.*
 %{_datadir}/pixmaps/*.png
+/%{_lib}/security/pam_gdm.so
 %dir %{_libexecdir}/gdm
 %{_libexecdir}/gdm/gdm-*
 %{_libexecdir}/gdm/gdmflexiserver

++ gdm-3.20.1.tar.xz -> gdm-3.22.0.tar.xz ++
 30754 lines of diff (skipped)

++ gdm-autologin.pamd ++
--- /var/tmp/diff_new_pack.gGEX5t/_old  2016-09-21 18:38:46.0 +0200
+++ /var/tmp/diff_new_pack.gGEX5t/_new  2016-09-21 18:38:46.0 +0200
@@ -2,6 +2,8 @@
 # GDM PAM configuration for autologin
 auth requisite  pam_nologin.so
 auth required   pam_permit.so
+auth optional   pam_gdm.so
+auth optional   pam_gnome_keyring.so
 account  includecommon-account
 password includecommon-password
 session  required   pam_loginuid.so

++ gdm-xauthlocalhostname.patch ++

commit gupnp for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gupnp for openSUSE:Factory checked 
in at 2016-09-21 18:38:05

Comparing /work/SRC/openSUSE:Factory/gupnp (Old)
 and  /work/SRC/openSUSE:Factory/.gupnp.new (New)


Package is "gupnp"

Changes:

--- /work/SRC/openSUSE:Factory/gupnp/gupnp.changes  2016-07-01 
09:53:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.gupnp.new/gupnp.changes 2016-09-21 
18:38:07.0 +0200
@@ -1,0 +2,12 @@
+Mon Sep 19 18:45:56 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.0.0:
+  + No changes.
+
+---
+Tue Aug 16 17:02:15 UTC 2016 - zai...@opensuse.org
+
+- Update to version 0.99.0:
+  + Fix build on OS X.
+
+---

Old:

  gupnp-0.20.18.tar.xz

New:

  gupnp-1.0.0.tar.xz



Other differences:
--
++ gupnp.spec ++
--- /var/tmp/diff_new_pack.bqIkPd/_old  2016-09-21 18:38:08.0 +0200
+++ /var/tmp/diff_new_pack.bqIkPd/_new  2016-09-21 18:38:08.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gupnp
-Version:0.20.18
+Version:1.0.0
 Release:0
 Summary:Implementation of the UPnP specification
 License:LGPL-2.0+
 Group:  Development/Libraries/C and C++
 Url:http://www.gupnp.org/
-Source: 
http://download.gnome.org/sources/gupnp/0.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gupnp/1.0/%{name}-%{version}.tar.xz
 Source1:baselibs.conf
 # Needed for the GTest
 BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0

++ gupnp-0.20.18.tar.xz -> gupnp-1.0.0.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gupnp-0.20.18/NEWS new/gupnp-1.0.0/NEWS
--- old/gupnp-0.20.18/NEWS  2016-06-20 19:49:00.0 +0200
+++ new/gupnp-1.0.0/NEWS2016-09-19 20:29:04.0 +0200
@@ -1,3 +1,16 @@
+1.0.0
+=
+
+- Only version changed
+
+0.99.0
+==
+- Fix build on OS X
+
+All contributors to this release:
+ - Tomasz Pajor 
+ - Jens Georg 
+
 0.20.18
 ===
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gupnp-0.20.18/configure new/gupnp-1.0.0/configure
--- old/gupnp-0.20.18/configure 2016-06-20 19:51:00.0 +0200
+++ new/gupnp-1.0.0/configure   2016-09-19 20:33:47.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for gupnp 0.20.18.
+# Generated by GNU Autoconf 2.69 for gupnp 1.0.0.
 #
 # Report bugs to 
.
 #
@@ -651,8 +651,8 @@
 # Identity of this package.
 PACKAGE_NAME='gupnp'
 PACKAGE_TARNAME='gupnp'
-PACKAGE_VERSION='0.20.18'
-PACKAGE_STRING='gupnp 0.20.18'
+PACKAGE_VERSION='1.0.0'
+PACKAGE_STRING='gupnp 1.0.0'
 
PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=gupnp=gupnp'
 PACKAGE_URL='http://www.gupnp.org/'
 
@@ -1475,7 +1475,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures gupnp 0.20.18 to adapt to many kinds of systems.
+\`configure' configures gupnp 1.0.0 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1547,7 +1547,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of gupnp 0.20.18:";;
+ short | recursive ) echo "Configuration of gupnp 1.0.0:";;
esac
   cat <<\_ACEOF
 
@@ -1689,7 +1689,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-gupnp configure 0.20.18
+gupnp configure 1.0.0
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -2058,7 +2058,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by gupnp $as_me 0.20.18, which was
+It was created by gupnp $as_me 1.0.0, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -3041,7 +3041,7 @@
 
 # Define the identity of the package.
  PACKAGE='gupnp'
- VERSION='0.20.18'
+ VERSION='1.0.0'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -15237,7 +15237,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by gupnp $as_me 0.20.18, which was
+This file was extended by gupnp $as_me 1.0.0, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   

commit gnome-desktop for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-desktop for openSUSE:Factory 
checked in at 2016-09-21 18:38:18

Comparing /work/SRC/openSUSE:Factory/gnome-desktop (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-desktop.new (New)


Package is "gnome-desktop"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-desktop/gnome-desktop.changes  
2016-08-17 12:02:35.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-desktop.new/gnome-desktop.changes 
2016-09-21 18:38:19.0 +0200
@@ -1,0 +2,45 @@
+Mon Sep 19 19:27:01 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + No changes, pure versionbump.
+
+---
+Tue Sep 13 16:21:25 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Fix a crash on non-udev platforms (bgo#770686).
+  + Updated translations.
+
+---
+Tue Aug 16 18:49:35 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + No changes, pure versionbump.
+
+---
+Sat Jul 23 20:18:16 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + Use udev's hwdb to query PNP IDs (--disable-udev to disable
+this).
+  + Remove dependencies on xrandr and xext.
+- Following upstream changes, remove pkgconfig(xext) and
+  pkgconfig(xrandr) and add pkgconfig(libudev) BuildRequires.
+- Drop gnome-desktop-bnc896687-benq-pnp-id.patch: Not needed
+  anymore since the switch to udev's hwdb.
+
+---
+Tue Jun 21 19:52:08 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Updated translations.
+- Drop gnome-about obsoletes: gnome-about have not been around
+  since before GNOME 3.0, it's about time we drop it.
+
+---
+Sat May 28 21:34:15 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.2:
+  + Add API to know if a GnomeRRMode is interlaced.
+
+---

Old:

  gnome-desktop-3.20.2.tar.xz
  gnome-desktop-bnc896687-benq-pnp-id.patch

New:

  gnome-desktop-3.22.0.tar.xz



Other differences:
--
++ gnome-desktop.spec ++
--- /var/tmp/diff_new_pack.pmh1fM/_old  2016-09-21 18:38:21.0 +0200
+++ /var/tmp/diff_new_pack.pmh1fM/_new  2016-09-21 18:38:21.0 +0200
@@ -19,16 +19,14 @@
 %define IS_DEFAULT_GNOME_DESKTOP 1
 
 Name:   gnome-desktop
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:The GNOME Desktop API Library
 License:LGPL-2.1+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-desktop/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-desktop/3.22/%{name}-%{version}.tar.xz
 Source99:   baselibs.conf
-# PATCH-FIX-UPSTREAM gnome-desktop-bnc896687-benq-pnp-id.patch bsc#896687 
bgo#748914 feder...@suse.com -- Add identifier for BenQ displays
-Patch1: gnome-desktop-bnc896687-benq-pnp-id.patch
 BuildRequires:  fdupes
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  intltool
@@ -39,11 +37,10 @@
 BuildRequires:  pkgconfig(gsettings-desktop-schemas) >= 3.5.91
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.3.6
 BuildRequires:  pkgconfig(iso-codes)
+BuildRequires:  pkgconfig(libudev)
 BuildRequires:  pkgconfig(x11)
-BuildRequires:  pkgconfig(xext) >= 1.1
 BuildRequires:  pkgconfig(xkbfile)
 BuildRequires:  pkgconfig(xkeyboard-config)
-BuildRequires:  pkgconfig(xrandr) >= 1.3
 %if 0%{?BUILD_FROM_VCS}
 BuildRequires:  gnome-common
 BuildRequires:  gtk-doc
@@ -58,9 +55,6 @@
 %package -n gnome-version
 Summary:GNOME version
 Group:  System/GUI/GNOME
-%if %IS_DEFAULT_GNOME_DESKTOP
-Obsoletes:  gnome-about < %{version}
-%endif
 
 %description -n gnome-version
 This package contains information on the version of GNOME that is installed.
@@ -128,7 +122,6 @@
 %lang_package
 %prep
 %setup -q
-%patch1 -p1
 translation-update-upstream
 
 %if 0%{?BUILD_FROM_VCS}
@@ -174,7 +167,6 @@
 %doc %{_datadir}/help/C/fdl/
 %doc %{_datadir}/help/C/gpl/
 %doc %{_datadir}/help/C/lgpl/
-%{_datadir}/libgnome-desktop-3.0/
 %{_libexecdir}/gnome-rr-debug
 
 %files -n typelib-1_0-GnomeDesktop-3_0

++ gnome-desktop-3.20.2.tar.xz -> gnome-desktop-3.22.0.tar.xz ++
 8249 lines of diff (skipped)




commit gnome-documents for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-documents for openSUSE:Factory 
checked in at 2016-09-21 18:38:29

Comparing /work/SRC/openSUSE:Factory/gnome-documents (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-documents.new (New)


Package is "gnome-documents"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-documents/gnome-documents.changes  
2016-08-25 09:51:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-documents.new/gnome-documents.changes 
2016-09-21 18:38:31.0 +0200
@@ -1,0 +2,42 @@
+Mon Sep 19 19:53:26 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updated translations.
+
+---
+Mon Sep 12 11:30:33 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + Some refactoring.
+  + Updated translations.
+- Drop gnome-documents-Gepub-0.4.patch: Fixed upstream. Following
+  this, drop gnome-common BuildRequires and autoreconf call, not
+  needed as we do not carry any patches anymore.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+
+---
+Wed Aug 31 12:56:21 UTC 2016 - dims...@opensuse.org
+
+- Add gnome-documents-Gepub-0.4.patch: Build using libgepub 0.4.
+- Add gnome-common BuildRequires and call to autoreconf, as above
+  patch touches the build system.
+
+---
+Tue Aug 23 11:59:45 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Add initial epub support in Books.
+  + Fix bookmarking.
+  + Fix continuous mode never being disabled.
+  + Don't offer to open in file-roller.
+  + Add fullscreen and nightmode to toolbar.
+  + Hide the "Present" menu item in Books.
+  + Don't select when focusing the search entry.
+  + Use GtkMenuButton in OverviewSearchbar.
+  + Don't show documents in the collection dialog.
+  + Updated translations.
+- Add pkgconfig(libgepub) BuildReqiures: New dependency for
+  initial epub support.
+
+---

Old:

  gnome-documents-3.20.1.tar.xz

New:

  gnome-documents-3.22.0.tar.xz



Other differences:
--
++ gnome-documents.spec ++
--- /var/tmp/diff_new_pack.UjciuP/_old  2016-09-21 18:38:32.0 +0200
+++ /var/tmp/diff_new_pack.UjciuP/_new  2016-09-21 18:38:32.0 +0200
@@ -17,20 +17,22 @@
 
 
 Name:   gnome-documents
-Version:3.20.1
+Version:3.22.0
 Release:0
 Summary:Document Manager for GNOME
 License:GPL-2.0+
 Group:  Productivity/Office/Other
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-documents/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-documents/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  gnome-shell
 BuildRequires:  gtk-doc
 BuildRequires:  inkscape
 BuildRequires:  intltool >= 0.50.1
 BuildRequires:  itstool
 BuildRequires:  poppler-tools
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(evince-document-3.0) >= 3.13.3
 BuildRequires:  pkgconfig(evince-view-3.0) >= 3.13.3
@@ -41,6 +43,7 @@
 BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.31.6
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.1
 BuildRequires:  pkgconfig(libgdata) >= 0.13.3
+BuildRequires:  pkgconfig(libgepub) >= 0.4
 BuildRequires:  pkgconfig(libsoup-2.4) >= 2.41.3
 BuildRequires:  pkgconfig(tracker-control-1.0) >= 0.17.3
 BuildRequires:  pkgconfig(tracker-sparql-1.0) >= 0.17.3
@@ -100,7 +103,9 @@
 
 %prep
 %setup -q
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 
 %build
 %configure --disable-static --enable-getting-started

++ gnome-documents-3.20.1.tar.xz -> gnome-documents-3.22.0.tar.xz ++
 38382 lines of diff (skipped)




commit gnome-system-monitor for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-system-monitor for 
openSUSE:Factory checked in at 2016-09-21 18:37:30

Comparing /work/SRC/openSUSE:Factory/gnome-system-monitor (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-system-monitor.new (New)


Package is "gnome-system-monitor"

Changes:

--- 
/work/SRC/openSUSE:Factory/gnome-system-monitor/gnome-system-monitor.changes
2016-06-03 16:30:05.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gnome-system-monitor.new/gnome-system-monitor.changes
   2016-09-21 18:37:31.0 +0200
@@ -1,0 +2,36 @@
+Mon Sep 19 18:21:26 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updated translations.
+
+---
+Wed Sep 14 07:19:22 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Updated translations.
+
+---
+Mon Aug 29 22:03:12 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + Fixed several memory leaks (bgo#770116).
+  + Updated translations.
+
+---
+Mon Aug 15 19:35:50 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Fixed default column width (bgo#768063).
+  + Reordered process context menu and ask for confirmation on
+stop (bgo#769680).
+  + Updated translations.
+
+---
+Tue Jun 21 11:36:49 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Added padding to 'used' column progress bar (bgo#764266).
+  + Properly normalize CPU resource graph (bgo#748999).
+  + Updated translations.
+
+---

Old:

  gnome-system-monitor-3.20.1.tar.xz

New:

  gnome-system-monitor-3.22.0.tar.xz



Other differences:
--
++ gnome-system-monitor.spec ++
--- /var/tmp/diff_new_pack.hf4Bsh/_old  2016-09-21 18:37:32.0 +0200
+++ /var/tmp/diff_new_pack.hf4Bsh/_new  2016-09-21 18:37:32.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-system-monitor
-Version:3.20.1
+Version:3.22.0
 Release:0
 Url:http://www.gnome.org
 Summary:A Simple Process Monitor
 License:GPL-2.0+
 Group:  System/GUI/GNOME
-Source0:
http://download.gnome.org/sources/gnome-system-monitor/3.20/%{name}-%{version}.tar.xz
+Source0:
http://download.gnome.org/sources/gnome-system-monitor/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  intltool

++ gnome-system-monitor-3.20.1.tar.xz -> gnome-system-monitor-3.22.0.tar.xz 
++
 25494 lines of diff (skipped)




commit gnome-session for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-session for openSUSE:Factory 
checked in at 2016-09-21 18:37:55

Comparing /work/SRC/openSUSE:Factory/gnome-session (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-session.new (New)


Package is "gnome-session"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-session/gnome-session.changes  
2016-08-22 10:49:58.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-session.new/gnome-session.changes 
2016-09-21 18:37:56.0 +0200
@@ -1,0 +2,64 @@
+Mon Sep 19 19:16:47 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Small fix for dash users.
+  + Updated translations.
+
+---
+Wed Sep 14 10:05:54 UTC 2016 - dims...@opensuse.org
+
+- Do not recommend gnome-session-wayland for now. There are still
+  a couple issues to solve:
+  + openQA uses the cirrus video driver (qemu's default) which does
+not work with Wayland (we can potentially switch that to qxl
+for GNOME tests).
+  + YaST still needs extra tricks to start (root has no direct
+access to Xwayland.
+
+---
+Thu Aug 18 21:07:52 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Do not report errors in the absence of
+dbus-update-activation-environment.
+  + Support reading kernel gnome.fallback variable on FreeBSD.
+  + Allow IM environment variables to be overridden.
+  + Updated translations.
+- Drop gnome-session-ice-auth-for-suid.patch: Patch decleared
+  obsolete by author.
+- Drop gnome-session-check-dbus-update-activation-environment.patch
+  and gnome-session-logging-to-systemd-journal-configurable.patch:
+  Fixed upstream.
+- Following the above: Drop autoconf BuildRequires and stop passing
+  of it.
+- Stop passing V=1 to makeinstall, debugging is local.
+
+---
+Thu Aug 18 13:08:33 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.4:
+  + Export renderer string for llvmpipe.
+  + Small heap overflow fix.
+  + Compiler warning fixes-
+  + Misc doc fixes.
+  + Futureproof gettext support.
+
+---
+Thu Aug 18 13:08:32 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.3:
+  + Updated translations.
+
+---
+Thu Aug 18 13:08:31 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.2:
+  + Switch back to wayland by default.
+  + Update bus activation environment at startup.
+  + Updated translations.
+- Add pkgconfig(egl) and pkgconfig(glesv2) BuildRequires: New
+  dependencies.
+- Add gnome-session-wayland Recommends to gnome-session main
+  package, we will now start gdm on wayland by default.
+
+---

Old:

  gnome-session-3.20.2.tar.xz
  gnome-session-check-dbus-update-activation-environment.patch
  gnome-session-ice-auth-for-suid.patch
  gnome-session-logging-to-systemd-journal-configurable.patch

New:

  gnome-session-3.22.0.tar.xz



Other differences:
--
++ gnome-session.spec ++
--- /var/tmp/diff_new_pack.VdSdjb/_old  2016-09-21 18:37:57.0 +0200
+++ /var/tmp/diff_new_pack.VdSdjb/_new  2016-09-21 18:37:57.0 +0200
@@ -17,22 +17,15 @@
 
 
 Name:   gnome-session
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:Session Tools for the GNOME Desktop
 License:GPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-session/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-session/3.22/%{name}-%{version}.tar.xz
 Source1:gnome
 Source2:gnome.desktop
-# PATCH-FIX-SLE gnome-session-ice-auth-for-suid.patch h...@novell.com -- 
Carries ICE auth over to other UIDs in this session using an env var.
-Patch0: gnome-session-ice-auth-for-suid.patch
-# PATCH-FEATURE-UPSTREAM 
gnome-session-logging-to-systemd-journal-configurable.patch bsc#876685 
bgo#768982 fezh...@suse.com -- Add a new configure switch for systemd journal 
support.
-Patch1: gnome-session-logging-to-systemd-journal-configurable.patch
-# PATCH-FIX-UPSTREAM 
gnome-session-check-dbus-update-activation-environment.patch bsc#993342 
bgo#768036 fezh...@suse.com -- Check existence of 
dbus-update-activation-environment before calling it to avoid warnings.
-Patch2: gnome-session-check-dbus-update-activation-environment.patch
-BuildRequires:  autoconf
 BuildRequires:  fdupes
 BuildRequires:  intltool
 

commit gssdp for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gssdp for openSUSE:Factory checked 
in at 2016-09-21 18:37:43

Comparing /work/SRC/openSUSE:Factory/gssdp (Old)
 and  /work/SRC/openSUSE:Factory/.gssdp.new (New)


Package is "gssdp"

Changes:

--- /work/SRC/openSUSE:Factory/gssdp/gssdp.changes  2016-07-01 
09:53:22.0 +0200
+++ /work/SRC/openSUSE:Factory/.gssdp.new/gssdp.changes 2016-09-21 
18:37:45.0 +0200
@@ -1,0 +2,13 @@
+Mon Sep 19 18:43:12 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.0.0:
+  + No changes.
+
+---
+Tue Aug 16 17:00:28 UTC 2016 - zai...@opensuse.org
+
+- Update to version 0.99.0:
+  + Don't leak arp lookup symbol.
+  + Minor documentation updates.
+
+---

Old:

  gssdp-0.14.16.tar.xz

New:

  gssdp-1.0.0.tar.xz



Other differences:
--
++ gssdp.spec ++
--- /var/tmp/diff_new_pack.11GUjT/_old  2016-09-21 18:37:46.0 +0200
+++ /var/tmp/diff_new_pack.11GUjT/_new  2016-09-21 18:37:46.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gssdp
-Version:0.14.16
+Version:1.0.0
 Release:0
 Summary:Library for resource discovery and announcement over SSDP
 License:LGPL-2.0+
 Group:  Development/Libraries/C and C++
 Url:http://www.gupnp.org/
-Source: 
http://download.gnome.org/sources/gssdp/0.14/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gssdp/1.0/%{name}-%{version}.tar.xz
 Source1:baselibs.conf
 BuildRequires:  pkgconfig(glib-2.0) >= 2.32
 BuildRequires:  pkgconfig(gobject-introspection-1.0)

++ gssdp-0.14.16.tar.xz -> gssdp-1.0.0.tar.xz ++
 21214 lines of diff (skipped)




commit file-roller for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package file-roller for openSUSE:Factory 
checked in at 2016-09-21 18:37:17

Comparing /work/SRC/openSUSE:Factory/file-roller (Old)
 and  /work/SRC/openSUSE:Factory/.file-roller.new (New)


Package is "file-roller"

Changes:

--- /work/SRC/openSUSE:Factory/file-roller/file-roller.changes  2016-09-09 
10:17:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.file-roller.new/file-roller.changes 
2016-09-21 18:37:18.0 +0200
@@ -1,0 +2,27 @@
+Mon Sep 19 18:16:27 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.22.0:
+  + Updated translations.
+
+---
+Wed Sep 14 20:03:36 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.91:
+  + New features and user visibile changes: Remove nautilus
+extension. For GNOME 3.22, this functionality is now built
+directly into nautilus (bgo#770248).
+  + Bugs fixed: bgo#766271, bgo#766227, bgo#752476.
+  + Updated translations.
+- Drop sub-package nautilus-file-roller and obsolete it from the
+  main package, following upstreams removal. Also drop
+  pkgconfig(libnautilus-extension) BuildRequires: No longer needed.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+- Run spec-cleaner, add pkgconfig BuildRequires, and generally
+  fresh spec up to date.
+- Switch the following Requires for Recommends: bzip2, cpio, gzip,
+  rpm and unzip.
+- Promote p7zip to Recommends from Suggests, and also add lrzip to
+  Suggests as we now have it available in Tumbleweed.
+
+---
@@ -4,0 +32,11 @@
+
+---
+Wed Aug 17 15:00:50 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + Added support for lz4 compressed tar archives (bgo#770016).
+  + Added support for lz4 compressed files (bgo#770016).
+  + file-roller can delete the content of local folders upon
+extraction, if archive contains symbolic links pointing to
+absolute paths (bgo#698554).
+  + Disambiguate translatable strings adding context (bgo#696838).

Old:

  file-roller-3.20.3.tar.xz

New:

  file-roller-3.22.0.tar.xz



Other differences:
--
++ file-roller.spec ++
--- /var/tmp/diff_new_pack.3Iyjss/_old  2016-09-21 18:37:19.0 +0200
+++ /var/tmp/diff_new_pack.3Iyjss/_new  2016-09-21 18:37:19.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   file-roller
-Version:3.20.3
+Version:3.22.0
 Release:0
 Summary:An Archive Manager for GNOME
 License:GPL-2.0+
 Group:  Productivity/Archiving/Compression
 Url:http://fileroller.sourceforge.net
-Source: 
http://download.gnome.org/sources/file-roller/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/file-roller/3.22/%{name}-%{version}.tar.xz
 # PATCH-FIX-OPENSUSE file-roller-3.4-change-archiver-priority.patch bnc#767386 
gan...@opensuse.org -- Give unzip a higher priority than 7z when unpackging zip 
files. Gives better results for non-latin charsets.
 Patch0: file-roller-3.4-change-archiver-priority.patch
 # PATCH-FEATURE-OPENSUSE file-roller-pkg-match.patch bnc#696530 
dims...@opensuse.org -- List package match names for automatic installation 
using PK.
@@ -33,71 +33,63 @@
 BuildRequires:  fdupes
 BuildRequires:  file-devel
 BuildRequires:  intltool
-BuildRequires:  translation-update-upstream
+BuildRequires:  pkgconfig
 BuildRequires:  update-desktop-files
 BuildRequires:  yelp-tools
 BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.13.2
 BuildRequires:  pkgconfig(json-glib-1.0) >= 0.14.0
 BuildRequires:  pkgconfig(libarchive) >= 3.0.0
-BuildRequires:  pkgconfig(libnautilus-extension)
 BuildRequires:  pkgconfig(libnotify) >= 0.4.3
 Recommends: %{name}-lang
-# Formats that we really want to support by default
-Requires:   bzip2
-Requires:   cpio
-Requires:   gzip
-Requires:   rpm
-Requires:   unzip
 # Formats that we likely want to support by default
+Recommends: bzip2
+Recommends: cpio
+Recommends: gzip
+Recommends: p7zip
+Recommends: rpm
 Recommends: unrar
+Recommends: unzip
 Recommends: xz
 Recommends: zip
 # Additional formats that are supported
 Suggests:   lha
+Suggests:   lrzip
 Suggests:   lzip
 Suggests:   lzop
-Suggests:   p7zip
 Suggests:   rzip
 Suggests:   zoo
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-DocDir: %{_defaultdocdir}
 # FIXME: Formats for which we don't have packages. Some are free software that
 # we could 

commit gnome-music for openSUSE:Factory

2016-09-21 Thread h_root
Hello community,

here is the log from the commit of package gnome-music for openSUSE:Factory 
checked in at 2016-09-21 18:37:07

Comparing /work/SRC/openSUSE:Factory/gnome-music (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-music.new (New)


Package is "gnome-music"

Changes:

--- /work/SRC/openSUSE:Factory/gnome-music/gnome-music.changes  2016-05-20 
11:54:03.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-music.new/gnome-music.changes 
2016-09-21 18:37:08.0 +0200
@@ -1,0 +2,35 @@
+Mon Sep 19 17:34:44 UTC 2016 - dims...@opensuse.org
+
+- Update to version 3.22.0:
+  + Update maintainers in doap.
+  + Updated translations.
+
+---
+Tue Sep 13 08:04:50 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.92:
+  + Fix keyboard play/pause handling.
+  + Remove top separator in song lists.
+  + Do not remove static playlists on Delete keypress.
+  + Bugs fixed: bgo#771249, bgo#770178, bgo#754096.
+  + Updated translations.
+
+---
+Tue Aug 23 12:09:37 UTC 2016 - zai...@opensuse.org
+
+- Update to version 3.21.90:
+  + New keyboard shortcuts and a shortcuts window to go with it.
+  + Move to cleanup the codebase style (PEP-8) & use docstrings,
+see README.
+  + Better sorting in albums and artists view.
+  + Playlist dialog enhanced with a 'new playlist' entry.
+  + Move to GtkFlowBox for albums view, a significant performance
+improvement.
+  + Bugs fixed: bgo#761502, bgo#766115, bgo#746447, bgo#765609,
+bgo#761625, bgo#747953, bgo#754700, bgo#742531, bgo#758637,
+bgo#757833, bgo#769774, bgo#769772, bgo#744834, bgo#760164.
+  + Updated translations.
+- Add pkgconfig(pygobject-3.0) BuildRequires and version it, new
+  explicit dependency.
+
+---

Old:

  gnome-music-3.20.2.tar.xz

New:

  gnome-music-3.22.0.tar.xz



Other differences:
--
++ gnome-music.spec ++
--- /var/tmp/diff_new_pack.AqN3Wl/_old  2016-09-21 18:37:09.0 +0200
+++ /var/tmp/diff_new_pack.AqN3Wl/_new  2016-09-21 18:37:09.0 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-music
-Version:3.20.2
+Version:3.22.0
 Release:0
 Summary:Music Player for GNOME
 License:SUSE-GPL-2.0-with-plugin-exception and LGPL-2.1+
 Group:  Productivity/Multimedia/Sound/Players
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-music/3.20/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-music/3.22/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  intltool >= 0.26
 BuildRequires:  itstool
@@ -32,10 +32,11 @@
 BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
 BuildRequires:  pkgconfig(gnome-desktop-3.0)
 BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.34.0
-BuildRequires:  pkgconfig(grilo-0.3) >= 0.3.0
+BuildRequires:  pkgconfig(grilo-0.3) >= 0.3.1
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.3
 BuildRequires:  pkgconfig(libmediaart-2.0)
-BuildRequires:  pkgconfig(tracker-sparql-1.0) >= 1.7.1
+BuildRequires:  pkgconfig(pygobject-3.0) >= 3.21.1
+BuildRequires:  pkgconfig(tracker-sparql-1.0) >= 1.9.0
 Requires:   dbus-1-python3
 # gnomemusic/albumArtCache.py imports cairo directly.
 Requires:   python3-cairo

++ gnome-music-3.20.2.tar.xz -> gnome-music-3.22.0.tar.xz ++
 18792 lines of diff (skipped)




  1   2   >